/********************************************************************************************************\

	File Name:	GenericShipBaseState.cpp
	Descript:	Generic tShipInfo Base State for generic upgrade fighters code

\********************************************************************************************************/

#include "Met_11ConvoyRaid.h"
#include "GenericShipBaseState.h"
#include "ShipList_API.h"

void tGenericShipBaseState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tGenericShipBaseState::mBeginState\n");
#ifdef FIGHTERS
	fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
	gST.mDebug_fprintf("--- Finished: tGenericShipBaseState::mBeginState\n");
}

void tGenericShipBaseState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{}

void tGenericShipBaseState::mEndState()
{}

void tGenericShipBaseState::mOnDeath( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnCapture( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tGenericShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tGenericShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tGenericShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tGenericShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tGenericShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tGenericShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tGenericShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tGenericShipBaseState::mOnFlashingButtonPressed()
{}
void tGenericShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tGenericShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tGenericShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tGenericShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tGenericShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tGenericShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tGenericShipBaseState::mOnHostChanged()
{}
void tGenericShipBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 
		gST.mDebug_fprintf("--- Entering tGenericShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		int32 BPVinc = gST.mUpgradeFighters( fChildActor );
		fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
		gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
		gST.mDebug_fprintf("--- Finished: tGenericShipBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tGenericShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tGenericShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

