/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 4;
const char* MapTypes[] = {	"Convoy Raid Map",
							"Convoy Raid Map -- Asteroids",
							"Convoy Raid Map -- Nebula",
							"Convoy Raid Map -- BlackHole" };
const char* MapLines[]=
{
	//
   "Convoy Raid",
   "// Convoy Raid Map",
   " +____1____2____3____4____5____6____7____8+",
   " |..................jp....................|",
   " |........................................|",
   " |...........n.................i..........|",
   " |...............l...Z..m.................|",
   "1|..................k.....................|",
   " |..................g.....................|",
   " |..................ho....................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |..............W.........................|",
   " |..............QT...........X............|",
   " |..........................RU............|",
   "3|........................................|",
   " |................v.......................|",
   " |...............Gsy......................|",
   " |..........S................VY...........|",
   " |..................JK....................|",
   "4|.................L.P....................|",
   " |..................OM...t................|",
   " |.................NHI..qw................|",
   " |........................................|",
   " |...............ru.......................|",
   "5|...............xz.......................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Convoy Raid Map -- Asteroids",
   " +____1____2____3____4____5____6____7____8+",
   " |.................njp....................|",
   " |.................[......................|",
   " |.......[................................|",
   " |.............<.........[................|",
   "1|.................lkm....<...............|",
   " |.........[........giZ..........]........|",
   " |....].............ho....................|",
   " |...............[..........[.............|",
   " |.........*..............................|",
   "2|................]..]...*......<..[......|",
   " |...................<..........>.........|",
   " |.......]..>...W.........................|",
   " |..............QT........>..X.....[......|",
   " |...*.................]....RU............|",
   "3|..........[..>.................>........|",
   " |................v.......................|",
   " |......[..S.....Gsy......[[.......*......|",
   " |..................................].....|",
   " |..................JL.......]............|",
   "4|.....*.....>.....O.I....................|",
   " |..................KP...t...[............|",
   " |.................NHM..qw.......VY.......|",
   " |.......>.[..............................|",
   " |...............ru.......................|",
   "5|...............xz.....].....>...........|",
   " |.....[....]..............[......].......|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|...............[.............[..........|",
   " |...................]....................|",
   " |..........*.............................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Convoy Raid Map -- Nebula",
   " +____1____2____3____4____5____6____7____8+",
   " |.................njp....................|",
   " |.?......................................|",
   " |........................................|",
   " |........................................|",
   "1|.................lkm....................|",
   " |..................giZ...................|",
   " |..................ho....................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |..............W.........................|",
   " |..............QT...........X............|",
   " |..........................RU............|",
   "3|........S...............................|",
   " |................v.......................|",
   " |...............Gsy.........VY...........|",
   " |........................................|",
   " |..................PH....................|",
   "4|.................L.I....................|",
   " |..................KM...t................|",
   " |.................NOJ..qw................|",
   " |........................................|",
   " |...............ru.......................|",
   "5|...............xz.......................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "// Convoy Raid Map -- BlackHole",
   " +____1____2____3____4____5____6____7____8+",
   " |..................jp....................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "1|.................lkm....................|",
   " |.................ngiZ...................|",
   " |..................ho....................|",
   " |........................................|",
   " |........................................|",
   "2|........................................|",
   " |........................................|",
   " |..............W.........................|",
   " |..............QT...........X............|",
   " |..........................RU............|",
   "3|....,...................................|",
   " |................v..........SVY..........|",
   " |..............Gsy.......................|",
   " |........................................|",
   " |..................JO....................|",
   "4|.................L.I............,.......|",
   " |..................KM...t................|",
   " |.................NHP..qw................|",
   " |........................................|",
   " |...............ru.......................|",
   "5|...............xz.......................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "6|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "7|........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   " |........................................|",
   "8|........................................|",
   " +----------------------------------------+",
   "      1    2    3    4    5    6    7    8",
   "///",
   0
};



