//	<Name>	QShipTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_11ConvoyRaid.h"
#include "ShipInfo.h"
#include "QShipTeamShip.h"
#include "QShipTeamShipInitialStates.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"
#include "ShipList_API.h"

tQShipTeamShipInitialState::tQShipTeamShipInitialState( )
{
}

void tQShipTeamShipInitialState::mBeginState()
{
	gST.mDebug_fprintf("--- Starting: tQShipTeamShipInitialState::mBeginState\n");
#ifdef FIGHTERS
    fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
    mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 2.0f + (0.2f * fChildActor->mGetTeam()) );
#endif
    gST.mDebug_fprintf("--- Finished: tQShipTeamShipInitialState::mBeginState\n");

	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = fChildActor->mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = fChildActor->mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = fChildActor->mGetTeam(); if (Team < 1) Team = 1;
	int32 id = fChildActor->mGetShipID(); if (id < 1) id = 1;
	fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;
	float attacktime = 3 + (fShipRandValue % 3);
	mSetTimedInterval( kTimerTurnsSet, kAttackID, attacktime );
	return;

	tTeamInfo *team = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(fChildActor->mGetTeam()) );
	if ((!team) || (team->mIsTeamHumanControlled())) return;
	fChildActor->mGetAmountOfStore( kSpareParts );
	fChildActor->mGetAmountOfStore( kSmall_Mines );
	fChildActor->mGetAmountOfStore( kMarines );
	fChildActor->mGetAmountOfStore( kMissilesTypeI );
	fChildActor->mGetAmountOfStore( kMissilesTypeIV );
}

void tQShipTeamShipInitialState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{
	// adjust the loadout of the AI ship
	return;

	// quit if it isn't the desired kind of update
	if (Type != kShipCurrentValue) return;

	// quit if there is no ship to update
	if (!Ship) return;

	// quit if this isn't the ship we're looking for
	if (Ship->mGetCustomID() != fChildActor->mGetCustomID()) return;

	// quit if it's on a different team
	if (Ship->mGetTeam() != fChildActor->mGetTeam()) return;

	// quit if the ship is, or was, on a human controlled team
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( Ship->mGetTeam() ));
	if (!team) return;

	// adjust spare parts handling for humans
	if (team->mIsTeamHumanControlled()) {
		return;
	} 
		
#ifndef NOMODIFIEDOFFICERS
	// designate some uniqueness to the AI
	if (team->mGetRace() == kRomulan) {
		Ship->mCloak( kFalse );
		Ship->mSetSystemHealthFromOrig( kCloakHardPoint, 0, kFalse );
		Ship->mChangeAIOfficerState( kCloakOfficer, kFalse );
		Ship->mCloak( kFalse );
	} else if (team->mGetRace() != kLyran) {
		int32 speed = 24;;
		switch (fShipRandValue % 29) {
			case 1: Ship->mChangeAIOfficerState( kECMOfficer, kFalse); break;
			case 2: Ship->mChangeAIOfficerState( kECCMOfficer, kFalse ); break;
			case 3: Ship->mChangeAIOfficerState( kTractorOfficer, kFalse ); break;
			case 4: Ship->mChangeAIOfficerState( kRepairOfficer, kFalse ); break;
			case 5: Ship->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse ); break;
			case 6:  
			case 7: Ship->mChangeAIOfficerState( kHitAndRunOfficer, kFalse ); break;
			case 8: 
			case 9: Ship->mChangeAIOfficerState( kTBombOfficer, kFalse ); break;
			case 10: Ship->mChangeAIOfficerState( kHETOfficer, kFalse ); break;
			case 11:  break;
			case 12: Ship->mChangeAIOfficerState( kFighterOfficer, kFalse ); break;
			case 13: Ship->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse ); break;
			case 14: Ship->mChangeAIOfficerState( kShuttleOfficer, kFalse ); break;
			default:
				int32 officerroll = fShipRandValue % 101;
				float officerchance = gWC.fLegendaryAIEngineer;
				if ((officerroll < 1) || (officerroll > 99)) break;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kEngineeringOfficer, kLegendary ); break;
				} 
				officerchance += gWC.fLegendaryAIScience;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kScienceOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIMarine;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kSecurityOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIComm;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kCommOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIHelm;
				if (officerroll < (100 * officerchance)) 
					Ship->mSetOfficerRank( kHelmOfficer, kLegendary );
				break;
		}
	}
#endif
	
	// compute an adjusted quantity for the ship stores
	switch (Item) {
		case kMissilesTypeI:
		case kMissilesTypeIV:
			if (SubItem == kSpeed_Fast) {
				if (!(fShipRandValue % 3)) SubItem = kSpeed_Med;
			}
			if (SubItem == kSpeed_Med) {
				if (!(fShipRandValue % 2)) SubItem = kStandard;
			}
			Value *= gWC.fAIDroneModifier;
			break;
		case kMarines:
			Value *= gWC.fAIMarinesModifier;
			break;
		case kSmall_Mines:
			Value *= gWC.fAIBombsModifier;
			break;
		case kSpareParts:
			Value *= gWC.fAIPartsModifier;
			break;
	}

#ifdef DIZZYPACK
		// include specialized drones limit for romulans in dizzy's server
		if ((team->mGetRace() == kRomulan) && (Item == kMissilesTypeI) && (subitem != kStandard)) {
			Ship->mSetItemInStores( kMissilesTypeI, kStandard, Value );	
		}
		return;
#endif

	// establish the adjusted quantity on board
	Ship->mSetItemInStores( Item, SubItem, Value );	

}


void tQShipTeamShipInitialState::mEndState()
{
}

void tQShipTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kAttackID )
	{
		fChildActor->mClearCommands();

		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kQShipTeam ), static_cast< eTeamID>(kAttackTeam1 ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kQShipTeam ), static_cast< eTeamID>( kAttackTeam2 ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
		fMissionInfo->mSetTeamRelations( static_cast< eTeamID>( kQShipTeam ), static_cast< eTeamID>( kAttackTeam3 ), kTeamAtWar, kGoalDestroy, 1.0, kTrue );
	}

    if (timerID == kUpgradeFightersID) {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* shipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (shipTeam->mIsTeamHumanControlled()) return;    // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.
        gST.mDebug_fprintf("--- Entering tQShipTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
        int32 BPVinc = gST.mUpgradeFighters( fChildActor );
        fChildActor->mChangeAIOfficerState( kFighterOfficer, kTrue );
        gST.mDebug_fprintf("Ship BPV increased by: %d BPV\n", BPVinc);
        gST.mDebug_fprintf("--- Finished: tQShipTeamShipInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tQShipTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	/*
	if ((damagedShip) && (damagedShip->mGetTeam() == kQShipTeam)) {
		damagedShip->mSetShipMaxSpeed( 25 );
	}
	*/
}
void tQShipTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tQShipTeamShipInitialState::mAtDestination( tShipInfo* ship )
{
	if ( fChildActor->mGetShipID() == ship->mGetShipID() )
	{
		int x;
		x = 1;
	}
}
void tQShipTeamShipInitialState::mOnDisengaged( tShipInfo* ship )
{
}
