/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();
	int32 fMissionSeed;

	virtual void mAddAttackTeam();
	virtual void mAddDefendTeam();
	virtual void mRemoveAttackTeam();
	virtual void mRemoveDefendTeam();
	virtual void mCheckForGameEnd( void );

	virtual int32 mGetAttackTeams();
	virtual int32 mGetDefendTeams();
	virtual void mAddFreighter();
	virtual void mRemoveFreighter();
	virtual void mFreighterEscaped();
	virtual void mFreighterDestroyed();
	virtual int32 mGetFreightersDestroyed();
	virtual int32 mGetFreightersEscaped();
	virtual int32 mGetFreightersOriginal();
	virtual int32 mGetNumQShips();
	virtual void  mSetNumQShips( int32 setValue );
	virtual void  mRemoveQShip();
	virtual void  mSetFrtrSizeDice( int32 setValue );
	virtual int32 mGetFrtrSizeDice();

	virtual bool  mIsAttackerHuman();
	virtual void  mSetHumanAttacker();
void mMyInvokeGameStatus(eTeamID team, eGameStatus stat);
	iTruth mAppendToFile(std::string filename, std::string textline);
	iTruth mStartMissionLog(std::string missionname);
	iTruth mLogTeamResults(eTeamID team, eRace race, int32 prestige, eGameStatus result, iTruth human);
	iTruth fResultsIn;

	// added fields and methods to read settings from my mission config file
	void mGetSettingsFromConfig();
	iTruth mGetSetting(char *line, char *settingname, float &value, int32 len);
	iTruth mGetSetting(char *line, char *settingname, int32 &value, int32 len);

	float fLegendaryAICaptain;
	float fLegendaryAIWeapon;
	float fLegendaryAIEngineer;
	float fLegendaryAIScience;
	float fLegendaryAIMarine;
	float fLegendaryAIDoctor;
	float fLegendaryAIComm;
	float fLegendaryAIHelm;
	float fAIDroneModifier;
	float fAIPartsModifier;
	float fAIMarinesModifier;
	int32 fFreighterSpareLimit;
	int32 fFrigateSpareLimit;
	int32 fDestroyerSpareLimit;
	int32 fWarDestroyerSpareLimit;
	int32 fLightCruiserSpareLimit;
	int32 fHeavyCruiserSpareLimit;
	int32 fNewHeavyCruiserSpareLimit;
	int32 fHeavyBattlecruiserSpareLimit;
	int32 fCarrierSpareLimit;
	int32 fDreadnoughtSpareLimit;
	int32 fBattleshipSpareLimit;
	int32 fBaseSpareLimit;
	int32 fBatsSpareLimit;
	int32 fStarbaseSpareLimit;
	int32 fPlanetSpareLimit;
	int32 fSpecialSpareLimit;
	int32 fOtherSpareLimit;
	int32 fAIBPVModifier;
	int32 fAllowCallForHelp;
	int32 fBPVPenaltyForCall;
	int32 fBPVBonusForNotCalling;
	int32 fDisableAIDuringPvP;
	int32 fAstoundingVictoryPvPBonus;
	int32 fVictoryPvPBonus;
	int32 fDrawPvPBonus;
	int32 fDefeatPvPBonus;
	int32 fDevastatingDefeatPvPBonus;
	int32 fFederation;
	int32 fKlingon;
	int32 fRomulan;
	int32 fLyran;
	int32 fMirak;
	int32 fGorn;
	int32 fHydran;
	int32 fISC;
	int32 fMonster;
	int32 fNeutral;
	int32 fOrion;
	int32 fOther;
	int32 fOrionOrion;
	int32 fPrime;
	int32 fWyldefire;
	int32 fTigerHeart;
	int32 fBeastRaiders;
	int32 fKorgath;
	int32 fSyndicate;
	int32 fCamboro;
	float fAIBombsModifier;
	float fBaseDestructProb;
	float fBatsDestructProb;
	float fSBDestructProb;
	iTruth mCheckCRC();
	iTruth fBadCRC;
	int32 fNWCustID;

private:

	int32	fNumAttackTeams;
	int32	fNumDefendTeams;
	int32	fOrigNumAttackTeams;
	int32	fOrigNumDefendTeams ;
	int32	fNumTeams;
	int32	fOrigNumbOfFreighters;
	int32	fCurrNumbOfFreighters;
	int32	fEscpNumbOfFreighters;
	int32	fDestNumbOfFreighters;
	int32	fNumbOfQShips;
	int32	fNumbRemainingQShips;
	bool	fAttackerHumanTeam;
	int32	fFrtrSizeDice;

};

extern tWorldConditions gWC;

#endif