//	<Name>	AttackTeam2InitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_12ConvoyEscort.h"
#include "ShipInfo.h"
#include "AttackTeam2.h"
#include "AttackTeam2InitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"

tAttackTeam2InitialState::tAttackTeam2InitialState( )
{
}

void tAttackTeam2InitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tAttackTeam2InitialState::mEndState()
{
}
void tAttackTeam2InitialState::mOnTimedInterval( int32 timerID )
{

	if (timerID == kUpgradeFightersID)
	{
	#ifdef FIGHTERS
		if (fChildActor->mGetTeam() != kAttackTeam2) return;
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* AttackTeam2 = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (AttackTeam2->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tAttackTeam2InitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam2DeltaFighterBPV += gST.mUpgradeFightersForTeam(AttackTeam2);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam2DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tAttackTeam2InitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
	#endif
	}
}

void tAttackTeam2InitialState::mOnDeath( tShipInfo* ship )
{
}
void tAttackTeam2InitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tAttackTeam2InitialState::mOnCapture( tShipInfo* ship )
{
}
void tAttackTeam2InitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}