//	<Name>	AttackTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_12ConvoyEscort.h"
#include "ShipInfo.h"
#include "AttackTeam.h"
//#include "PlayerTeamShip.h"
#include "AttackTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"
#include "ShipList_API.h"

tAttackTeamInitialState::tAttackTeamInitialState( )
{
	fDeepScanON = false;
}

void tAttackTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tAttackTeamInitialState::mEndState()
{
}
void tAttackTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydAttackTeamStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCAttackTeamStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid

	if( timerID == kFreighterDiedID )
	{
		int32 freightersDestroyed = gWC.mGetFreightersDestroyed();
		int32 totalOrigFreighters = gWC.mGetFreightersOriginal();
		int32 disengagedFreighters = gWC.mGetFreightersEscaped();

		if( freightersDestroyed == ( totalOrigFreighters - disengagedFreighters ) )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackAllFreightersDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == 3 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackThreeFreightersDestroyed, kScienceScriptMessage );
		}
		else if( freightersDestroyed == 1 )
		{
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(), kAttackOneFreighterDestroyed, kScienceScriptMessage );
		}
	}

	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		if (
			(fChildActor->mGetTeam() != kAttackTeam1) &&
			(fChildActor->mGetTeam() != kAttackTeam2) &&
			(fChildActor->mGetTeam() != kAttackTeam3)
			) return;
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* attackTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (attackTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tAttackTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam2DeltaFighterBPV += gST.mUpgradeFightersForTeam(attackTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam2DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tAttackTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tAttackTeamInitialState::mOnDeath( tShipInfo* ship )
{
	tTeamInfo* freighterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>( kFreighterTeam ) );

	if( freighterTeam )
	{
		if( freighterTeam->mGetTeam() == ship->mGetTeam() )
		{
			mSetTimedInterval( kTimerSecondsSet, kFreighterDiedID, 1.0f );
		}
	}
}
void tAttackTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}
