//	<Name>	FreighterTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_12ConvoyEscort.h"
#include "ShipInfo.h"
#include "FreighterTeam.h"
#include "FreighterTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"

tFreighterTeamInitialState::tFreighterTeamInitialState( )
{
}

void tFreighterTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tFreighterTeamInitialState::mEndState()
{
}
void tFreighterTeamInitialState::mOnTimedInterval( int32 timerID )
{

	if (timerID == kUpgradeFightersID)
	{
	#ifdef FIGHTERS
		if (fChildActor->mGetTeam() != kFreighterTeam) return;
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* FreighterTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (FreighterTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tFreighterTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(FreighterTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tFreighterTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
	#endif
	}
}

void tFreighterTeamInitialState::mOnDeath( tShipInfo* ship )
{
}
void tFreighterTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tFreighterTeamInitialState::mOnCapture( tShipInfo* ship )
{
}
void tFreighterTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}