//	<Name>	QShipTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_12ConvoyEscort.h"
#include "ShipInfo.h"
#include "QShipTeam.h"
#include "QShipTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"

tQShipTeamInitialState::tQShipTeamInitialState( )
{
}

void tQShipTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tQShipTeamInitialState::mEndState()
{
}
void tQShipTeamInitialState::mOnTimedInterval( int32 timerID )
{

	if (timerID == kUpgradeFightersID)
	{
	#ifdef FIGHTERS
		if (fChildActor->mGetTeam() != kQShipTeam) return;
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		tTeamInfo* QShipTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
		if (QShipTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tQShipTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(QShipTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tQShipTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
	#endif
	}
}

void tQShipTeamInitialState::mOnDeath( tShipInfo* ship )
{
}
void tQShipTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tQShipTeamInitialState::mOnCapture( tShipInfo* ship )
{
}
void tQShipTeamInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}