/********************************************************************************************************\

	File Name:	BaseVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "BaseVictory.h"
#include "BaseVictoryState.h"
#include "ScriptInterface.h"
#include "Met_14Enigma.h"


tClassAllocator<tBaseVictory> gBaseVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  You should
					do this for both constructors.  For example:

	tTeam1BaseVictory::tTeam1BaseVictory( ) : fField1( false ), fField2( value ), fField3 ( value ), etc...
	{}

*/
tBaseVictory::tBaseVictory()
{}
tBaseVictory::tBaseVictory( tTeamInfo* team ) : tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only items in this function that you could change are the values passed into
					the tBaseVictoryState constructor.  These values are the prestige points awarded according
					to the player's victory status -- starting at kAstoundingVictory and working its way down
					to kDevastatingDefeat.  This list of numbers also includes kCustomVictoryLevel and
					kUnknownVictoryLevel (used for logging off early).

*/
void tBaseVictory::mSetupState()
{
	tBaseVictoryState* baseVictoryState = new tBaseVictoryState( 100, 100, 0, 0, 0 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tBaseVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tTeam1BaseVictory::mField1( void )
	{
		return fField1;
	}
	void
	tTeam1BaseVictory::mSetField1( bool x )
	{
		fField1 = x;
	}

*/
