//	<Name>	DefendTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_14Enigma.h"
#include "ShipInfo.h"
#include "DefendTeam.h"
#include "DefendTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "SFCAssert.h"
#include "ShipList_API.h"


tDefendTeamInitialState::tDefendTeamInitialState( )
{
}

void tDefendTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tDefendTeamInitialState::mEndState()
{
}
void tDefendTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid

	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* defendTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1 ) );
		if (defendTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (defendTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tDefendTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam2DeltaFighterBPV += gST.mUpgradeFightersForTeam(defendTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam2DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tDefendTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tDefendTeamInitialState::mOnDeath( tShipInfo* ship )
{
}
void tDefendTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tDefendTeamInitialState::mOnCapture( tShipInfo* ship )
{
}
void tDefendTeamInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
}