//	<Name>	EnigmaTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_14Enigma.h"
#include "ShipInfo.h"
#include "EnigmaTeamShip.h"
#include "EnigmaTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tEnigmaTeamShipInitialState::tEnigmaTeamShipInitialState( )
{
}

void tEnigmaTeamShipInitialState::mBeginState()
{
	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = fChildActor->mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = fChildActor->mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = fChildActor->mGetTeam(); if (Team < 1) Team = 1;
	int32 id = fChildActor->mGetShipID(); if (id < 1) id = 1;
	fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 1.0f );
	mSetTimedInterval( kTimerTurnsSet, kBoomID, (float)(6 + (fShipRandValue % 7) ) );
}

void tEnigmaTeamShipInitialState::mEndState()
{
}

void tEnigmaTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.1f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.1f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kDamageControlHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kInternalRepairHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kImpulsePowerHardPoint, 0.1f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.1f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kEngineerOfficerHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kTractorHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kMechTractorHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kShuttleBayHardPoint, 0.0f, kFalse );
		fChildActor->mSetSystemHealthFromOrig( kFighterBayHardPoint, 0.0f, kFalse );
	}
	else if( kBoomID )
	{
		fChildActor->mSetSystemHealthFromOrig( kNoWeaponHardPoint, 0.0f, kFalse ); //Destroy Ship
	}
}
void tEnigmaTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
void tEnigmaTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}