/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_14Enigma Map",
							"Met_14Enigma Map -- Sun",
							"Met_14Enigma Map -- Asteroids",
							"Met_14Enigma Map -- Nebula",
							"Met_14Enigma Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_14Enigma",
   "// Met_14Enigma Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..............................|",
   "3|..............................|",
   " |..............................|",
   " |..............Z...............|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_14Enigma Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.................|",
   " |..............................|",
   " |........W.....................|",
   " |..............................|",
   "3|.......Y......................|",
   " |..............................|",
   " |.....................Z...(....|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H......I............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_14Enigma Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |.............[................|",
   " |.................]............|",
   "1|........*..............[......|",
   " |.................h.i..........|",
   " |.......*.........g.......*....|",
   " |..............................|",
   " |...................[..........|",
   "2|..........*...................|",
   " |.....]......W.....W...........|",
   " |...........................[..|",
   " |...............Y....[.........|",
   " |......................*.].....|",
   "3|..........]....[.*.>]>........|",
   " |.................<.[Z].<......|",
   " |............[..]...>]<........|",
   " |..............*........[......|",
   " |................[.*..]........|",
   "4|..............................|",
   " |.............G......].........|",
   " |..............................|",
   " |......*...H.....I...[.........|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |.....[........................|",
   " |..............................|",
   "6|............[.................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_14Enigma Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |...>........X.....W...........|",
   " |......<..<....................|",
   " |....<>.>..>....Y..............|",
   " |...<>g>><.....................|",
   "3|..>.<>Z<>.>...................|",
   " |.>..<y>.......................|",
   " |...<....>.....................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_14Enigma Map -- BlackHole",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............W.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..............................|",
   "3|..............................|",
   " |............,.................|",
   " |..............Z...............|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



