/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 5;
const char* MapTypes[] = { "Open Space", "Asteroid Space", "Nebula Space", "Black hole", "Base" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_16ShipDefense",
   "// Open Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|....Z..Y.................|",
   " |.....zV..y...............|",
   " |....UX...................|",
   " |.....T...W...............|",
   " |........w...v............|",
   "2|.....x...................|",
   " |.........................|",
   " |...........t.............|",
   " |........u................|",
   " |.........................|",
   "3|.............gGh.........|",
   " |.............i..H........|",
   " |.............I...........|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.W.......*...........*...|",
   " |.........................|",
   "1|....Z.............*......|",
   " |....YzV..y...*...........|",
   " |......U..................|",
   " |....X.T...............*..|",
   " |........w...v....*.......|",
   "2|...*.x......*............|",
   " |.........................|",
   " |...........t..*..........|",
   " |........u................|",
   " |..*......*........h.*....|",
   "3|.....*........g..i.H.....|",
   " |...............G..I......|",
   " |.........................|",
   " |.........*...............|",
   " |....*................*...|",
   "4|.........................|",
   " |...........*.............|",
   " |...*...........*.........|",
   " |...................*.....|",
   " |.........*...............|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.....G.HI................|",
   " |......ghi................|",
   "1|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "2|.........................|",
   " |.........................|",
   " |..d.....d................|",
   " |.ddd.....................|",
   " |.........................|",
   "3|....Z.............d......|",
   " |.....zU..y...............|",
   " |.W.......V...............|",
   " |.d...XY..................|",
   " |........wT..v............|",
   "4|.....x.........d.........|",
   " |.............d...........|",
   " |...........d.............|",
   " |........ud..t............|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black hole",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|....Z..Y.................|",
   " |.....zV..y...............|",
   " |....UX...................|",
   " |.....T...W...............|",
   " |........w...v............|",
   "2|.....x...................|",
   " |.........................|",
   " |..........Bt.............|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.ghi....u................|",
   " |.GHI.....................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Base",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|....Z..Y.................|",
   " |.....zV..y...............|",
   " |....UX.............ghiGHI|",
   " |.....T...W...............|",
   " |........w...v............|",
   "2|.....x...................|",
   " |.........................|",
   " |...........t.............|",
   " |........u................|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};

