//	<Name>	AttackTeamShipInitialState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( AttackTeamShipInitialState_h )
#define AttackTeamShipInitialState_h

#include "ChildActorState.h"
#include "AttackTeamShip.h"

class tAttackTeamShipInitialState : public tChildActorState<tAttackTeamShip>
{
public:
  enum eTimerIDs
   {
		kStartingID = 200,
		kEndingID,
		kDeepScanOnID,
		kCheckDistanceID,
		kGameOverCheckID,
		kFiredProbeID,
   };


	int32 fRestoreSpares;
	int32 fShipRandValue;
	tAttackTeamShipInitialState( );

	virtual void mBeginState();
	virtual void mEndState();
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType );
	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengage( tShipInfo* ship );
	virtual void mOnDeepScan( tShipInfo* ship, iTruth deepScanOn );

void mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value );
eSystemHardPoint mPickSystemAffected();
eSystemHardPoint fSystemAffected;

protected:

	int32	fThisShipWorldID;
	bool	fDeepScanON;
};

#endif

