/********************************************************************************************************\

	File Name:	DefendTeam2InitialState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefendTeam2InitialState.h"
#include "MissionText.h"
#include "ShipList_API.h"
#include "Met_19Scan.h"
#include "ScriptInterface.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefendTeam2InitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tDefendTeam2InitialState::mEndState()
{}

void tDefendTeam2InitialState::mOnDeath( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnCapture( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnDisengaged( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mAtDistance( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mAtDestination( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefendTeam2InitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefendTeam2InitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefendTeam2InitialState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefendTeam2InitialState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefendTeam2InitialState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefendTeam2InitialState::mOnFlashingButtonPressed()
{}
void tDefendTeam2InitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefendTeam2InitialState::mOnChangingShip( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefendTeam2InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefendTeam2InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefendTeam2InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefendTeam2InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefendTeam2InitialState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefendTeam2InitialState::mOnHostChanged()
{}
void tDefendTeam2InitialState::mOnTimedInterval( int32 timerID )
{


	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid


    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* DefendTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam2 ) );
        if (DefendTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (DefendTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tScanTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(DefendTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tScanTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tDefendTeam2InitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefendTeam2InitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

