/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_19Scan Map",
							"Met_19Scan Map -- Sun",
							"Met_19Scan Map -- Asteroids",
							"Met_19Scan Map -- Nebula" ,
							"Met_19Scan Map -- BlackHole" };
const char* MapLines[]=
{
	//
   "Met_19Scan",
   "// Met_19Scan Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |...............K..............|",
   "2|.J............................|",
   " |............X.....W...........|",
   " |.....hi.......................|",
   " |....U.g.v......Y..............|",
   " |..............................|",
   "3|...t...Z...z..................|",
   " |.....k........................|",
   " |.T.......ju...................|",
   " |......V.......................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |.............G................|",
   " |..............................|",
   "5|..........H.....I.............|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..........................(...|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |.JK...........................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |.....hi.......................|",
   " |......g........Y..............|",
   " |...UV.........................|",
   "3|.......Z.....z................|",
   " |...t..........................|",
   " |........vu....................|",
   " |........jk....................|",
   " |..T...........................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |.............G................|",
   " |..............................|",
   "5|..........H.....I.............|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |...]..........................|",
   " |.............[............[...|",
   " |.................]............|",
   "1|..[.....*..............[......|",
   " |.................,,,..........|",
   " |.......*.........,.......*....|",
   " |..............................|",
   " |...................[........].|",
   "2|..........*.....Y.............|",
   " |..................W.X....hi...|",
   " |.........................g.[..|",
   " |.......................U......|",
   " |.......................V......|",
   "3|..............T.jk............|",
   " |...*......z.....t...Z.......K.|",
   " |............[.................|",
   " |..................vu..........|",
   " |..].............[.............|",
   "4|............................J.|",
   " |...[.........G......].........|",
   " |..............................|",
   " |......*...H.....I...[.........|",
   " |...........................]..|",
   "5|.......................*......|",
   " |..].......x.w.................|",
   " |...........y................[.|",
   " |.....]........................|",
   " |........................*.....|",
   "6|............[.................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?........[......*............|",
   " |..............................|",
   " |...]......................[...|",
   "1|..............................|",
   " |..............................|",
   " |..........*...................|",
   " |......[.......................|",
   " |.....J...g....................|",
   "2|.........hi...................|",
   " |.K......U...X.....W...........|",
   " |.........V....................|",
   " |...............Y........].....|",
   " |..............................|",
   "3|.....z.....Z..................|",
   " |....]T..t.....................|",
   " |...........jkuv...............|",
   " |..............................|",
   " |..............................|",
   "4|.....................]........|",
   " |.............G................|",
   " |...[....*.....................|",
   " |..........H.....I......[......|",
   " |......].......................|",
   "5|..............................|",
   " |..........x.w.........*.......|",
   " |...........y...............]..|",
   " |....[.........................|",
   " |........*............[........|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_19Scan Map -- BlackHole",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |......hi.......Y..............|",
   " |......UV.g....................|",
   "3|.................z............|",
   " |.........jk..........,........|",
   " |.......Z......................|",
   " |..T...........................|",
   " |.....t..uv....................|",
   "4|...............G..............|",
   " |..............H.I.............|",
   " |..............................|",
   " |.K............................|",
   " |..J...........................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



