//	<Name>	ScanShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_19Scan.h"
#include "ShipInfo.h"
#include "DefendTeamShip.h"
#include "ScanShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"
#include "ShipList_API.h"

tScanShipInitialState::tScanShipInitialState( )
{
	fSystemAffected = kAllEnginesHardPoint;
	fDeepScanON = false;
}

void tScanShipInitialState::mBeginState()
{
	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = fChildActor->mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = fChildActor->mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = fChildActor->mGetTeam(); if (Team < 1) Team = 1;
	int32 id = fChildActor->mGetShipID(); if (id < 1) id = 1;
	fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;
    fChildActor->mSetShipCallbackEvents( kNotifyTransportedItem );
	fRestoreSpares = 0;
	return;
	fChildActor->mGetAmountOfStore( kSpareParts );
	tTeamInfo *team = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(fChildActor->mGetTeam()) );
	if ((team) && (team->mIsTeamHumanControlled())) return;
	fChildActor->mGetAmountOfStore( kSmall_Mines );
	fChildActor->mGetAmountOfStore( kMarines );
	fChildActor->mGetAmountOfStore( kMissilesTypeI );
	fChildActor->mGetAmountOfStore( kMissilesTypeIV );
}

eSystemHardPoint tScanShipInitialState::mPickSystemAffected()
{
	std::string damagemsg;
	switch (fShipRandValue % 10) {
		case 1: damagemsg = "Sensors are malfunctioning";
			return kSensorHardPoint;
		case 2: damagemsg = "Power failure on the bridge!";
			return kBridgeGroupHardPoint;
		case 3: damagemsg = "Transporters are malfunctioning";
			return kTransporterHardPoint;
		case 4: damagemsg = "Tractors are malfunctioning";
			return kTractorHardPoint;
		case 5: damagemsg = "Scanners are malfunctioning";
			return kScannerHardPoint;
		case 6: damagemsg = "Shuttle launch system is nonfunctional";
			return kShuttleBayHardPoint;
		case 7: damagemsg = "Engine output has dropped by 50%!";
			return kAllEnginesHardPoint;
		case 8: damagemsg = "Probes are malfunctioning";
			return kProbeHardPoint;
		default: damagemsg = "Shields are at half strength!";
			return kAllShieldsHardPoint;
	}
	fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  damagemsg, kEngineerScriptMessage );

}
void tScanShipInitialState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{
	// adjust the loadout of the AI ship
	return;

	// quit if it isn't the desired kind of update
	if (Type != kShipCurrentValue) return;

	// quit if there is no ship to update
	if (!Ship) return;

	// quit if this isn't the ship we're looking for
	if (Ship->mGetCustomID() != fChildActor->mGetCustomID()) return;

	// quit if it's on a different team
	if (Ship->mGetTeam() != fChildActor->mGetTeam()) return;

	// quit if the ship is, or was, on a human controlled team
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( Ship->mGetTeam() ));
	if (!team) return;

	// adjust spare parts handling for humans
	if (team->mIsTeamHumanControlled()) {
		// adjust spare parts handling here
		int32 limit = 40;
		eClassTypes HullType = fChildActor->mGetClassType();
		if (HullType == kClassFrigate) HullType = kClassCarrier;
		else if ((HullType > kClassFreighter) && (HullType < kClassDreadnought))
			HullType = static_cast<eClassTypes>(HullType - 1);
		switch (HullType){
			case kClassFreighter: limit = gWC.fFreighterSpareLimit; break;
			case kClassFrigate: limit = gWC.fFrigateSpareLimit; break;
			case kClassDestroyer: limit = gWC.fDestroyerSpareLimit; break;
			case kClassWarDestroyer: limit = gWC.fWarDestroyerSpareLimit; break;
			case kClassLightCruiser: limit = gWC.fLightCruiserSpareLimit; break;
			case kClassHeavyCruiser: limit = gWC.fHeavyCruiserSpareLimit; break;
			case kClassNewHeavyCruiser: limit = gWC.fNewHeavyCruiserSpareLimit; break;
			case kClassHeavyBattlecruiser: limit = gWC.fHeavyBattlecruiserSpareLimit; break;
			case kClassCarrier: limit = gWC.fCarrierSpareLimit; break;
			case kClassDreadnought: limit = gWC.fDreadnoughtSpareLimit; break;
			case kClassBattleship: limit = gWC.fBattleshipSpareLimit; break;
			case kClassBaseStation: limit = gWC.fBaseSpareLimit; break;
			case kClassBattleStation: limit = gWC.fBatsSpareLimit; break;
			case kClassStarBase: limit = gWC.fStarbaseSpareLimit; break;
			case kClassPlanets: limit = gWC.fPlanetSpareLimit; break;
			case kClassSpecial: limit = gWC.fSpecialSpareLimit; break;
			default: limit = gWC.fOtherSpareLimit; break;
		}
		if ((Value > limit) && (limit > 0)) {
			fRestoreSpares = Value - limit;
			Value = limit;
			fChildActor->mSetItemInStores( Item, SubItem, Value );	
		}
#ifdef DIZZYPACK
		// include specialized drones limit for romulans in dizzy's server
		if ((team->mGetRace() == kRomulan) && (Item == kMissilesTypeI) && (subitem != kStandard)) {
			Ship->mSetItemInStores( kMissilesTypeI, kStandard, Value );	
		}
#endif
		return;
	} 
		
	// designate some uniqueness to the AI
	if (team->mGetRace() == kRomulan) {
		Ship->mCloak( kFalse );
		Ship->mSetSystemHealthFromOrig( kCloakHardPoint, 0, kFalse );
		Ship->mChangeAIOfficerState( kCloakOfficer, kFalse );
		Ship->mCloak( kFalse );
	} 
#ifndef NOMODIFIEDOFFICERS
	else if (team->mGetRace() != kLyran) {
		int32 speed = 24;
		switch (fShipRandValue % 29) {
			case 1: Ship->mChangeAIOfficerState( kECMOfficer, kFalse); break;
			case 2: Ship->mChangeAIOfficerState( kECCMOfficer, kFalse ); break;
			case 3: Ship->mChangeAIOfficerState( kTractorOfficer, kFalse ); break;
			case 4: Ship->mChangeAIOfficerState( kRepairOfficer, kFalse ); break;
			case 5: Ship->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse ); break;
			case 6:  
			case 7: Ship->mChangeAIOfficerState( kHitAndRunOfficer, kFalse ); break;
			case 8: 
			case 9: Ship->mChangeAIOfficerState( kTBombOfficer, kFalse ); break;
			case 10: Ship->mChangeAIOfficerState( kHETOfficer, kFalse ); break;
			case 11:  break;
			case 12: Ship->mChangeAIOfficerState( kFighterOfficer, kFalse ); break;
			case 13: Ship->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse ); break;
			case 14: Ship->mChangeAIOfficerState( kShuttleOfficer, kFalse ); break;
			default:
				int32 officerroll = fShipRandValue % 101;
				float officerchance = gWC.fLegendaryAIEngineer;
				if ((officerroll < 1) || (officerroll > 99)) break;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kEngineeringOfficer, kLegendary ); break;
				} 
				officerchance += gWC.fLegendaryAIScience;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kScienceOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIMarine;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kSecurityOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIComm;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kCommOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIHelm;
				if (officerroll < (100 * officerchance)) 
					Ship->mSetOfficerRank( kHelmOfficer, kLegendary );
				break;
		}
	}
#endif
	
	// compute an adjusted quantity for the ship stores
	switch (Item) {
		case kMissilesTypeI:
		case kMissilesTypeIV:
			if (SubItem == kSpeed_Fast) {
				if (!(fShipRandValue % 3)) SubItem = kSpeed_Med;
			}
			if (SubItem == kSpeed_Med) {
				if (!(fShipRandValue % 2)) SubItem = kStandard;
			}
			Value *= gWC.fAIDroneModifier;
			break;
		case kMarines:
			Value *= gWC.fAIMarinesModifier;
			break;
		case kSmall_Mines:
			Value *= gWC.fAIBombsModifier;
			break;
		case kSpareParts:
			Value *= gWC.fAIPartsModifier;
			break;
	}

#ifdef DIZZYPACK
		// include specialized drones limit for romulans in dizzy's server
		if ((team->mGetRace() == kRomulan) && (Item == kMissilesTypeI) && (subitem != kStandard)) {
			Ship->mSetItemInStores( kMissilesTypeI, kStandard, Value );	
		}
		return;
#endif

	// establish the adjusted quantity on board
	Ship->mSetItemInStores( Item, SubItem, Value );	

}


void tScanShipInitialState::mEndState()
{
	if (gWC.mGetSpecialMissionType() == kAnomalyMission) 
		fChildActor->mSetSystemHealthFromOrig( fSystemAffected, 1.0f, kTrue );
	if (fRestoreSpares > 0)
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
}

void tScanShipInitialState::mOnTimedInterval( int32 timerID )
{
	bool planetScanned = gWC.mGetPlanetScanned();
	tTeamInfo* planetTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlanetTeam ) );	
	
	tShipIterator pship = planetTeam->mGetFirstShip();
	tShipInfo* planet = *pship;

	if( timerID == kDeepScanOnID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kScanning_msg, kScienceScriptMessage );
		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}
	else if( timerID == kCheckDistanceID )
	{
		int32 rangeToPlanetThisInterval = fChildActor->mGetTacticalDistance( planet );


		float waittime = 8.0f;

		if( ( planet ) && !planetScanned && ( rangeToPlanetThisInterval < 10 ) && ( fDeepScanON ) && ( ( fChildActor->mGetShipTargetID() ) == planet->mGetShipID() ) )
		{
			fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kDefendTeam1 ), kScannedPlanet_msg, kScienceScriptMessage );
			planetScanned = true;
			gWC.mSetPlanetScanned();

			//  generate the thing to be picked up
			if (1) {
				tTeamInfo *pteam = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kPlanetTeam));
				tShipInfo *planet = NULL;
				if (pteam) planet = pteam->mGetThisShip(1);
				eScriptTransportItems item;
				switch (fShipRandValue % 11) {
					case 1: item = kTransDilithiumCrystals;
						break;		
					case 2: item = kTransHarryMudd;
						break;		
					case 3: item = kTransRomulanAle;
						break;		
					case 4: item = kTransLifePodDude;
						break;		
					case 5: item = kTransBlackBox;
						break;		
					case 6: item = kTransTribbles;
						break;		
					case 7: item = kTransWeaponSchematic;
						break;		
					case 8: item = kTransMedicalSupplies;
						break;		
					case 9: item = kTransInjuredDude;
						break;		
					case 10: item = kTransMedicineJar;
						break;		
					default: item = kTransAlienArtifact;
						break;		
				}
				if (planet) {
					planet->mAddItemToStores( kTransporterItem, item, 1);
					waittime += 12.0f;
				}

			} else 		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );


				// check and see if the mission should end, i.e. that was the last thing we needed to do
				mSetTimedInterval( kTimerSecondsSet, kGameOverCheckID, waittime );

		}
		if( fDeepScanON && ! planetScanned )
		{
			mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.75f );
		}
	}
	else if( timerID == kGameOverCheckID )
	{
		gWC.mCheckForGameEnd();
	}
	else if( timerID == kFiredProbeID )
	{
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kDefendTeam1 ), kProbe_msg, kScienceScriptMessage );
	}
}
void tScanShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
void tScanShipInitialState::mOnDeath( tShipInfo* ship )
{
	int32 enemies = 0;
	tTeamInfo *team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kAttackTeam1));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kAttackTeam2));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
	if ((fRestoreSpares > 0) && (ship->mGetCustomID() != fChildActor->mGetCustomID())) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
		fRestoreSpares = 0;
	}	
}
void tScanShipInitialState::mOnCapture( tShipInfo* ship )
{
	int32 enemies = 0;
	tTeamInfo *team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kAttackTeam1));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kAttackTeam2));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
	if (fRestoreSpares > 0) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
		fRestoreSpares = 0;
	}	
}
void tScanShipInitialState::mOnDisengage( tShipInfo* ship )
{
	if ((ship->mGetCustomID() == fChildActor->mGetCustomID()) && (fRestoreSpares > 0)) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );
		fRestoreSpares = 0;
	}	
	int32 enemies = 0;
	tTeamInfo *team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kAttackTeam1));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kAttackTeam2));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
	if (fRestoreSpares > 0) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
		fRestoreSpares = 0;
	}	
}
void tScanShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanOnID, 0.75f );
}
void tScanShipInitialState::mOnProbeLaunch( tShipInfo* ship )
{
	bool planetProbed = gWC.mGetPlanetProbed();

	tShipInfo* planet;
	tTeamInfo* planetTeam  = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlanetTeam ) );	
	
	if( planetTeam )
	{
		tShipIterator pship = planetTeam->mGetFirstShip();
		planet = *pship;
	}

	if( ( !planetProbed ) && ( fChildActor->mGetShipTargetID() == planet->mGetShipID() ) )
	{
		gWC.mSetPlanetProbed();
		planetProbed = true;
		mSetTimedInterval( kTimerTurnsSet, kFiredProbeID, 0.2f );
	}
}

void tScanShipInitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{
	if (!shipFrom) return;
	if ((shipFrom->mGetTeam() == static_cast<eTeamID>(kPlanetTeam))
		&& (item != kTransSpareParts))	gWC.mSetSpecialGoalCompleted();
}
