//	<Name>	ScanVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( ScanVictoryState_h )
#define ScanVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "ScanVictoryCondition.h"

class tScanVictoryState : public tChildActorVictoryState<tScanVictoryCondition>
{
public:
   enum eTimerIDs
   {
		kStartingID = 600,
		kEndingID,
		kDeepScanOnID,
		kCheckDistanceID,
		kGameOverCheckID,
		kFiredProbeID,
   };

   tScanVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mOnTimedInterval( int32 timerID );
	virtual void mOnPlayerLeaving( int playerNumber );
void mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item );

protected:

	int32 	fThisTeamShipsInPlay;
	bool	fTeamDisengaged;
	bool	fPlayerLeftAlready;
	bool	fThisPlayerDead;
};

#endif

