//	<Name>	ScoutTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_1Scout.h"
#include "ShipInfo.h"
#include "ScoutTeam.h"
//#include "PlayerTeamShip.h"
#include "ScoutTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
//#include "SFCAssert.h"
#include "ShipList_API.h"

tScoutTeamInitialState::tScoutTeamInitialState( )
{
	totalTeamScoutedShips = 0;
}

void tScoutTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tScoutTeamInitialState::mEndState()
{
}
void tScoutTeamInitialState::mOnTimedInterval( int32 timerID )
{


	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kScoutTeam ) );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),  kFedScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kKliScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kRomScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kLyrScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kGorScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kMirScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kHydScoutTeamStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ),   kISCScoutTeamStart_msg, kNonCommScriptMessage );
			break;
		}

	}//startingid

	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kScoutTeam ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;
		if (playerTeam->mIsTeamHumanControlled()) return;
		if (! gScriptInterface.mIsHost()) return;

		gST.mDebug_fprintf("--- Entering tScoutTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		
        gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tScoutTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}

