//	<Name>	ScoutTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_1Scout.h"
#include "ShipInfo.h"
#include "ScoutTeamShip.h"
#include "ScoutTeamShipInitialState.h"
#include "MissionText.h"
//#include "ScriptInterface.h"
#include "WorldConditions.h"

tScoutTeamShipInitialState::tScoutTeamShipInitialState( )
{
	fDeepScanON = false;
	fHalfOfShipsScanned = false;
	fShipHalfDestroyed = false;
}

void tScoutTeamShipInitialState::mBeginState()
{
	mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ));
	if (team && (team->mGetRace() == kRomulan) && (!team->mIsTeamHumanControlled())) {
		fChildActor->mCloak( kFalse );
		fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
	}
}


void tScoutTeamShipInitialState::mEndState()
{
}

void tScoutTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	/*
	if( damagedShip->mGetShipID() == fChildActor->mGetShipID() && !fShipHalfDestroyed &&fChildActor->mGetDamagePercent() > 50.0 )
	{
		fShipHalfDestroyed = true;
		fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ), kScoutSeverlyDamaged_msg, kEngineerScriptMessage );
	}
	*/
	
}
void tScoutTeamShipInitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{

}
void tScoutTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kCheckDistanceID )
	{
		int32 index = 0;
		int32 rangeThisInterval = 0;
		tTeamInfo* scoutTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kScoutTeam ) );
		tTeamInfo* teamScouted = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTeamScouted ) );

		tShipIterator ship = teamScouted->mGetFirstShip();	
		tShipInfo* shipToCheck = *ship;

		for( shipToCheck; shipToCheck != NULL; shipToCheck = *( ++ship ) )
		{

			int32 test = shipToCheck->mGetTacticalDistance( fChildActor );
			bool targetedShipToCheck = ( ( fChildActor->mGetShipTargetID() ) == ( shipToCheck->mGetShipID() ) );

			if( ( test < 5 ) && ( fDeepScanON ) && targetedShipToCheck )
			{
				if( shipToCheck->mInPlay() && ( gWC.mGetScannedStatus(index) == 0) )
				{
					gWC.mSetShipScanned( index );

					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ), kScoutScannedShip_msg, kScienceScriptMessage );
					fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ), kTeamScoutedScannedShip_msg, kScienceScriptMessage );

					int32 totalTeamScoutedShips = gWC.mGetTotalTeamScoutedShips();
					int32 shipsScanned = 0;

					for( int32 i = 0; i < 20; ++i )
					{
						if( gWC.mGetScannedStatus( i ) == 1)
						{
							++shipsScanned;
						}
					}
					
					if( shipsScanned == totalTeamScoutedShips )
					{
						fHalfOfShipsScanned = true;
						fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ), kScoutScannedAll_msg, kScienceScriptMessage );
						fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ), kTeamScoutedScannedAll_msg, kScienceScriptMessage );
					}
					else if( 0.5f <= ( (float)shipsScanned / (float)totalTeamScoutedShips ) && ( !fHalfOfShipsScanned ) )
					{
						fHalfOfShipsScanned = true;
						fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kScoutTeam ), kScoutScannedHalf_msg, kScienceScriptMessage );
						fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ), kTeamScoutedScannedHalf_msg, kScienceScriptMessage );
					}
				}
			}
		++index;
		}




		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}


}
void tScoutTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
}