//	<Name>	TeamScoutedInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_1Scout.h"
#include "ShipInfo.h"
#include "TeamScouted.h"
#include "TeamScoutedInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"
#include "ShipList_API.h"

tTeamScoutedInitialState::tTeamScoutedInitialState( )
{

}

void tTeamScoutedInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tTeamScoutedInitialState::mEndState()
{
}
void tTeamScoutedInitialState::mOnTimedInterval( int32 timerID )
{

	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTeamScouted ) );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),  kFedTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kKliTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kRomTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kLyrTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kGorTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kMirTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kHydTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( static_cast< eTeamID>( kTeamScouted ),   kISCTeamScoutedStart_msg, kNonCommScriptMessage );
			break;
		}

	}// StartingID

	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kTeamScouted ) );
		if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;
		if (playerTeam->mIsTeamHumanControlled()) return;
		if (! gScriptInterface.mIsHost()) return;

		gST.mDebug_fprintf("--- Entering tTeamScoutedInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");
		
        gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(playerTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tTeamScoutedInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
