//	<Name>	TeamScoutedVictoryState.h
//
//
//	<Info>	DESCRIPTION
//

#if !defined( TeamScoutedVictoryState_h )
#define TeamScoutedVictoryState_h

#include "VictoryState.h"

#include "ChildActorVictoryState.h"
#include "teamInfo.h"
#include "TeamScoutedVictoryCondition.h"

class tTeamScoutedVictoryState : public tChildActorVictoryState<tTeamScoutedVictoryCondition>
{
public:
   enum eTimeIDs
   {
		kStartingID,
   };

   tTeamScoutedVictoryState( int32 astoundingVictory, int32 victory, int32 draw, int32 defeat, int32 devastatingDefeat );

	virtual void mBeginState();
	virtual void mEndState();

	virtual eVictoryLevels mCalcVictoryStatus( eTeamID ID );

	virtual void mOnDeath( tShipInfo* ship );
	virtual void mOnCapture( tShipInfo* ship );
	virtual void mOnDisengaged( tShipInfo* ship );
	virtual void mOnStateChange( tActor* actor, tState* state, eStateEvent eventType );

	virtual void mCheckAllTeams( tShipInfo* ship );
	virtual int32 mShipsInPlay( tTeamInfo* teamID );
	virtual void mOnTimedInterval( int32 timerID );
void mMyInvokeGameStatus(eTeamID team, eGameStatus stat);

protected:

	int32 	fScoutTeamShipsInPlay;
	int32	fTeamScoutedShipsInPlay;
	int32	ftotalTeamScoutedShips;
	bool	fScoutCaptured;
	bool	fPlayerDied;
	iTruth	fScoutHasAlreadyWon;

};

#endif

