/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{

public:

	tWorldConditions();
	virtual void  mSetTotalTeamScoutedShips( int32 );
	virtual int32 mGetTotalTeamScoutedShips( void );
	virtual void  mSetTotalScoutShips( int32 setValue );
	virtual int32 mGetTotalScoutShips( void );
	virtual void  mSetShipScanned( int32 index );
	virtual int32 mGetScannedStatus( int32 index );
	void mCheckForGameEnd( void );
	iTruth mAppendToFile(std::string filename, std::string textline);
	iTruth mStartMissionLog(std::string missionname);
	iTruth mLogTeamResults(eTeamID team, eRace race, int32 prestige, eGameStatus result, iTruth human);
	iTruth fResultsIn;

	// added fields and methods to read settings from my mission config file
	void mGetSettingsFromConfig();
	iTruth mGetSetting(char *line, char *settingname, float &value, int32 len);
	iTruth mGetSetting(char *line, char *settingname, int32 &value, int32 len);
	iTruth mCheckCRC();
	iTruth fBadCRC;
	int32 fNWCustID;

	float fLegendaryAICaptain;
	float fLegendaryAIWeapon;
	float fLegendaryAIEngineer;
	float fLegendaryAIScience;
	float fLegendaryAIMarine;
	float fLegendaryAIDoctor;
	float fLegendaryAIComm;
	float fLegendaryAIHelm;
	float fAIDroneModifier;
	float fAIPartsModifier;
	float fAIMarinesModifier;
	int32 fFreighterSpareLimit;
	int32 fFrigateSpareLimit;
	int32 fDestroyerSpareLimit;
	int32 fWarDestroyerSpareLimit;
	int32 fLightCruiserSpareLimit;
	int32 fHeavyCruiserSpareLimit;
	int32 fNewHeavyCruiserSpareLimit;
	int32 fHeavyBattlecruiserSpareLimit;
	int32 fCarrierSpareLimit;
	int32 fDreadnoughtSpareLimit;
	int32 fBattleshipSpareLimit;
	int32 fBaseSpareLimit;
	int32 fBatsSpareLimit;
	int32 fStarbaseSpareLimit;
	int32 fPlanetSpareLimit;
	int32 fSpecialSpareLimit;
	int32 fOtherSpareLimit;
	int32 fAIBPVModifier;
	int32 fAllowCallForHelp;
	int32 fBPVPenaltyForCall;
	int32 fBPVBonusForNotCalling;
	int32 fDisableAIDuringPvP;
	int32 fAstoundingVictoryPvPBonus;
	int32 fVictoryPvPBonus;
	int32 fDrawPvPBonus;
	int32 fDefeatPvPBonus;
	int32 fDevastatingDefeatPvPBonus;
	int32 fFederation;
	int32 fKlingon;
	int32 fRomulan;
	int32 fLyran;
	int32 fMirak;
	int32 fGorn;
	int32 fHydran;
	int32 fISC;
	int32 fMonster;
	int32 fNeutral;
	int32 fOrion;
	int32 fOther;
	int32 fOrionOrion;
	int32 fPrime;
	int32 fWyldefire;
	int32 fTigerHeart;
	int32 fBeastRaiders;
	int32 fKorgath;
	int32 fSyndicate;
	int32 fCamboro;
	iTruth fStartShipsInMotion;

private:

	int32 gTotalTeamScoutedShips;
	int32 gTotalScoutShips;
	int32 gShipsToScan[20];

};

extern tWorldConditions gWC;

#endif