/********************************************************************************************************\

	File Name:	DefendTeam3InitialState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "DefendTeam3InitialState.h"
#include "MissionText.h"
#include "Met_26AsteroidAssualt.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tDefendTeam3InitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );

}
void tDefendTeam3InitialState::mEndState()
{}

void tDefendTeam3InitialState::mOnDeath( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnCapture( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnDisengaged( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mAtDistance( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mAtDestination( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tDefendTeam3InitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tDefendTeam3InitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tDefendTeam3InitialState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tDefendTeam3InitialState::mOnProbeLaunch( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnBeginOrbit( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnEndOrbit( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefendTeam3InitialState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tDefendTeam3InitialState::mOnFlashingButtonPressed()
{}
void tDefendTeam3InitialState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tDefendTeam3InitialState::mOnChangingShip( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnSpecialTransport( tShipInfo* ship )
{}
void tDefendTeam3InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tDefendTeam3InitialState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tDefendTeam3InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tDefendTeam3InitialState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tDefendTeam3InitialState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tDefendTeam3InitialState::mOnHostChanged()
{}
void tDefendTeam3InitialState::mOnTimedInterval( int32 timerID )
{


	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedDefenseStart_msg );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliDefenseStart_msg );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomDefenseStart_msg );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrDefenseStart_msg );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorDefenseStart_msg );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirDefenseStart_msg );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydDefenseStart_msg );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCDefenseStart_msg );
			break;
		}
	}//startingid

	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* DefendTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam3) );
		if (DefendTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (DefendTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tDefendTeam3InitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam2DeltaFighterBPV += gST.mUpgradeFightersForTeam(DefendTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam2DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tDefendTeam3InitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tDefendTeam3InitialState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tDefendTeam3InitialState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

