/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_26AsteroidAssualt Map",
							"Met_26AsteroidAssualt Map -- Sun",
							"Met_26AsteroidAssualt Map -- Asteroids",
							"Met_26AsteroidAssualt Map -- Nebula" ,
							"Met_26AsteroidAssualt Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_26AsteroidAssualt",
   "// Met_26AsteroidAssualt Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |....................a.........|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..A..........G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.wM................|",
   " |...........y..................|",
   " |......................*.......|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_26AsteroidAssualt Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|....).........................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..............................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.wM................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_26AsteroidAssualt Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..........A...................|",
   " |......................A.......|",
   " |....d.a.........*...a.........|",
   " |...A..........................|",
   "1|...........a..................|",
   " |..A..............h.i..........|",
   " |.................g............|",
   " |......*.....A..........A......|",
   " |.A...a........................|",
   "2|..........A...................|",
   " |............X.....W.....A.....|",
   " |..............................|",
   " |..........*....Y.......*......|",
   " |........A.....................|",
   "3|..a...........*.....A.........|",
   " |.................A...........A|",
   " |..A........a....d........a....|",
   " |......*...............*.......|",
   " |..............................|",
   "4|...*...a.........a....A...a...|",
   " |..a..........G................|",
   " |..............................|",
   " |..........H.....I.......A.....|",
   " |...a..........................|",
   "5|......d......M..............A.|",
   " |..........x.w.....a....*......|",
   " |.....*.....y..................|",
   " |..A.....................d.....|",
   " |...................A....a.....|",
   "6|.....a.....................A..|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_26AsteroidAssualt Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.C............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.wM................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_26AsteroidAssualt Map -- BlackHole",
   " +____1____2____3____4____5____6+",
   " |).............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|............X.....W...........|",
   " |..............................|",
   " |..............................|",
   " |...............Y..............|",
   " |..Z...........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |.............G................|",
   " |..............................|",
   " |..........H.....I.............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.wM................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



