/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();

	virtual void mAddAttackTeam();
	virtual void mAddDefendTeam();
	virtual void mRemoveAttackTeam();
	virtual void mRemoveDefendTeam();
	virtual void mCheckForGameEnd( void );

	virtual void mAddAttackShip();
	virtual void mRemoveAttackShip();

	virtual int32 mGetNumAttackShips();
	virtual int32 mGetRemainingAttackShips();
	virtual void  mSetAttackDamageCond( int32 index, int32 condition );
	virtual int32 mGetAttackDamageCond( int32 index );
	virtual int32 mGetAttackTeams();
	virtual int32 mGetDefendTeams();
	virtual void  mAddDefendShip();
	virtual void  mRemoveDefendShip();
	virtual int32 mGetNumDefendShips();
	virtual int32 mGetRemainingDefendShips();
	virtual void  mSetDefendDamageCond( int32 index, int32 condition );
	virtual int32 mGetDefendDamageCond( int32 index );
	virtual bool	mGetIsAsteroidBaseDestroyed();
	virtual void	mSetAsteroidBaseDestroyed();
private:

	int32	fNumAttackTeams;
	int32	fNumDefendTeams;
	int32	fOrigNumAttackTeams;
	int32	fOrigNumDefendTeams ;
	int32	fNumTeams;
	int32	fNumAttackShips;
	int32	fRemainingAttackShips;
	int32	fNumDefendShips;
	int32	fRemainingDefendShips;

	int32	fAttackShipsDamageChart[21];
	int32	fDefendShipsDamageChart[21];
	bool	fAsteroidBaseDestroyed;
};

extern tWorldConditions gWC;

#endif