//	<Name>	BaseTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_27AsteroidDefense.h"
#include "ShipInfo.h"
#include "BaseTeam.h"
#include "BaseTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "SFCAssert.h"
#include "BaseTeam.h"
#include "ShipList_API.h"


tBaseTeamInitialState::tBaseTeamInitialState( )
{
}

void tBaseTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tBaseTeamInitialState::mEndState()
{
}
void tBaseTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* BaseTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kBaseTeam) );
		if (BaseTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (BaseTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tBaseTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam3DeltaFighterBPV += gST.mUpgradeFightersForTeam(BaseTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam3DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tBaseTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tBaseTeamInitialState::mOnDeath( tShipInfo* ship )
{
}
void tBaseTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tBaseTeamInitialState::mOnCapture( tShipInfo* ship )
{
}