//	<Name>	DefendTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "DefendTeam.h"
#include "DefendTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "ScriptInterface.h"
#include "Met_27AsteroidDefense.h"
#include "ShipList_API.h"


tDefendTeamInitialState::tDefendTeamInitialState( )
{
}

void tDefendTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tDefendTeamInitialState::mEndState()
{
}
void tDefendTeamInitialState::mOnTimedInterval( int32 timerID )
{


	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		fChildActor->mGetTeam();
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedDefenseStart_msg );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliDefenseStart_msg );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomDefenseStart_msg );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrDefenseStart_msg );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorDefenseStart_msg );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirDefenseStart_msg );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydDefenseStart_msg );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCDefenseStart_msg );
			break;
		}
	}//startingid

	if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1) );
        if (playerTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (playerTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tDefendTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(playerTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tDefendTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tDefendTeamInitialState::mOnDeath( tShipInfo* ship )
{
}
void tDefendTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tDefendTeamInitialState::mOnCapture( tShipInfo* ship )
{
}