//	<Name>	DefendTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_27AsteroidDefense.h"
#include "ShipInfo.h"
#include "DefendTeamShip.h"
#include "DefendTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"

tDefendTeamShipInitialState::tDefendTeamShipInitialState( )
{
	fDeepScanON = false;
}

void tDefendTeamShipInitialState::mBeginState()
{
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ));
	if (team && (team->mGetRace() == kRomulan) && (!team->mIsTeamHumanControlled())) {
		fChildActor->mCloak( kFalse );
		fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
	}
}

void tDefendTeamShipInitialState::mEndState()
{
}

void tDefendTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kDeepScanOnID && fDeepScanON )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kScanning_msg, kScienceScriptMessage );
//		mSetTimedInterval( kTimerTurnsSet, kCheckDistanceID, 0.5f );
	}
}
void tDefendTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	fChildActor->mSetShipCallbackEvents(  kNotifyDamage );
	fThisShipWorldID = fChildActor->mGetThisShipID();

	if( fChildActor->mGetShipID() == damagedShip->mGetShipID() )
	{
		if( damagedShip->mGetDamagePercent() == 100 )
		{
			gWC.mSetDefendDamageCond( fThisShipWorldID, 4 );
		}
		else if( damagedShip->mGetDamagePercent() > 75 )
		{
			gWC.mSetDefendDamageCond( fThisShipWorldID, 3 );
		}
		else if( damagedShip->mGetDamagePercent() > 50 )
		{
			gWC.mSetDefendDamageCond( fThisShipWorldID, 2 );
		}
		else if( damagedShip->mGetDamagePercent() > 25 )
		{
			gWC.mSetDefendDamageCond( fThisShipWorldID, 1 );
		}
	
	}
}
void tDefendTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
}
void tDefendTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if( deepScanOn )
	{
		fDeepScanON = true;
	}
	else
	{
		fDeepScanON = false;
	}
	ship->mSetShipCallbackEvents(  kNotifyDeepScan );
	mSetTimedInterval( kTimerTurnsSet, kDeepScanOnID, 0.75f );
}