/********************************************************************************************************\

	File Name:	GoalTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "Met_2HoldingAction.h"
#include "ShipInfo.h"
#include "GoalTeamBaseState.h"
#include "GoalTeam.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"
#include "ShipList_API.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tGoalTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerEndGamePause, -1, 10.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}
void tGoalTeamBaseState::mEndState()
{}

void tGoalTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tGoalTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tGoalTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tGoalTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tGoalTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tGoalTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tGoalTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tGoalTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tGoalTeamBaseState::mOnFlashingButtonPressed()
{}
void tGoalTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tGoalTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tGoalTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tGoalTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tGoalTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tGoalTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tGoalTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tGoalTeamBaseState::mOnHostChanged()
{}
void tGoalTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;
		if (! gScriptInterface.mIsHost()) return;

		int32 fTeamID = fChildActor->mGetTeam();
		tTeamInfo* goalTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fTeamID ) );
		if (fTeamID != kGoalTeam) return;
		if (goalTeam->mIsTeamHumanControlled()) return;

		gST.mDebug_fprintf("--- Entering tGoalTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam3DeltaFighterBPV += gST.mUpgradeFightersForTeam(goalTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam3DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tGoalTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tGoalTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tGoalTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

