/********************************************************************************************************\

	File Name:	BaseMetaIDShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "BaseMetaIDShipBaseState.h"
#include "Met_7BaseAssault.h"
#include "MissionText.h"
#include "ShipList_API.h"

tBaseMetaIDShipBaseState::tBaseMetaIDShipBaseState( )
{
}


void tBaseMetaIDShipBaseState::mBeginState()
{
#ifdef ERA_BASED_DRONE_SPEEDS
	fChildActor->mGetAmountOfStore( kSpareParts );  // stupid way to get a delay for when the ship'll actually be in-game.
#endif
}

void tBaseMetaIDShipBaseState::mOnTimedInterval( int32 timerID ) {
#ifdef ERA_BASED_DRONE_SPEEDS
	if (
		(timerID == kBlowItUpID) && 
		(fChildActor) && 
		(fChildActor->mGetCustomID() == kBaseMetaIDCustomID)
	) {		
		gST.mDebug_fprintf("Destroying base metaid placeholder.\n");
		fChildActor->mDestroyShipSilently();
	}
#endif
}

void tBaseMetaIDShipBaseState::mOnDeath( tShipInfo* ship ) 
{
#ifdef ERA_BASED_DRONE_SPEEDS
	if (
		(fChildActor->mGetCustomID() == kBaseMetaIDCustomID) &&
		(fChildActor->mGetCustomID() == ship->mGetCustomID())
	) {
		gST.mDebug_fprintf("Base metaid placeholder destroyed. Did it work? Is the base gone?\n");
	}
#endif
}


void tBaseMetaIDShipBaseState::mOnShipStoresUpdate( tShipInfo* ship, eShipUpdateType type, 
								eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{
#ifdef ERA_BASED_DRONE_SPEEDS
	if (
		(fChildActor->mGetCustomID() == kBaseMetaIDCustomID) &&
		(fChildActor->mGetCustomID() == ship->mGetCustomID())
	) {	
		gST.mDebug_fprintf("tBaseMetaIDShipBaseState::mOnShipStoresUpdate -- scheduling box destruction.\n");
		mSetTimedInterval( kTimerSecondsSet, kBlowItUpID, 0.01f );  //box is in-game! schedule a blow-up!
	}
#endif
}


void tBaseMetaIDShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType ) {}
void tBaseMetaIDShipBaseState::mEndState() {}
void tBaseMetaIDShipBaseState::mOnCapture( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnDisengaged( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mAtDistance( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mAtDestination( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip ) {}
void tBaseMetaIDShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType ) {}
void tBaseMetaIDShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn ) {}
void tBaseMetaIDShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus ) {}
void tBaseMetaIDShipBaseState::mOnProbeLaunch( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnBeginOrbit( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnEndOrbit( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip ) {}
void tBaseMetaIDShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip ) {}
void tBaseMetaIDShipBaseState::mOnFlashingButtonPressed() {}
void tBaseMetaIDShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item ) {}
void tBaseMetaIDShipBaseState::mOnChangingShip( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnSpecialTransport( tShipInfo* ship ) {}
void tBaseMetaIDShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value ) {}
void tBaseMetaIDShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent ) {}
void tBaseMetaIDShipBaseState::mOnShipStoresUpdate( tShipInfo* ship, eShipUpdateType type,
								eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value ) {}

//
//	System events
//
void tBaseMetaIDShipBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID ) {}
void tBaseMetaIDShipBaseState::mOnHostChanged() {}
void tBaseMetaIDShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType ) {}
