/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 10;
const char* MapTypes[] = { "Open Space", "Asteroids", "Sun",
							"Blackhole", "Blackhole planet", "Nebula", "Nebula planet", "Moon",
                            "Dust clouds", "Shipping Lane" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_7BaseAssault",
   "// Open Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.........................|",
   " |........W................|",
   "2|.....X...wTt.............|",
   " |......x.sSZUu............|",
   " |..........Vv.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............i..GHI......|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroids",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y....*..........|",
   " |.......X..y..............|",
   " |............Tt..[........|",
   " |........W.sSZUu..........|",
   "2|.........w..Vv...........|",
   " |......x.....[..[..*......|",
   " |.........................|",
   " |...........]...*.........|",
   " |........[.........h......|",
   "3|..............g..........|",
   " |.....*...................|",
   " |........*......iGH.......|",
   " |.................I.......|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Sun",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.Y...z...................|",
   " |.........................|",
   " |..X................].....|",
   " |.............]...........|",
   "2|.sSWTt...................|",
   " |...Z.....................|",
   " |..UuVv..........]........|",
   " |....]...]wxy.]...........|",
   " |.........................|",
   "3|.............igh.........|",
   " |....]....]...............|",
   " |................GHI......|",
   " |.........................|",
   " |.........................|",
   "4|..(......................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Blackhole",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |..XY.....................|",
   " |.........................|",
   " |...WUu...................|",
   "1|..sSZTt..................|",
   " |...vVz...................|",
   " |..........y..............|",
   " |.........................|",
   " |.........................|",
   "2|.........w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.............,...........|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |...ghi...................|",
   "4|...G.....................|",
   " |..HI.....................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Blackhole planet",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............,...........|",
   " |.........................|",
   " |.........................|",
   "1|....................GHI..|",
   " |.....z.............ghi...|",
   " |........Vvy..............|",
   " |......UuZTwx.............|",
   " |.......WSst..............|",
   "2|.....X...................|",
   " |........Y................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |................9........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.?.......................|",
   " |.........................|",
   " |.........................|",
   "1|......X..................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |.........................|",
   "2|.........wUu.............|",
   " |......x.sSZTt............|",
   " |.........vV..............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..GHI....|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula planet",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.&.......................|",
   " |.........................|",
   " |.........................|",
   "1|......W..................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |..................8......|",
   "2|.........wVv.............|",
   " |......x.sSZUu............|",
   " |..........Tt.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..G......|",
   " |..................H......|",
   " |..................I......|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Moon",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |.....X....y..............|",
   " |.......W.................|",
   " |.........................|",
   "2|.........wSs....@........|",
   " |......x.vVZUu............|",
   " |.........tT..............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..G......|",
   " |...................H.....|",
   " |....................I....|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Dust clouds",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............<...........|",
   " |.........................|",
   " |..............>..........|",
   "1|........>..<....>...GHI..|",
   " |.....z.......<.....ghi...|",
   " |.......tT.ysuv<.>........|",
   " |......<SZUwx.............|",
   " |.......WV.......<........|",
   "2|.....X.....>..>..........|",
   " |........Y........<.......|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Shipping Lane",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............,...........|",
   " |.........................|",
   " |.........................|",
   "1|....................GHI..|",
   " |.....z.............ghi...|",
   " |......tTsSy..............|",
   " |........Z.wx.............|",
   " |......uUWVv..............|",
   "2|.....X...................|",
   " |........Y................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};
