/********************************************************************************************************\

	File Name:	Met_7BaseAssault.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( Met_7BaseAssault_h )
#define Met_7BaseAssault_h

#include "ScriptInterface.h"

// For EAW/OP detection
#include "soundnums.h"
#ifdef kSndPhaserFire
#define EAW 1
#else
#define OP 1
#endif

enum eCustomIDs
{
	kDefender1 = 1000,
	kDefender2,
	kDefender3,
	kOTD,
	kAttacker1,
	kAttacker2,
	kAttacker3,
	kBaseMetaIDCustomID,
};

enum eTeamTypes
{
	kAttackTeam1 = kTeam1,
	kAttackTeam2,
	kAttackTeam3,
	kDefendTeam1,
	kDefendTeam2,
	kDefendTeam3,		///fix for starbase team replacing one of the defenders
	kStarbaseTeam,
	kOrionTeam,
};

enum eTags
{
	kAttackTag = kTagA,
	kDefendTag = kTagB,
};

enum ePrestigeValues
{
	kPrestigeDestroyShip = 75,
	kPrestigeCaptureShip = 30,
	kPrestigeDestroyOTD = 20,
	kPrestigeCaptureOTD = 30,
};

class tVictoryCondition;

class tMet_7BaseAssault : public tScript
{
public:

	tMet_7BaseAssault();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual tMapTerrain		mAssignMapTerrainTypes( int32 Map );
	virtual void	mASCIIOverrides( tMapOverrides* Map );
	virtual void	mDefineBriefings( void );
	virtual void	mDefineTeamShipStrengths( void );

	iMissSpecRace	mTranslateHexIntoRace( tMetaLocationSpec hex );
	eClassTypes fBaseClassType;
};

#endif


