/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 10;
const char* MapTypes[] = { "Open Space", "Asteroids", "Sun",
							"Blackhole", "Blackhole planet", "Nebula", "Nebula planet", "Moon", "Dust clouds", "Shipping Lane" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_7BaseAssault",
   "// Open Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.........................|",
   " |........W................|",
   "2|.....X...wUu.............|",
   " |......x.sSZTt............|",
   " |.........vV..............|",
   " |.........................|",
   " |..................h......|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............i..GIH......|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroids",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y....*X.........|",
   " |..........y..............|",
   " |..........vVWSs.[........|",
   " |............Z............|",
   "2|.........wtT.Uu..........|",
   " |......x.....[..[..*......|",
   " |.........................|",
   " |...........]...*.........|",
   " |........[.........h......|",
   "3|..............g..........|",
   " |.....*...................|",
   " |........*......iGH.......|",
   " |...............I.........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Sun",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...................|",
   " |.........................|",
   " |...................].....|",
   " |.Y...........]...........|",
   "2|..XSs....................|",
   " |.uUZTWt..................|",
   " |..Vv............]........|",
   " |....]...]....]...........|",
   " |.........wxy.............|",
   "3|.............igh.........|",
   " |....]....]...............|",
   " |................GHI......|",
   " |.........................|",
   " |.........................|",
   "4|..(......................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Blackhole",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..X...........|",
   " |.........................|",
   " |........W.sTt............|",
   "2|.........wSZUu...........|",
   " |......x....Vv............|",
   " |.........................|",
   " |.........................|",
   " |.............,...........|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |....Gg...................|",
   " |....hi...................|",
   "4|....HI...................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Blackhole planet",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............,...........|",
   " |.........................|",
   " |.........................|",
   "1|....................GHI..|",
   " |.....z.............ghi...|",
   " |........Tty..............|",
   " |......sSZUu..............|",
   " |.......WVv...............|",
   "2|.....X...w...............|",
   " |......x..................|",
   " |.........................|",
   " |.......Y.................|",
   " |.........................|",
   "3|.........................|",
   " |................9........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.?.......................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |...X.z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |........w................|",
   "2|.........VvTt............|",
   " |......x...Z..............|",
   " |........sS.Uu............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..G......|",
   " |...................H.....|",
   " |....................I....|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula planet",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.&.......................|",
   " |.........................|",
   " |.........................|",
   "1|........X................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |..................8......|",
   "2|.........wUu.............|",
   " |......x.vVZTt............|",
   " |..........Ss.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..G.H.I..|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Moon",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |......X...y..............|",
   " |.......W.................|",
   " |.......Ss................|",
   "2|....uvUZVw......@........|",
   " |......xTt................|",
   " |.........................|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..G......|",
   " |..................H......|",
   " |..................I......|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Dust clouds",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |......X...y..............|",
   " |.......W.................|",
   " |.....vV.Uu....<..........|",
   "2|.......Z.w..<...<........|",
   " |....xsS.Tt<...>..........|",
   " |..........>.>............|",
   " |......<..><..>.>.........|",
   " |........<.........h......|",
   "3|......<..>..>.gi..G......|",
   " |..................H......|",
   " |..................I......|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Shipping Lane",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|........X................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |..................8......|",
   "2|.........wSs.............|",
   " |......x.vVZTt............|",
   " |..........Uu.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..G.H.I..|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};
