/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 10;
const char* MapTypes[] = { "Open Space", "Asteroids", "Sun",
							"Blackhole", "Blackhole planet", "Nebula", "Nebula planet", "Moon", "Dust clouds", "Shipping Lane" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_7BaseAssault",
   "// Open Space",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.........................|",
   " |........W................|",
   "2|.....X....Ss.............|",
   " |......x.vVZTt............|",
   " |..........Uu.............|",
   " |............w............|",
   " |..................h......|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............i..IGH......|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroids",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y....*..........|",
   " |..........y..............|",
   " |............Ss..[........|",
   " |........W.tTZUu..........|",
   "2|.....X...w.Vv............|",
   " |......x.....[..[..*......|",
   " |.........................|",
   " |...........]...*.........|",
   " |........[.........h......|",
   "3|..............g..........|",
   " |.....*...................|",
   " |........*......iGH.......|",
   " |...............I.........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Sun",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...................|",
   " |YXW.......y..............|",
   " |...................].....|",
   " |.............]...........|",
   "2|...Tt....w...............|",
   " |.uUZVvx..................|",
   " |...Ss...........]........|",
   " |....]...]....]...........|",
   " |.........................|",
   "3|.............igh.........|",
   " |....]....]...............|",
   " |................GHI......|",
   " |.........................|",
   " |.........................|",
   "4|..(......................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Blackhole",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |...WXY...................|",
   " |.........................|",
   " |....Ss...................|",
   "1|..tTZUu..................|",
   " |...vVz...................|",
   " |..........y..............|",
   " |...ghi...................|",
   " |.........................|",
   "2|.........w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.............,...........|",
   "3|....G....................|",
   " |...HI....................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Blackhole planet",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............,...........|",
   " |.........................|",
   " |.........................|",
   "1|....................GHI..|",
   " |.....z.............ghi...|",
   " |........Uuy..............|",
   " |......tTZVv..............|",
   " |.....Y.WSs...............|",
   "2|.....X...w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |................9........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.?.......................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |.........................|",
   "2|.....X...wSs.............|",
   " |......x.vVZTt............|",
   " |..........Uu.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi..GHI....|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula planet",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.&.......................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |..................8......|",
   "2|.....X...wSs.............|",
   " |......x.vVZTt............|",
   " |..........Uu.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............giG..HI....|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Moon",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.........................|",
   " |.....z...Y...............|",
   " |..........y..............|",
   " |.......W.................|",
   " |.........................|",
   "2|.....X...wSs....@........|",
   " |......x.vVZTt............|",
   " |..........Uu.............|",
   " |.........................|",
   " |..................h......|",
   "3|..............gi.G.HI....|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Dust clouds",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............,...........|",
   " |.........................|",
   " |...........>...<.........|",
   "1|........>......>....GHI..|",
   " |.....z....<..<...>.ghi...|",
   " |........Uuy....>.........|",
   " |......tTZVv..>..<........|",
   " |.....Y.WSs....<....>.....|",
   "2|.....X...w.>....>........|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Shipping Lane",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.............,...........|",
   " |.........................|",
   " |.........................|",
   "1|....................GHI..|",
   " |.....z.............ghi...|",
   " |........Uuy..............|",
   " |......tTZVv..............|",
   " |.....Y.WSs...............|",
   "2|.....X...w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};
