/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 14;
const char* MapTypes[] = {	"Open Space 1", "Open Space 2",  "Open Space 3",
							"Asteroid Space 1", 
							"Asteroid Space 2", 
							"Asteroid Space 3", 
							"Nebula Space 1", 
							"Nebula Space 2", 
							"Nebula Space 3", 
							"Black Hole 1", 
							"Black Hole 2", 
							"Black Hole 3" 
							"Dust clouds" 
							"Shipping Lane" 
						};
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_9PlanetaryAssault",
   "// Open Space 1",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.W.......................|",
   " |.....z.....Y.............|",
   " |..........y..............|",
   " |......Z..................|",
   " |...........Vv............|",
   "2|X........wSs.............|",
   " |......x.Tt...............|",
   " |......Uu.................|",
   " |.........................|",
   " |............h............|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............i...........|",
   " |.............G...........|",
   "4|.............H...........|",
   " |..............I..........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Open Space 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |....................H....|",
   "1|...................G..I..|",
   " |.....z..Tt...............|",
   " |..W.....yUu..............|",
   " |Y.........Vv.............|",
   " |.......Z...Ss............|",
   "2|X........w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |............h............|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............i...........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Open Space 3",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |...............H.I.......|",
   " |.............G...........|",
   "1|.........................|",
   " |.....zSsTt....y..........|",
   " |..........Uu.............|",
   " |...........Vv............|",
   " |.......Z.................|",
   "2|.........w..........@....|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |............h............|",
   "3|..............gWXY.......|",
   " |.........................|",
   " |.........................|",
   " |.............i...........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 1",
   " +____1____2____3____4____5+",
   " |.....W.X.Y...............|",
   " |.........................|",
   " |.........*...........*...|",
   " |.....Z...................|",
   "1|....z.............*......|",
   " |.........Vv..*...........|",
   " |........Uuy..............|",
   " |....sStT..............*..|",
   " |.................*.......|",
   "2|...*.....w..*............|",
   " |......x..................|",
   " |..............*..........|",
   " |.........................|",
   " |..*......*......i.h.*....|",
   "3|.....*........g..........|",
   " |...............G..HI.....|",
   " |.........................|",
   " |.........*...............|",
   " |....*................*...|",
   "4|.........................|",
   " |...........*.............|",
   " |...*...........*.........|",
   " |...................*.....|",
   " |.........*...............|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 2",
   " +____1____2____3____4____5+",
   " |..........W..............|",
   " |.X.......................|",
   " |.........................|",
   " |...........].............|",
   "1|......Z...Vv.............|",
   " |.....z...uU..............|",
   " |Y.......sSy....].........|",
   " |.[.[..[tT..[.]...........|",
   " |............ghi..........|",
   "2|.].......w...............|",
   " |......x..................|",
   " |...................G...I.|",
   " |.........................|",
   " |.....................H...|",
   "3|.....]...................|",
   " |.........................|",
   " |.........................|",
   " |.........[...............|",
   " |....]................[...|",
   "4|.........................|",
   " |...........].............|",
   " |...[...........].........|",
   " |...................[.....|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 3",
   " +____1____2____3____4____5+",
   " |.....................HI..|",
   " |.......sS................|",
   " |.........tT.........G....|",
   " |...........].............|",
   "1|......Z..[.uU............|",
   " |.....z....vV.............|",
   " |...............].........|",
   " |.[.[..[.>..[.]...........|",
   " |.....WXY.y...............|",
   "2|.]....[..w.....].........|",
   " |......x..]...>....]......|",
   " |..]........>.............|",
   " |.....>.[....[............|",
   " |...........<....i.h......|",
   "3|..].....].....g..........|",
   " |..........[..............|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 1",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.......<...<...>.........|",
   " |ghi....Ss...>............|",
   "1|....Z...Uu>..>..>.>......|",
   " |.....z..Vv.Y.............|",
   " |.......Tt>.y.>...>...H...|",
   " |....<..........>..G......|",
   " |........W.>.<........I...|",
   "2|.....X...w.....<.........|",
   " |......x......>...........|",
   " |.....>.....<.............|",
   " |.........>...............|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |....>....................|",
   " |>..........<...>.........|",
   " |ghi.........>............|",
   "1|....Z.....>.....>........|",
   " |.....z..Tt.Y.............|",
   " |.......Vv..y.>...>.......|",
   " |...SsUu........>.........|",
   " |........W.>.<............|",
   "2|.....X...w.....<.........|",
   " |......x..................|",
   " |...........>.............|",
   " |.........................|",
   " |...........G.............|",
   "3|.....>...>.I.H...........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 3",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.....>...................|",
   " |.<.....<...<.............|",
   " |............>............|",
   "1|....Z....vV.......>......|",
   " |>....z.....Y.............|",
   " |.......>uU.y.>...>.......|",
   " |.>..<.tT.................|",
   " |....sS..W.>.<............|",
   "2|.....X...w.....<.........|",
   " |......x......>...........|",
   " |...........<.............|",
   " |..<......>...............|",
   " |.................ih......|",
   "3|....>.........g...G.H....|",
   " |...................I.....|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |..<.....>................|",
   " |.<><.....................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole 1",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|....Z....tT..............|",
   " |.....z.....Y.............|",
   " |.........sSy.....>.......|",
   " |.......vV................|",
   " |....uU..W.>.<............|",
   "2|.....X...w.....<.........|",
   " |......x......>...........|",
   " |...........<.............|",
   " |.........>.....<>........|",
   " |............<.<,.ih......|",
   "3|..............g.><.......|",
   " |......G..................|",
   " |.....HI..................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |....ghi..................|",
   " |.........................|",
   "1|....Z....vV..............|",
   " |.....z.....Y.............|",
   " |........tT.y.....,.......|",
   " |...uU.sS.................|",
   " |........W................|",
   "2|.....X...w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "3|.........................|",
   " |.........G...............|",
   " |.........H...............|",
   " |.........I...............|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole 3",
   " +____1____2____3____4____5+",
   " |IH.......................|",
   " |..G.............,........|",
   " |......uU.................|",
   " |.........................|",
   "1|....z....Tt..............|",
   " |sS...Z.....Y.............|",
   " |...........y.............|",
   " |.........................|",
   " |..vV....W................|",
   "2|.....X...w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |.................ih......|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Dust clouds",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|....Z....Tt..............|",
   " |.....z.....Y.............|",
   " |........Vv.y.....>.......|",
   " |..sS.Uu..................|",
   " |........W.>.<............|",
   "2|.....X...w.....<.........|",
   " |......x......>...........|",
   " |...........<.............|",
   " |.........>.....<>........|",
   " |............<.<..ih......|",
   "3|..............g.><.......|",
   " |......G..................|",
   " |.....HI..................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Shipping Lane",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |...............H.I.......|",
   " |.............G...........|",
   "1|.........................|",
   " |.....z...................|",
   " |.....Uu...y..............|",
   " |..Ss.....................|",
   " |.......Vv................|",
   "2|.........w..........@....|",
   " |....Z.x...tT.............|",
   " |.........................|",
   " |.........................|",
   " |............h............|",
   "3|..............gWXY.......|",
   " |.........................|",
   " |.........................|",
   " |.............i...........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};

