/********************************************************************************************************\

	File Name:	OTDTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "OTDTeamBaseState.h"
#include "ShipList_API.h"
#include "Met_9PlanetaryAssault.h"



/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/

void tOTDTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tOTDTeamBaseState::mEndState()
{}

void tOTDTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tOTDTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tOTDTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tOTDTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tOTDTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tOTDTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tOTDTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOTDTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tOTDTeamBaseState::mOnFlashingButtonPressed()
{}
void tOTDTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tOTDTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tOTDTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tOTDTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tOTDTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tOTDTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tOTDTeamBaseState::mOnPlayerLeaving( int32 playerNumber, eTeamID TeamID )
{}
void tOTDTeamBaseState::mOnHostChanged()
{}

void tOTDTeamBaseState::mOnTimedInterval( int32 timerID )
{
    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;
        if (! gScriptInterface.mIsHost()) return;

        int32 fTeamID = fChildActor->mGetTeam();
        tTeamInfo* planetTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fTeamID ) );
        if (fTeamID != kPlanetTeam ) return;
        if (planetTeam->mIsTeamHumanControlled()) return;

        gST.mDebug_fprintf("--- Entering tOTDTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam3DeltaFighterBPV += gST.mUpgradeFightersForTeam(planetTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam3DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tOTDTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}

void tOTDTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tOTDTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

