/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 12;
const char* MapTypes[] = {	"Open Space 1", "Open Space 2",  "Open Space 3",
							"Asteroid Space 1", 
							"Asteroid Space 2", 
							"Asteroid Space 3", 
							"Nebula Space 1", 
							"Nebula Space 2", 
							"Nebula Space 3", 
							"Black Hole 1", 
							"Black Hole 2", 
							"Black Hole 3" 
						};
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_9PlanetaryAssault",
   "// Open Space 1",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "1|.Y.......................|",
   " |.....z.....W.............|",
   " |..........y..............|",
   " |Vv.......................|",
   " |.......Z.................|",
   "2|X........w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |............h............|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............iG..........|",
   " |..............I.H........|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Open Space 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.....................I...|",
   " |....................H....|",
   "1|...................G.....|",
   " |.....z...................|",
   " |..W.......y..............|",
   " |Y........................|",
   " |.Vv....Z.................|",
   "2|X........w...............|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |............h............|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.............i...........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Open Space 3",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |............H.I..........|",
   " |.............G...........|",
   "1|.........................|",
   " |.....z...................|",
   " |..........y..............|",
   " |.........................|",
   " |.Vv....Z.................|",
   "2|.........w..........@....|",
   " |......x..................|",
   " |.........................|",
   " |.........................|",
   " |............h............|",
   "3|..............gWXY.......|",
   " |.........................|",
   " |.........................|",
   " |.............i...........|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 1",
   " +____1____2____3____4____5+",
   " |.....W.X.Y...............|",
   " |.........................|",
   " |.........*...........*...|",
   " |.........................|",
   "1|.Vv...Z...........*......|",
   " |.....z.......*...........|",
   " |..........y..............|",
   " |......................*..|",
   " |.................*.......|",
   "2|...*.....w..*............|",
   " |......x..................|",
   " |..............*..........|",
   " |.........................|",
   " |..*......*......i.h.*....|",
   "3|.....*........g..........|",
   " |...............GHI.......|",
   " |.........................|",
   " |.........*...............|",
   " |....*................*...|",
   "4|.........................|",
   " |...........*.............|",
   " |...*...........*.........|",
   " |...................*.....|",
   " |.........*...............|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.X.......................|",
   " |.........................|",
   " |.Vv........].............|",
   "1|W.....Z..[...............|",
   " |.....z.....[.............|",
   " |..........y....].........|",
   " |.[.[..[....[.]...........|",
   " |............ghi..........|",
   "2|.].......w...............|",
   " |......x..................|",
   " |...................G...I.|",
   " |.........................|",
   " |.....................H...|",
   "3|.....]...................|",
   " |.........................|",
   " |.........................|",
   " |.........[...............|",
   " |....]................[...|",
   "4|.........................|",
   " |...........].............|",
   " |...[...........].........|",
   " |...................[.....|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 3",
   " +____1____2____3____4____5+",
   " |....................GHI..|",
   " |.........................|",
   " |.........................|",
   " |...........].............|",
   "1|.Vv...Z..[...............|",
   " |.....z.....[.............|",
   " |...............].........|",
   " |.[.[..[.>..[.]...........|",
   " |.....WXY.y...............|",
   "2|.]....[..w.....].........|",
   " |......x..]...>....]......|",
   " |..]........>.............|",
   " |.....>.[....[............|",
   " |...........<....i.h......|",
   "3|..].....].....g..........|",
   " |..........[..............|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 1",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.......<...<...>.........|",
   " |ghi.........>............|",
   "1|....Z.....>..>..>.>......|",
   " |Vv...z.....Y.............|",
   " |.......>.>.y.>...>...H...|",
   " |....<..........>...G.....|",
   " |........W.>.<........I...|",
   "2|.....X...w.....<.........|",
   " |......x......>...........|",
   " |.....>.....<.............|",
   " |.........>...............|",
   " |.........................|",
   "3|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |....>....................|",
   " |>..........<...>.........|",
   " |ghi.........>............|",
   "1|....Z.....>.....>........|",
   " |Vv...z...................|",
   " |...........y.>...>.......|",
   " |....<..........>.........|",
   " |...Y..X.W.>.<............|",
   "2|.........w.....<.........|",
   " |......x..................|",
   " |...........>.............|",
   " |...........G.............|",
   " |.............H...........|",
   "3|.....>...>.I.............|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 3",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.....>...................|",
   " |.<.....<...<.............|",
   " |Vv..........>............|",
   "1|....Z.....>.......>......|",
   " |>....z.....Y.............|",
   " |.......>.X.y.>...>.......|",
   " |.>..<....................|",
   " |........W.>.<............|",
   "2|.........w.....<.........|",
   " |......x......>...........|",
   " |...........<.............|",
   " |..<......>...............|",
   " |.................ih......|",
   "3|....>.........g....GH....|",
   " |...................I.....|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |..<.....>................|",
   " |.<><.....................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole 1",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |Vv.......................|",
   "1|....Z....................|",
   " |.....z.....Y.............|",
   " |...........y.....>.......|",
   " |.........................|",
   " |..........>.<............|",
   "2|...W.X...w.....<.........|",
   " |......x......>...........|",
   " |...........<.............|",
   " |.........>.....<>........|",
   " |............<.<,.ih......|",
   "3|..............g.><.......|",
   " |.....G...................|",
   " |.....HI..................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole 2",
   " +____1____2____3____4____5+",
   " |.........................|",
   " |.........................|",
   " |....ghi..................|",
   " |Vv.......................|",
   "1|....Z....................|",
   " |.....z.....Y.............|",
   " |...........y.............|",
   " |..............W..........|",
   " |.........................|",
   "2|.....X...w...............|",
   " |......x..................|",
   " |.........................|",
   " |...........,.............|",
   " |.........................|",
   "3|.........................|",
   " |.........G...............|",
   " |.........H...............|",
   " |.........I...............|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "// Black Hole 3",
   " +____1____2____3____4____5+",
   " |IHG......................|",
   " |................,........|",
   " |.........................|",
   " |Vv.....w.................|",
   "1|....Z....W...............|",
   " |.....z.....Y.............|",
   " |x..........y.............|",
   " |.X.......................|",
   " |.........................|",
   "2|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.................ih......|",
   "3|..............g..........|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "4|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "5|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "6|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   "7|.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " |.........................|",
   " +-------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};

