/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 12;
const char* MapTypes[] = {	"Met_10Patrol Map",
							"Met_10Patrol Map -- Space B",
							"Met_10Patrol Map -- Sun",
							"Met_10Patrol Map -- Asteroids",
							"Met_10Patrol Map -- Asteroids B",
							"Met_10Patrol Map -- Asteroid Moon",
							"Met_10Patrol Map -- Nebula" ,
							"Met_10Patrol Map -- Nebula B" ,
							"Met_10Patrol Map -- Nebula Planet" ,
							"Met_10Patrol Map -- BlackHole" ,
							"Met_10Patrol Map -- BlackHole B" ,
							"Met_10Patrol Map -- BlackHole Planet" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_10Patrol",
   "// Met_10Patrol Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............X...............|",
   " |...............Y..............|",
   " |................W.............|",
   " |..............................|",
   "3|..............................|",
   " |..............................|",
   " |......................zZ....tT|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |................G.............|",
   " |...............I..............|",
   " |..............H...............|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Space B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "3|...................WXY........|",
   " |..IHG.........................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |............z.................|",
   " |.............Z................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.wTt...............|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..........W.X.................|",
   " |........Y.....................|",
   " |..............................|",
   " |..............................|",
   "3|..............................|",
   " |............z....Z...tT.......|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|.....HG.......................|",
   " |......I.......................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y.............(....|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |........<.....................|",
   " |.............[............[...|",
   " |..............................|",
   "1|..[....................[......|",
   " |.................h.i..........|",
   " |.................g.......*....|",
   " |.........>....................|",
   " |.....>.......<................|",
   "2|..........*...................|",
   " |.....Y[.......................|",
   " |...WX....>........tT..[.......|",
   " |...[..[..<....................|",
   " |...............Z<......<......|",
   "3|.......[....>.]......]........|",
   " |...*.........[....>...........|",
   " |..........>.[....>.>..........|",
   " |.....]...<....]...............|",
   " |..]....]........[..>....<.....|",
   "4|...........[..................|",
   " |...[.........G......].........|",
   " |.........]..H.I...............|",
   " |......*.............[.........|",
   " |.............z................|",
   "5|..................>...........|",
   " |..].......x.w.....[...........|",
   " |...........y..................|",
   " |.....]............>...........|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroids B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |.............[............[...|",
   " |..............................|",
   "1|..[....................[......|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |............................].|",
   "2|..............................|",
   " |.....Y[.......................|",
   " |....XW..........tT....[....[..|",
   " |...[..[.......................|",
   " |..............Z...............|",
   "3|.......[......]......]....]...|",
   " |.............[................|",
   " |............[.................|",
   " |.....]........]......G........|",
   " |..]....]........[......H......|",
   "4|...........[.........I....]...|",
   " |...[................].........|",
   " |.........]....................|",
   " |....................[.........|",
   " |.............z.............]..|",
   "5|..............................|",
   " |..].......x.w.....[...........|",
   " |...........y..................|",
   " |.....]........................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroid Moon",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |.............[............[...|",
   " |..............................|",
   "1|..[....................[......|",
   " |.................h.i..........|",
   " |.........].......g............|",
   " |..............................|",
   " |............................].|",
   "2|...................@.....WXY..|",
   " |......[.......................|",
   " |...........................[..|",
   " |...[..[.......................|",
   " |...............Z..............|",
   "3|..IHG..[......]......]....]...|",
   " |.............[................|",
   " |............[.................|",
   " |.....]........]Tt.............|",
   " |..]....]........[.............|",
   "4|...........[..............]...|",
   " |...[................].........|",
   " |.........]....................|",
   " |....................[.........|",
   " |.............z.............]..|",
   "5|..............................|",
   " |..].......x.w.....[...........|",
   " |...........y..................|",
   " |.....]........................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|............X.................|",
   " |.........Y..W.................|",
   " |..............................|",
   " |..............................|",
   " |Z.z.........................tT|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |.............G................|",
   " |...........I.....H............|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|............X.................|",
   " |..........Y.W.................|",
   " |..............................|",
   " |..............................|",
   " |Z.z...........................|",
   "3|..............................|",
   " |.....................GHI......|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|Tt............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula Planet",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |...........................I..|",
   " |.Tt.........Zz............H...|",
   " |.........................G....|",
   " |..............................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |................W.........8...|",
   " |.................X............|",
   "4|..................Y...........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "3|.......XY.....................|",
   " |....W................,........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |TZ....z......I.........t......|",
   " |............H.................|",
   " |........G.....................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole B",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "3|.......YW.....................|",
   " |....X.........................|",
   " |..............................|",
   " |..............................|",
   " |.........,......G.............|",
   "4|.................H.I..........|",
   " |..............................|",
   " |.Z..ztT.......................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole Planet",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|.......................XY.....|",
   " |.......................W......|",
   " |..............................|",
   " |........9.....................|",
   " |..............................|",
   "3|..............................|",
   " |.....................,........|",
   " |............................Z.|",
   " |..............................|",
   " |..............IHG........Tt...|",
   "4|..............................|",
   " |..............................|",
   " |....z.........................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



