//	<Name>	AttackTeamShipInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_10Patrol.h"
#include "ShipInfo.h"
#include "AttackTeamShip.h"
#include "AttackTeamShipInitialState.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "WorldConditions.h"
#include "ShipList_API.h"

tAttackTeamShipInitialState::tAttackTeamShipInitialState( )
{
	fDeepScanON = false;
}

void tAttackTeamShipInitialState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{
	// adjust the loadout of the AI ship
	return;

	// quit if it isn't the desired kind of update
	if (Type != kShipCurrentValue) return;

	// quit if there is no ship to update
	if (!Ship) return;

	// quit if this isn't the ship we're looking for
	if (Ship->mGetCustomID() != fChildActor->mGetCustomID()) return;

	// quit if it's on a different team
	if (Ship->mGetTeam() != fChildActor->mGetTeam()) return;

	// quit if the ship is, or was, on a human controlled team
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( Ship->mGetTeam() ));
	if (!team) return;

	// adjust spare parts handling for humans
	if (team->mIsTeamHumanControlled()) {
		// adjust spare parts handling here
		int32 limit = 40;
		eClassTypes HullType = fChildActor->mGetClassType();
		if (HullType == kClassFrigate) HullType = kClassCarrier;
		else if ((HullType > kClassFreighter) && (HullType < kClassDreadnought))
			HullType = static_cast<eClassTypes>(HullType - 1);
		switch (HullType){
			case kClassFreighter: limit = gWC.fFreighterSpareLimit; break;
			case kClassFrigate: limit = gWC.fFrigateSpareLimit; break;
			case kClassDestroyer: limit = gWC.fDestroyerSpareLimit; break;
			case kClassWarDestroyer: limit = gWC.fWarDestroyerSpareLimit; break;
			case kClassLightCruiser: limit = gWC.fLightCruiserSpareLimit; break;
			case kClassHeavyCruiser: limit = gWC.fHeavyCruiserSpareLimit; break;
			case kClassNewHeavyCruiser: limit = gWC.fNewHeavyCruiserSpareLimit; break;
			case kClassHeavyBattlecruiser: limit = gWC.fHeavyBattlecruiserSpareLimit; break;
			case kClassCarrier: limit = gWC.fCarrierSpareLimit; break;
			case kClassDreadnought: limit = gWC.fDreadnoughtSpareLimit; break;
			case kClassBattleship: limit = gWC.fBattleshipSpareLimit; break;
			case kClassBaseStation: limit = gWC.fBaseSpareLimit; break;
			case kClassBattleStation: limit = gWC.fBatsSpareLimit; break;
			case kClassStarBase: limit = gWC.fStarbaseSpareLimit; break;
			case kClassPlanets: limit = gWC.fPlanetSpareLimit; break;
			case kClassSpecial: limit = gWC.fSpecialSpareLimit; break;
			default: limit = gWC.fOtherSpareLimit; break;
		}
		if ((Value > limit) && (limit > 0)) {
			fRestoreSpares = Value - limit;
			Value = limit;
			fChildActor->mSetItemInStores( Item, SubItem, Value );	
		}
#ifdef DIZZYPACK
		// include specialized drones limit for romulans in dizzy's server
		if ((team->mGetRace() == kRomulan) && (Item == kMissilesTypeI) && (subitem != kStandard)) {
			Ship->mSetItemInStores( kMissilesTypeI, kStandard, Value );	
		}
#endif
		return;
	} 
		
	// designate some uniqueness to the AI
	if (team->mGetRace() == kRomulan) {
		Ship->mCloak( kFalse );
		Ship->mSetSystemHealthFromOrig( kCloakHardPoint, 0, kFalse );
		Ship->mChangeAIOfficerState( kCloakOfficer, kFalse );
		Ship->mCloak( kFalse );
	} 
#ifndef NOMODIFIEDOFFICERS
    else if (team->mGetRace() != kLyran) {
		int32 speed = 24;;
		switch (fShipRandValue % 29) {
			case 1: Ship->mChangeAIOfficerState( kECMOfficer, kFalse); break;
			case 2: Ship->mChangeAIOfficerState( kECCMOfficer, kFalse ); break;
			case 3: Ship->mChangeAIOfficerState( kTractorOfficer, kFalse ); break;
			case 4: Ship->mChangeAIOfficerState( kRepairOfficer, kFalse ); break;
			case 5: Ship->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse ); break;
			case 6:  
			case 7: Ship->mChangeAIOfficerState( kHitAndRunOfficer, kFalse ); break;
			case 8: 
			case 9: Ship->mChangeAIOfficerState( kTBombOfficer, kFalse ); break;
			case 10: Ship->mChangeAIOfficerState( kHETOfficer, kFalse ); break;
			case 11:  break;
			case 12: Ship->mChangeAIOfficerState( kFighterOfficer, kFalse ); break;
			case 13: Ship->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse ); break;
			case 14: Ship->mChangeAIOfficerState( kShuttleOfficer, kFalse ); break;
			default:
				int32 officerroll = fShipRandValue % 101;
				float officerchance = gWC.fLegendaryAIEngineer;
				if ((officerroll < 1) || (officerroll > 99)) break;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kEngineeringOfficer, kLegendary ); break;
				} 
				officerchance += gWC.fLegendaryAIScience;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kScienceOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIMarine;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kSecurityOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIComm;
				if (officerroll < (100 * officerchance)) {
					Ship->mSetOfficerRank( kCommOfficer, kLegendary ); break;
				}
				officerchance += gWC.fLegendaryAIHelm;
				if (officerroll < (100 * officerchance)) 
					Ship->mSetOfficerRank( kHelmOfficer, kLegendary );
				break;
		}
	}
#endif
	
	// compute an adjusted quantity for the ship stores
	switch (Item) {
		case kMissilesTypeI:
		case kMissilesTypeIV:
			if (SubItem == kSpeed_Fast) {
				if (!(fShipRandValue % 3)) SubItem = kSpeed_Med;
			}
			if (SubItem == kSpeed_Med) {
				if (!(fShipRandValue % 2)) SubItem = kStandard;
			}
			Value *= gWC.fAIDroneModifier;
			break;
		case kMarines:
			Value *= gWC.fAIMarinesModifier;
			break;
		case kSmall_Mines:
			Value *= gWC.fAIBombsModifier;
			break;
		case kSpareParts:
			Value *= gWC.fAIPartsModifier;
			break;
	}

#ifdef DIZZYPACK
		// include specialized drones limit for romulans in dizzy's server
		if ((team->mGetRace() == kRomulan) && (Item == kMissilesTypeI) && (subitem != kStandard)) {
			Ship->mSetItemInStores( kMissilesTypeI, kStandard, Value );	
		}
		return;
#endif

	// establish the adjusted quantity on board
	Ship->mSetItemInStores( Item, SubItem, Value );	

}


void tAttackTeamShipInitialState::mBeginState()
{
	fChildActor->mSetShipCallbackEvents( kNotifyProbeLaunch );
	fChildActor->mSetShipCallbackEvents( kNotifyBeginTractor );
	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = fChildActor->mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = fChildActor->mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = fChildActor->mGetTeam(); if (Team < 1) Team = 1;
	int32 id = fChildActor->mGetShipID(); if (id < 1) id = 1;
	fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;
	fRestoreSpares = 0;
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ));
	if (team && (team->mGetRace() == kRomulan) && (!team->mIsTeamHumanControlled())) {
		fChildActor->mCloak( kFalse );
		fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
	}

#ifndef NOMODIFIEDOFFICERS
	tTeamInfo* drafter = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1 ));
	if (drafter && ((drafter->mGetRace() == kLyran) || (drafter->mGetRace() == kGorn)
		|| (drafter->mGetRace() == kISC) || (drafter->mGetRace() == kRomulan))) {
		if ((gWC.fDraftingHumans == 1) && (!team->mIsTeamHumanControlled()) && (gWC.fDraftedHumans == 0)) {
			if ((rand() % 3) > 0) {
				fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse); 
			} else {
				fChildActor->mChangeAIOfficerState( kRepairOfficer, kFalse ); 
				fChildActor->mSetOfficerRank( kEngineeringOfficer, kRookie ); 
				fChildActor->mSetOfficerRank( kWeaponsOfficer, kRookie ); 
				fChildActor->mChangeAIOfficerState( kECCMOfficer, kFalse ); 
				fChildActor->mChangeAIOfficerState( kShuttleOfficer, kFalse); 
			}
		}
	}
#endif
}

void tAttackTeamShipInitialState::mEndState()
{
	if (fRestoreSpares > 0)
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
}

void tAttackTeamShipInitialState::mOnTimedInterval( int32 timerID )
{
}

void tAttackTeamShipInitialState::mOnDeath( tShipInfo* ship )
{
	int32 enemies = 0;
	tTeamInfo *team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam1));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam3));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam2));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
	if ((fRestoreSpares > 0) && (ship->mGetCustomID() != fChildActor->mGetCustomID())) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
		fRestoreSpares = 0;
	}	
}
void tAttackTeamShipInitialState::mOnCapture( tShipInfo* ship )
{
	int32 enemies = 0;
	tTeamInfo *team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam1));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam2));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam3));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
	if (fRestoreSpares > 0) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
		fRestoreSpares = 0;
	}	
}
void tAttackTeamShipInitialState::mOnDisengage( tShipInfo* ship )
{
	if ((ship->mGetCustomID() == fChildActor->mGetCustomID()) && (fRestoreSpares > 0)) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );
		fRestoreSpares = 0;
	}	
	int32 enemies = 0;
	tTeamInfo *team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam1));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam2));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
		team = fMissionInfo->mGetTeamHandle(static_cast<eTeamID>(kDefendTeam3));
	if ((team) && (team->mShipsCurrentlyControlled() != 0)) return;
	if (fRestoreSpares > 0) {
		fChildActor->mAddItemToStores( kSpareParts, kStandard, fRestoreSpares );	
		fRestoreSpares = 0;
	}	
}
void tAttackTeamShipInitialState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
	if (!deepScanOn) return;
	tTeamInfo* monsterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(kOrionTeam) );
	tShipIterator monsterShip = monsterTeam->mGetFirstShip();
	if (ship && (ship->mGetShipID() == fChildActor->mGetShipID())) {
			if (ship->mGetTacticalDistance(*monsterShip) < 2)
				gWC.fAttackerScannedMonster = true;
			else
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "We need to get closer to the monster before we attempt a scan", kNonCommScriptMessage );
	}
	if (!gWC.fAttackerScannedMonster) return;
	switch (gWC.fDeathTechnique) {
		case 1: // a tractor lock will kill the monster
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "Sir, I believe a tractor lock will kill the monster", kNonCommScriptMessage );
			break;
		case 2: // mine damage will kill the monster
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "Sir, I believe a mine can be used to kill the monster", kNonCommScriptMessage );
			break;
		case 3: // probe damage will kill the monster
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "Sir, I believe we can modify a probe so that, fired as a weapon, it will kill the monster.", kNonCommScriptMessage );
			break;
		case 4: // we can communicate with the monster
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "Sir, I believe the monster is not inherently hostile, it may be possible to establish communication", kNonCommScriptMessage );
			break;
		default: // we must kill the monster
			fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "Sir, I believe the only way to kill the monster is combat", kNonCommScriptMessage );
			break;
	}
}
void tAttackTeamShipInitialState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
	// we only care about damage we inflict on the monster
	fChildActor->mSetShipCallbackEvents( kNotifyDamage );
	if (!damagedShip || !hostileShip) return;
	if (damagedShip->mGetCustomID() != 37) return;
	if (hostileShip->mGetShipID() != fChildActor->mGetShipID()) return;
	if (!gWC.fAttackerScannedMonster) return;

	// once damaged, we can no longer communicate with the monster and must destroy it
	if (gWC.fDeathTechnique == 4) gWC.fDeathTechnique = 0;

	bool destroyMonster = false;
	switch (damageType) {
		case kDamageByProbe:
			if (gWC.fDeathTechnique == 3) destroyMonster = true;
			break;
		case kDamageByMine:
			if (gWC.fDeathTechnique == 2) destroyMonster = true;
			break;
		default: return;
	}
	if (destroyMonster) {
		if (damagedShip) damagedShip->mDestroyShip();
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "That should do it Sir!", kNonCommScriptMessage );
	}
}

void tAttackTeamShipInitialState::mOnBeginTractor( tShipInfo* TractorTarget, tShipInfo* TractoringShip )
{
	// we only care about us tractoring the monster
	if (!TractorTarget || !TractoringShip) return;
	if (TractoringShip->mGetShipID() != fChildActor->mGetShipID()) return;
	if (gWC.fDeathTechnique != 1) return;
	if (!gWC.fAttackerScannedMonster) return;
	if (TractorTarget) TractorTarget->mDestroyShip();
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "That should do it Sir!", kNonCommScriptMessage );
	fChildActor->mSetShipCallbackEvents( kNotifyBeginTractor );
}

void tAttackTeamShipInitialState::mOnProbeLaunch( tShipInfo* Ship )
{
	// we only care about us tractoring the monster
	if (!Ship) return;
	if (Ship->mGetShipID() != fChildActor->mGetShipID()) return;
	if (gWC.fDeathTechnique != 3) return;
	if (!gWC.fAttackerScannedMonster) return;
	{
		tTeamInfo* monsterTeam = fMissionInfo->mGetTeamHandle( static_cast<eTeamID>(kOrionTeam) );
		tShipIterator monsterShip = monsterTeam->mGetFirstShip();
		(*monsterShip)->mDestroyShip();
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  "That should do it Sir!", kNonCommScriptMessage );
		// TractorTarget->mDestroyShipSilently();
	}
	fChildActor->mSetShipCallbackEvents( kNotifyProbeLaunch );
}

void tAttackTeamShipInitialState::mOnHostChanged( )
{
	gWC.fHostLeft = true;
}
