/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 14;
const char* MapTypes[] = {	"Met_10Patrol Map",
							"Met_10Patrol Map -- Space B",
							"Met_10Patrol Map -- Sun",
							"Met_10Patrol Map -- Asteroids",
							"Met_10Patrol Map -- Asteroids B",
							"Met_10Patrol Map -- Asteroid Moon",
							"Met_10Patrol Map -- Nebula" ,
							"Met_10Patrol Map -- Nebula B" ,
							"Met_10Patrol Map -- Nebula Planet" ,
							"Met_10Patrol Map -- BlackHole" ,
							"Met_10Patrol Map -- BlackHole B" ,
							"Met_10Patrol Map -- BlackHole Planet",
							"Met_10Patrol Map -- Dust clouds",
							"Met_10Patrol Map -- Shipping Lane",
 };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_10Patrol",
   "// Met_10Patrol Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..................Y...........|",
   "2|..............X...............|",
   " |..................W...........|",
   " |..............................|",
   " |......Z.......................|",
   " |..............................|",
   "3|..................z...........|",
   " |..............................|",
   " |..............................|",
   " |..............G...............|",
   " |...............H..............|",
   "4|..................I...........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Space B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.................|",
   " |..........Y...................|",
   " |...............W..............|",
   " |.......z......................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |.......Z......................|",
   " |....................G.........|",
   "4|..............................|",
   " |....................I.........|",
   " |..................H...........|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.................|",
   " |..........Y..W................|",
   " |..............................|",
   " |.......z......................|",
   "3|..............................|",
   " |...................Z..........|",
   " |..............................|",
   " |..............................|",
   " |.......G......................|",
   "4|.....H..................(.....|",
   " |..............................|",
   " |......I.......................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..........................,...|",
   " |..............................|",
   " |.................]............|",
   "1|........*.....................|",
   " |.................h.i..........|",
   " |.......*...[.....g.......*....|",
   " |.........>....................|",
   " |.............<.....[..........|",
   "2|..........*...................|",
   " |......[.....X..Y..............|",
   " |.....[...>....W.......[.......|",
   " |.........<..[.*...............|",
   " |................<..*...<......|",
   "3|.......[Z...>.]......]........|",
   " |.............[...*>.z.........|",
   " |..........>.[.[...*...........|",
   " |.....]...<....].[..*.]........|",
   " |.......]........[..>....<.....|",
   "4|............G.................|",
   " |.............I......].........|",
   " |.........]....................|",
   " |......*...H.........[.........|",
   " |..............................|",
   "5|..................>...........|",
   " |..........x.w.....[...........|",
   " |......<....y..................|",
   " |..................>...........|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroids B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..........................,...|",
   " |..............................|",
   " |.................]............|",
   "1|..[....................[......|",
   " |.................h.i..........|",
   " |...........[.....g............|",
   " |..............................|",
   " |...................[..........|",
   "2|...[..........................|",
   " |......[.....X.................|",
   " |.....[.........Y......[....[..|",
   " |............[...W.............|",
   " |..............................|",
   "3|.......[......]......]....]...|",
   " |.............[........zZ......|",
   " |............[.[...............|",
   " |.....]..........[....]........|",
   " |..]....]......G.[.............|",
   "4|..........I[.H............]...|",
   " |....................].........|",
   " |.........]....................|",
   " |....................[.........|",
   " |...........................]..|",
   "5|..............................|",
   " |..........x.w.....[...........|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroid Moon",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |........<.................,...|",
   " |..............................|",
   " |..............................|",
   "1|........*.....................|",
   " |.................h.i..........|",
   " |.......*.........g.......*....|",
   " |....<....>....................|",
   " |.....>.......<................|",
   "2|..........*.....X.............|",
   " |...............W..Y...........|",
   " |.........>....................|",
   " |.........<....*...............|",
   " |...GHI..........<..*...<......|",
   "3|............>.................|",
   " |.................*>.z....@....|",
   " |..........>.......*...........|",
   " |.........<.........*..........|",
   " |..............Z....>....<.....|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |......*.................<.....|",
   " |..............................|",
   "5|..................>....*......|",
   " |..........x.w.................|",
   " |......<....y..................|",
   " |..................>...........|",
   " |........................*.....|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.................|",
   " |..............................|",
   " |...............Y..............|",
   " |...z.................W.......Z|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |......................G.......|",
   "4|..............................|",
   " |............H...I.............|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |...z..........................|",
   "3|..............................|",
   " |..Y.X...W.....................|",
   " |..........................ghi.|",
   " |..............................|",
   " |................Z.............|",
   "4|..............................|",
   " |..............................|",
   " |..H.I....G....................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |............................C.|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula Planet",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..........Y...................|",
   " |............X.................|",
   " |.........W....................|",
   " |..............................|",
   " |...z..........................|",
   "3|.Z............................|",
   " |..............................|",
   " |..........8...................|",
   " |..............................|",
   " |..............................|",
   "4|..............G...............|",
   " |................I.............|",
   " |..................H...........|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |.w............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|.....G......W.................|",
   " |..............................|",
   " |..............i...............|",
   " |..............................|",
   " |..............z...............|",
   "3|..............................|",
   " |..Y.......Z.......I...........|",
   " |.....................y........|",
   " |..............................|",
   " |..............................|",
   "4|...............,..............|",
   " |....H......X..................|",
   " |..............................|",
   " |.........x...........h........|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole B",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |.............wxy.......I.H....|",
   "2|.......................G......|",
   " |.....................<........|",
   " |....................>...<.....|",
   " |...................<.,>.......|",
   " |....................>.>.......|",
   "3|....................<...<.....|",
   " |.............Z.z..............|",
   " |.........................WX...|",
   " |..........................Y...|",
   " |..............................|",
   "4|.............ghi..............|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole Planet",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |.w............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|......Z.......................|",
   " |..............................|",
   " |..............i.......8.......|",
   " |X.............................|",
   " |..............z...............|",
   "3|.............I................|",
   " |..Y........G..................|",
   " |.....................y........|",
   " |.............H................|",
   " |....W.........................|",
   "4|...............,..............|",
   " |..............................|",
   " |..............................|",
   " |.........x...........h........|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Dust clouds",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.................|",
   " |..........Y...................|",
   " |...............W..............|",
   " |.......z......................|",
   "3|............>.................|",
   " |.........<.....<..............|",
   " |...........<......>...........|",
   " |.......Z.....<.>..............|",
   " |..........<.......>.G.........|",
   "4|............>..<..............|",
   " |.........<..........I.........|",
   " |............<..<..H...........|",
   " |.........>....................|",
   " |............>.................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Shipping Lane",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |............X.................|",
   " |..........Y...................|",
   " |...............W..............|",
   " |.......z......................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |.......Z......................|",
   " |....................G.........|",
   "4|..............................|",
   " |....................I.........|",
   " |..................H...........|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



