/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 14;
const char* MapTypes[] = {	"Met_17Patrol Map",
							"Met_17Patrol Map -- Space B",
							"Met_17Patrol Map -- Planet",
							"Met_17Patrol Map -- Asteroids",
							"Met_17Patrol Map -- Asteroids B",
							"Met_17Patrol Map -- Asteroids Sun",
							"Met_17Patrol Map -- Nebula",
							"Met_17Patrol Map -- Nebula B",
							"Met_17Patrol Map -- Nebula Planet",
							"Met_17Patrol Map -- BlackHole",
							"Met_17Patrol Map -- BlackHole B",
							"Met_17Patrol Map -- BlackHole Moon",
							"Met_17Patrol Map -- Dust clouds",
							"Met_17Patrol Map -- Shipping Lane",
 };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_17Patrol",
   "// Met_17Patrol Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|........Y.....................|",
   " |.......h.i....................|",
   " |......Xg.W....................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..Z...........................|",
   "3|............G.................|",
   " |...........H.I................|",
   " |............z.................|",
   " |...........xwy................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Space B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |.......Y....X.................|",
   "1|..........W...................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |...................Z..........|",
   " |...................z..........|",
   " |..............................|",
   " |.........G....................|",
   "3|.......H......................|",
   " |......I.......................|",
   " |..............................|",
   " |..............................|",
   " |...........xyw................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Planet",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.................h.i..........|",
   " |.................g....W.......|",
   " |.......Y....X.................|",
   "1|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..........9........Z..........|",
   " |...................z..........|",
   " |..............................|",
   " |..............................|",
   "3|..........................G...|",
   " |..............................|",
   " |........................I.....|",
   " |.....................H........|",
   " |...........xyw................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |................h.i...........|",
   " |.............g................|",
   " |.................]............|",
   "1|..[.....*.......Y..X..........|",
   " |...............*..............|",
   " |...[.............[..W.........|",
   " |......>....<..................|",
   " |.........*.....]..*...........|",
   "2|.....]....*.<.......*.........|",
   " |..*..z..].<...Z..*............|",
   " |........<.....................|",
   " |.....*......*]................|",
   " |................<...*.........|",
   "3|.....*..[..>..*....[..........|",
   " |...................*..........|",
   " |........<.[.[..G..............|",
   " |...[..........................|",
   " |......>.I....H.....*..........|",
   "4|.................wxy..........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Asteroids B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |................h.i...........|",
   " |.............g................|",
   " |..............................|",
   "1|..[.....*.......Y.............|",
   " |............X.................|",
   " |...[............W.............|",
   " |......>....<..................|",
   " |.........*.....]..*...........|",
   "2|.....]....*.<.......*.........|",
   " |..*..z..].<...Z..*............|",
   " |........<.........*...........|",
   " |.....*......*.]...............|",
   " |................<...*.........|",
   "3|.....*..[..>..*....[..........|",
   " |...................*..........|",
   " |........<..G..................|",
   " |...[......H...................|",
   " |......>.I..........*..........|",
   "4|.................wxy..........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Asteroids Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |................h.i...........|",
   " |.............g................|",
   " |.................]............|",
   "1|..[...........................|",
   " |.........Y....................|",
   " |...[......X......[............|",
   " |...........W..................|",
   " |...............]..............|",
   "2|.....]......................(.|",
   " |....Zz..].....................|",
   " |..............................|",
   " |.............]]...............|",
   " |..............................|",
   "3|........[..........[..........|",
   " |.................G............|",
   " |..........[.[.....H...........|",
   " |...[...............i..........|",
   " |..............................|",
   "4|.................wxy..........|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?............................|",
   " |.............wxy..............|",
   " |............H..I..............|",
   "1|.............G................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |...................Z..........|",
   "2|.....ghi......................|",
   " |............X.................|",
   " |.........W....................|",
   " |..............Y...............|",
   " |...z..........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Nebula B",
   " +____1____2____3____4____5____6+",
   " |..............HI..............|",
   " |.?............Gi..............|",
   " |.............wxy..............|",
   " |..............g...............|",
   "1|..............................|",
   " |...................Z..........|",
   " |.............<................|",
   " |......,.......................|",
   " |.................>............|",
   "2|..............................|",
   " |...<........X.................|",
   " |.........W....>...............|",
   " |..............Y..>............|",
   " |...z..........................|",
   "3|..........<.><................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Nebula Planet",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?............................|",
   " |.............wxy..............|",
   " |.....IHG......................|",
   "1|..............................|",
   " |...................Z..........|",
   " |............8.................|",
   " |..............................|",
   " |..............................|",
   "2|...............ghi............|",
   " |................WXY...........|",
   " |..............................|",
   " |..............................|",
   " |...z..........................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- BlackHole",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |........X.....................|",
   " |........W.....................|",
   " |.....Y........................|",
   "1|..............................|",
   " |............h.i...............|",
   " |............g.................|",
   " |..............................|",
   " |...................,..........|",
   "2|..............................|",
   " |..............................|",
   " |...............G..............|",
   " |...............HI.............|",
   " |..............................|",
   "3|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- BlackHole B",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.....XYZ....h.i...............|",
   " |............g.................|",
   " |..............................|",
   " |..............................|",
   "2|.....<.>......................|",
   " |...>..,.>.....................|",
   " |....>..>......................|",
   " |......<.......................|",
   " |..............................|",
   "3|.GHI..........................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- BlackHole Moon",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..........XY..................|",
   " |..........W.h.i...............|",
   " |............g.................|",
   " |..............................|",
   " |...................,..........|",
   "2|.....@........................|",
   " |..............................|",
   " |..............................|",
   " |..G...........................|",
   " |.HI...........................|",
   "3|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Dust clouds",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |.......Y....X.................|",
   "1|..........W...................|",
   " |.............>................|",
   " |........<.>...................|",
   " |.......<......<...............|",
   " |.........>..>.................|",
   "2|.....<.........>..............|",
   " |.......<..<.>.<....Z..........|",
   " |......<............z..........|",
   " |............>.................|",
   " |.....<...G....................|",
   "3|.......H......................|",
   " |......I.......................|",
   " |..............................|",
   " |..............................|",
   " |...........xyw................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_17Patrol Map -- Shipping Lane",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |.......Y....X.................|",
   "1|..........W...................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |...................Z..........|",
   " |...................z..........|",
   " |..............................|",
   " |.........G....................|",
   "3|.......H......................|",
   " |......I.......................|",
   " |..............................|",
   " |..............................|",
   " |...........xyw................|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "7|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "8|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



