/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 26;
const char* MapTypes[] = {	"Met_17Patrol Map",
							"Met_17Patrol Map -- Colony",
							"Met_17Patrol Map -- Core",
							"Met_17Patrol Map -- Home",
							"Met_17Patrol Map -- Asteroids 1",
							"Met_17Patrol Map -- Asteroids 2",
							"Met_17Patrol Map -- Asteroids 3",
							"Met_17Patrol Map -- Asteroids 4",
							"Met_17Patrol Map -- Asteroids 5",
							"Met_17Patrol Map -- Asteroids 6",
							"Met_17Patrol Map -- Nebula 1",
							"Met_17Patrol Map -- Nebula 2",
							"Met_17Patrol Map -- Nebula 3",
							"Met_17Patrol Map -- Nebula 4",
							"Met_17Patrol Map -- Nebula 5",
							"Met_17Patrol Map -- Nebula 6",
							"Met_17Patrol Map -- BlackHole 1",
							"Met_17Patrol Map -- BlackHole 2",
							"Met_17Patrol Map -- BlackHole 3",
							"Met_17Patrol Map -- BlackHole 4",
							"Met_17Patrol Map -- BlackHole 5",
 							"Met_17Patrol Map -- BlackHole 6",
 							"Met_17Patrol Map -- Dust clouds",
 							"Met_17Patrol Map -- Shipping Lane",
 };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_17Patrol",
   "// Met_17Patrol Map",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |......................h.i..........|",
   " |......................g............|",
   " |...................................|",
   " |...................................|",
   "2|................XWY................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |............Z......................|",
   "3|...................................|",
   " |............................G......|",
   " |............................H......|",
   " |............................I......|",
   " |...................................|",
   "4|...................................|",
   " |....................x.w............|",
   " |.....................y.............|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Colony",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |...........................h.i.....|",
   " |...........................g.......|",
   " |.................Y.................|",
   " |...................................|",
   "2|.................X.W...............|",
   " |...................................|",
   " |............................@......|",
   " |...................................|",
   " |..Z................................|",
   "3|...................................|",
   " |....................G..H...........|",
   " |.........................I.........|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |....................x.w............|",
   " |.....................y.............|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Core",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |...........................h.i.....|",
   " |..................X.Y......g.......|",
   " |...................W...............|",
   " |...................................|",
   "2|...................................|",
   " |...................................|",
   " |...........................4.......|",
   " |...................................|",
   " |............Z......................|",
   "3|...................................|",
   " |....................G..............|",
   " |...................................|",
   " |....................HI.............|",
   " |...................................|",
   "4|...................................|",
   " |....................x.w............|",
   " |.....................y.............|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Home",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |....................h.i............|",
   " |...............X.Y......g..........|",
   " |................W..................|",
   " |...................................|",
   "2|...................................|",
   " |...................................|",
   " |Zz......................!..........|",
   " |...................................|",
   " |...................................|",
   "3|...................................|",
   " |...............G...................|",
   " |..............IH...................|",
   " |....................xyw............|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Asteroids 1",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |.............[.......[.............|",
   " |............]......................|",
   "1|..[...............[................|",
   " |...........X.....h.i...............|",
   " |......W.*........g.................|",
   " |...........].Y.*...................|",
   " |...................[...............|",
   "2|.....]....*....**..................|",
   " |...................................|",
   " |...........*..........[............|",
   " |.................*..]..............|",
   " |...................................|",
   "3|.....*..[...G....].....[...........|",
   " |.........................Z..*......|",
   " |........I.[..H.....................|",
   " |.............*.......].............|",
   " |..].......].....[...*..............|",
   "4|...................................|",
   " |............wxy..[..]..............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Asteroids 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |.................h.i...............|",
   " |.......*.........g.................|",
   " |...............*.....Y.............|",
   " |....................X..............|",
   "2|..........*....**..W...............|",
   " |...................................|",
   " |...........*.......................|",
   " |.......<.>.......*.................|",
   " |.............<.>...................|",
   "3|.....*...>G...<...........Zz.......|",
   " |.........H....<......*.............|",
   " |......<I...........................|",
   " |.............*.....................|",
   " |.......>............*..............|",
   "4|...................................|",
   " |............wxy....................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Asteroids 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |................@..................|",
   "1|...................................|",
   " |...........X.....h.i...............|",
   " |......W*.........g.................|",
   " |.............Y.*...................|",
   " |...................................|",
   "2|..........*....**..................|",
   " |....................*..............|",
   " |..3........*.......................|",
   " |.................*.................|",
   " |...................................|",
   "3|............G......................|",
   " |..............................Z.z..|",
   " |.........I...H.....................|",
   " |.............*.....................|",
   " |....................*..............|",
   "4|...................................|",
   " |............wxy....................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Asteroids 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |.................h.i...............|",
   " |......WXY........g.................|",
   " |...............*...................|",
   " |...................................|",
   "2|..........*....**..................|",
   " |....................*..............|",
   " |..4........*.......................|",
   " |.........*.......*....GHI..........|",
   " |.............*.*...................|",
   "3|..........*.....*..................|",
   " |...Z............*.....z............|",
   " |.......*...........................|",
   " |.............*.....................|",
   " |.......*............*..............|",
   "4|...................................|",
   " |............wxy....................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Asteroids 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |.....................X.....h.i.....|",
   " |................W.]........g.......|",
   " |.......................Y.].........|",
   " |...................................|",
   "2|.................[..]....[]........|",
   " |......................[......].....|",
   " |.....(...............]...[.........|",
   " |...................[.......].......|",
   " |.....................]...].........|",
   "3|....................].....]........|",
   " |.....................G.....Z.z.....|",
   " |.................[.I...H...........|",
   " |...................................|",
   " |.................]....].....]......|",
   "4|.....................wxy...........|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Asteroids 6",
   " +____1____2____3____4____5____6____7+",
   " |!..................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |...................................|",
   " |..................]..[..]..*.......|",
   " |................[........[.........|",
   " |..................*..X.]..h.i......|",
   "2|...............]....W...[..g.......|",
   " |..............[..]....*..Y.*.......|",
   " |................*..]...[..[.[......|",
   " |...............]..]..[.*...*.......|",
   " |..............[.]..[...[.]..*......|",
   "3|...................................|",
   " |.........Z.........................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|..................*..G.....[.......|",
   " |...............].[..[...Z.z.*......|",
   " |..................I...H...]........|",
   " |..............[.wxy.]...[..][......|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Nebula 1",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.c.................................|",
   " |...................................|",
   " |...................xyw.............|",
   "1|...................................|",
   " |......................h.i..........|",
   " |......................g............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |.................Z.................|",
   " |...............<...................|",
   " |.................>.<...............|",
   " |..............>..z.................|",
   "3|........G......<.><.......W........|",
   " |.......I........>..........X.......|",
   " |......H.....................Y......|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Nebula 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.C.................................|",
   " |...................................|",
   " |.........xyw.......................|",
   "1|...................................|",
   " |.................h.i...............|",
   " |.................g.................|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |...................................|",
   " |........Z..........................|",
   " |...................................|",
   " |............z......W...............|",
   "3|...................................|",
   " |......................X............|",
   " |.......................Y...........|",
   " |...................................|",
   " |...........G.......................|",
   "4|..........HI.......................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Nebula 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |...................................|",
   " |.....................w.............|",
   "1|...................................|",
   " |...........................h.i.....|",
   " |...........................g.......|",
   " |...................................|",
   " |...................................|",
   "2|..........G............Y...........|",
   " |......................X............|",
   " |...................................|",
   " |...................................|",
   " |..Zz...............................|",
   "3|.............................@.....|",
   " |...................................|",
   " |......................H............|",
   " |..........W............I...........|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |......................x.y..........|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Nebula 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |...................................|",
   " |.....................w.............|",
   "1|...................................|",
   " |...............>.....>.....h.i.....|",
   " |...........................g.......|",
   " |....................>..>...........|",
   " |............>.....Y............>...|",
   "2|..........G...<...........>........|",
   " |......................X............|",
   " |...................>...........<...|",
   " |.........................>...>.....|",
   " |..Zz..............<...<............|",
   "3|.........................>.........|",
   " |................<..................|",
   " |......................H.........>..|",
   " |..........W................>.......|",
   " |................<.I...<........<...|",
   "4|...................................|",
   " |........................<.....>....|",
   " |............>...>..................|",
   " |......................x.y..........|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Nebula 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |...................................|",
   " |.....................w.............|",
   "1|...................................|",
   " |...........................h.i.....|",
   " |...........................g.......|",
   " |...................................|",
   " |..................Y................|",
   "2|..............W.....X..............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |.......Z.....z....4................|",
   "3|...................................|",
   " |...................................|",
   " |...................................|",
   " |..............G.....H..............|",
   " |..................I................|",
   "4|...................................|",
   " |......................x.y..........|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Nebula 6",
   " +____1____2____3____4____5____6____7+",
   " |..................................?|",
   " |...................................|",
   " |............)......................|",
   " |...................................|",
   "1|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |..............w....................|",
   "2|...................................|",
   " |...............h.i.................|",
   " |.................g.................|",
   " |...................................|",
   " |.....................Y.............|",
   "3|..................W.....X..........|",
   " |...................................|",
   " |...................................|",
   " |...........Z.......................|",
   " |................z....@.............|",
   "4|...................................|",
   " |...................................|",
   " |.................G.......H.........|",
   " |.....................I.............|",
   " |.........................x.y.......|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- BlackHole 1",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |.......................X...h.i.....|",
   " |........................Y..g.......|",
   " |.........................W.........|",
   " |...................................|",
   "2|........B..........................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "3|...................................|",
   " |..................G................|",
   " |...................H...............|",
   " |....................I..............|",
   " |......wxy..........................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- BlackHole 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |.............X...h.i...............|",
   " |..............Y..g.................|",
   " |...............W...................|",
   " |...................................|",
   "2|...................................|",
   " |..............................B....|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "3|...................................|",
   " |.............G.....................|",
   " |............IH.....................|",
   " |...................................|",
   " |......wxy..........................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- BlackHole 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |.......................X...h.i.....|",
   " |.......................WY..g.......|",
   " |...................................|",
   " |...................................|",
   "2|...........@......B................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "3|...............IG..................|",
   " |...................................|",
   " |.................H.................|",
   " |...................................|",
   " |................wxy................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- BlackHole 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|.............Y.....................|",
   " |..............W............h.i.....|",
   " |...............X...........g.......|",
   " |...................................|",
   " |...................................|",
   "2|..................B................|",
   " |...................................|",
   " |.........................0.........|",
   " |...................................|",
   " |...................................|",
   "3|................G..................|",
   " |...............H...................|",
   " |..............I....................|",
   " |...................................|",
   " |................wxy................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- BlackHole 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |........X..........................|",
   "1|........W..........................|",
   " |........Y.......hi.................|",
   " |.................g.................|",
   " |...................................|",
   " |...................................|",
   "2|.....B....4....B...................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "3|......G............................|",
   " |.......I...........................|",
   " |.......H...........................|",
   " |......wxy..........................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- BlackHole 6",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |........X...h.i....................|",
   " |........WY..g......................|",
   " |...................................|",
   " |.........b.........................|",
   "2|......B............................|",
   " |.................................(.|",
   " |...................................|",
   " |.....IG............................|",
   " |......H...wxy......................|",
   "3|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Dust clouds",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................xyw.............|",
   "1|...................................|",
   " |......................h.i..........|",
   " |......................g............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |.................Z.................|",
   " |...............<...................|",
   " |.................>.<...............|",
   " |..............>..z.................|",
   "3|........G......<.><.......W........|",
   " |.......I........>..........X.......|",
   " |......H.....................Y......|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Met_17Patrol Map -- Shipping Lane",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |........X...h.i....................|",
   " |........WY..g......................|",
   " |...................................|",
   " |.........b.........................|",
   "2|......B............................|",
   " |...................................|",
   " |...................................|",
   " |.....IG............................|",
   " |......H...wxy......................|",
   "3|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "8|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "///",
   0
};



