/********************************************************************************************************\

	File Name:	CommonVictory.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/
#include "tclient.h"
#include "CommonVictory.h"
#include "CommonVictoryState.h"
#include "ScriptInterface.h"
#include "Met_5FleetAction.h"


tClassAllocator<tCommonVictory> gCommonVictoryAllocator;

/*

	HELPER NOTE:	You must remember to initialize all of your victory attributes here.  You should
					do this for both constructors until informed otherwise.  For example:

	tTeam1CommonVictory::tTeam1CommonVictory( ) : fBSed( false ), field2( value ), field3 ( value ), etc...
	{}

*/
tCommonVictory::tCommonVictory()
{}
tCommonVictory::tCommonVictory( tTeamInfo* team ): tVictoryCondition( team )
{}

/*

	HELPER NOTE:	Really, the only items in this function that you could change are the values passed into
					the t##VictoryStateName## constructor.  These values are the capture bonus and prestige
					points awarded according to the player's victory status -- starting at
					kAstoundingVictory and working its way down to kDevastatingDefeat.

*/
void tCommonVictory::mSetupState()
{
	tCommonVictoryState* baseVictoryState = new tCommonVictoryState( 420, 320, 120, 25, 0 );
	mRegisterState( baseVictoryState );
	mGotoState( typeid( tCommonVictoryState ) );
}

/*

	HELPER NOTE:	The following is simply an example of setting and modifying the current victory condition
					objectives.

	bool
	tTeam1CommonVictory::mBSed( void )
	{
		return fBSed;
	}
	void
	tTeam1CommonVictory::mSetBSed( bool x )
	{
		fBSed = x;
	}

*/

