/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 24;
const char* MapTypes[] = {	"Open Space 1", 
                            "Open Space 2",
                            "Open Space 3",
                            "Open Space 4",
                            "Open Space 5",
                            "Open Space 6",
							"Asteroid Space 1", 
							"Asteroid Space 2", 
							"Asteroid Space 3", 
							"Asteroid Space 4", 
							"Asteroid Space 5", 
							"Asteroid Space 6", 
							"Nebula Space 1", 
							"Nebula Space 2", 
							"Nebula Space 3", 
							"Nebula Space 4", 
							"Nebula Space 5", 
							"Nebula Space 6", 
							"BlackHole Space 1", 
							"BlackHole Space 2", 
							"BlackHole Space 3", 
							"BlackHole Space 4", 
							"BlackHole Space 5", 
							"BlackHole Space 6"  
						};
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_5FleetAction",
   "// Open Space 1",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |..........h........Q.........|",
   " |............g................|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |...........i.................|",
   " |.................k...........|",
   " |......P...........K...L......|",
   " |.................jl.J........|",
   "3|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.....I.H.G...................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Open Space 2",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |..........h........Q.........|",
   " |............g................|",
   " |.............................|",
   " |.........HI..................|",
   "2|...........G.................|",
   " |...........i.................|",
   " |.................k...........|",
   " |......P...............L......|",
   " |.................jl.J........|",
   "3|.....................K.......|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Open Space 3",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |..........h........Q.........|",
   " |............g................|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |...........i.................|",
   " |.................k...........|",
   " |......P......................|",
   " |.........KL......jl..........|",
   "3|........J....................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.....G.......................|",
   " |...HI........................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Open Space 4",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.....................I.......|",
   " |.....................H.......|",
   "1|.....................G.......|",
   " |..........h........Q.........|",
   " |............g................|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |...........i.................|",
   " |.................k..J........|",
   " |......P...........K...L......|",
   " |.................jl..........|",
   "3|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Open Space 5",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |..........h........Q.........|",
   " |............g................|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |...........i.................|",
   " |....H............k..K........|",
   " |.....GP...........J..........|",
   " |....I............jl.L........|",
   "3|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Open Space 6",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |..........h........Q.........|",
   " |............g................|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |...........i.................|",
   " |.................k...........|",
   " |......P..........HI..........|",
   " |................Gjl..........|",
   "3|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.......J.....................|",
   " |......KL.....................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 1",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |........*....................|",
   " |..................*..........|",
   "1|.........H............*......|",
   " |..........h....*..P..........|",
   " |.......I...G..*..............|",
   " |.....*.....]....>............|",
   " |......].....>................|",
   "2|.......]<>....[...<..........|",
   " |......i....*<...]............|",
   " |...[..>..>.*....[......J.....|",
   " |.....*...[............*.K....|",
   " |...*..*...<..*..>.l..*..L....|",
   "3|..].>..[...>.g...............|",
   " |......[.<...<..*.............|",
   " |.....]....[....j<.]..........|",
   " |......*......................|",
   " |..........]..k...............|",
   "4|..*..........................|",
   " |..........*..................|",
   " |....Q........................|",
   " |......*......................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 2",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |..*....................*.....|",
   " |........*....................|",
   " |.............................|",
   "1|......................*......|",
   " |..........h....*..P..........|",
   " |.............................|",
   " |.....*.....]....>............|",
   " |......].....>................|",
   "2|........<>....[...<..........|",
   " |......i.....<...]............|",
   " |...[..>..>......[............|",
   " |.....*...*............*......|",
   " |...*..*...<..*..>.l..*.KL....|",
   "3|..].>..[...>.g........J......|",
   " |........<...<..*.............|",
   " |.....].........j..*..........|",
   " |......*....*.................|",
   " |..........]..k...*...........|",
   "4|..*......G...................|",
   " |........HI.....**............|",
   " |....Q........................|",
   " |......*............*.........|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 3",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |..*....................*.....|",
   " |........*....................|",
   " |...............I..*..........|",
   "1|.........H...G........*......|",
   " |..........h....*..P..........|",
   " |..............*..............|",
   " |.....*.....].................|",
   " |......]......................|",
   "2|.......]......[..............|",
   " |......i....*....]............|",
   " |...[.......*....[............|",
   " |.....*...[...........J*......|",
   " |...*..*......*..>.l..*.K.....|",
   "3|..]....[.....g......L........|",
   " |......[........*.............|",
   " |.....]....[....j..]..........|",
   " |......*......................|",
   " |..........]..k...............|",
   "4|..*..........................|",
   " |..........*..................|",
   " |....Q........................|",
   " |......*............*.........|",
   " |..............*..............|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 4",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |..*....................*.....|",
   " |........*....................|",
   " |..................*..........|",
   "1|.........H............*......|",
   " |..........h....*..P..........|",
   " |.........G.I..*..............|",
   " |.....*..........>............|",
   " |............>................|",
   "2|........<>........<..........|",
   " |......i....*<................|",
   " |......>..>.*.................|",
   " |..J..*................*......|",
   " |.K.*..*...<..*..>.l..*.......|",
   "3|L...>......>.g...............|",
   " |........<...<..*.............|",
   " |...............j<............|",
   " |......*......................|",
   " |.............k...............|",
   "4|..*..........................|",
   " |..........*..................|",
   " |....Q........................|",
   " |......*............*.........|",
   " |..............*..............|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 5",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.........H...................|",
   " |..........h.......P..........|",
   " |...........I.................|",
   " |........G..]....>............|",
   " |......].....>................|",
   "2|.......]<>....[...<..........|",
   " |......i.....<...]............|",
   " |...[..>..>......[............|",
   " |.........[...................|",
   " |..........<.....>.l..........|",
   "3|..].>..[...>.g...............|",
   " |......[.<...<................|",
   " |.....]..J.[....j<.]..........|",
   " |.......KL....................|",
   " |..........]..k...............|",
   "4|.............................|",
   " |.............................|",
   " |....Q........................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Asteroid Space 6",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |........*....................|",
   " |..................*..........|",
   "1|.................*...........|",
   " |..........h....*..P..........|",
   " |..............*..............|",
   " |...........]....>............|",
   " |......].....>................|",
   "2|.......]<>....[...<..........|",
   " |......i....*<...]............|",
   " |...[..>..>.*..[..............|",
   " |.....*...[.........*.........|",
   " |...*..*I..<..*..>.l*..JKL....|",
   "3|....>..[..G>.g...............|",
   " |......[.<H..<..*.............|",
   " |.....]....[....j<.]..........|",
   " |......*......................|",
   " |........]..k.................|",
   "4|..*..........................|",
   " |.......*.....................|",
   " |....Q........................|",
   " |......*......................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 1",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.?...........................|",
   " |...........j.................|",
   " |.............................|",
   "1|.............................|",
   " |..........h...........P......|",
   " |.............................|",
   " |........g....................|",
   " |.............................|",
   "2|.............i...............|",
   " |.............................|",
   " |.............l...............|",
   " |.............................|",
   " |..H.................QJK......|",
   "3|..I.G......k..........L......|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 2",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.?...........................|",
   " |...........j.................|",
   " |.............................|",
   "1|.............................|",
   " |..........h...........P......|",
   " |.............................|",
   " |........g....................|",
   " |............HI...............|",
   "2|............Gi...............|",
   " |.............................|",
   " |.............l...............|",
   " |.............................|",
   " |......................Q......|",
   "3|.........k...................|",
   " |.............................|",
   " |.............................|",
   " |............J................|",
   " |............K................|",
   "4|............L................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 3",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.?...........................|",
   " |...........j.................|",
   " |........................I....|",
   "1|........................H....|",
   " |..........h...........P.G....|",
   " |.............................|",
   " |........g....................|",
   " |.............................|",
   "2|.............i...............|",
   " |.............................|",
   " |.............l...............|",
   " |.............................|",
   " |......................Q......|",
   "3|.........k..............J....|",
   " |........................K....|",
   " |........................L....|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 4",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.?...........................|",
   " |...........j.................|",
   " |.............................|",
   "1|.............................|",
   " |..........h...........P......|",
   " |.............................|",
   " |........g....................|",
   " |.............................|",
   "2|.............i...............|",
   " |.............................|",
   " |.............l...............|",
   " |.............................|",
   " |......................Q......|",
   "3|.........k...................|",
   " |.............................|",
   " |.............................|",
   " |.....G..........J............|",
   " |....H.............K..........|",
   "4|...I...............L.........|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 5",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.?...........................|",
   " |...........j.................|",
   " |.............................|",
   "1|.............................|",
   " |..........h...........P......|",
   " |.............................|",
   " |........g....................|",
   " |.............................|",
   "2|.............i...............|",
   " |.............................|",
   " |.............l...............|",
   " |.............................|",
   " |H.....................Q......|",
   "3|I........k...................|",
   " |.G...........................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.........JKL.................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// Nebula Space 6",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.?...........................|",
   " |...........j.................|",
   " |.............................|",
   "1|.............................|",
   " |..........h...........P......|",
   " |.............................|",
   " |........g....................|",
   " |.............................|",
   "2|.............i...............|",
   " |.............................|",
   " |.............l...............|",
   " |.............................|",
   " |......................Q.K....|",
   "3|.........k..............L....|",
   " |.......................J.....|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |..............G..............|",
   " |............HI...............|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// BlackHole Space 1",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |....HI.......................|",
   "1|.....G.......................|",
   " |......g...h..................|",
   " |....................P........|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |......i......................|",
   " |............,................|",
   " |.............................|",
   " |.................jlk.........|",
   "3|..................J..........|",
   " |....Q..............K.........|",
   " |....................L........|",
   " |.............................|",
   " |.............................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// BlackHole Space 2",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |...................GHI.......|",
   "1|.............................|",
   " |......g...h..................|",
   " |....................P........|",
   " |..........,.....,............|",
   " |...K.J.......................|",
   "2|.............................|",
   " |.....Li......................|",
   " |.............................|",
   " |.............................|",
   " |..................lk.........|",
   "3|.............................|",
   " |....Q........................|",
   " |.............................|",
   " |.............................|",
   " |..................j..........|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// BlackHole Space 3",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |.............................|",
   " |........HI..........P........|",
   " |.........G...................|",
   " |.............................|",
   "2|.............................|",
   " |......i......................|",
   " |........,.gh.................|",
   " |.............................|",
   " |..................lk.........|",
   "3|.............................|",
   " |....Q............j...........|",
   " |..........J..................|",
   " |...........L.................|",
   " |...........K.................|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// BlackHole Space 4",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |.............................|",
   " |...............I....P........|",
   " |...............H.............|",
   " |...............G.............|",
   "2|.............................|",
   " |.............................|",
   " |.................,...........|",
   " |.............................|",
   " |..................lk.........|",
   "3|.............................|",
   " |....Q........................|",
   " |.............................|",
   " |.............................|",
   " |..................j..........|",
   "4|...................J.........|",
   " |.....................L.......|",
   " |...................K.........|",
   " |.............................|",
   " |..................ghi........|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// BlackHole Space 5",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |....HI..........JKL..........|",
   "1|.......G.....................|",
   " |......g...h,.................|",
   " |....................P........|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |......i......................|",
   " |.............................|",
   " |.............................|",
   " |..................lk.........|",
   "3|.............................|",
   " |....Q........................|",
   " |.............................|",
   " |.............................|",
   " |..................j..........|",
   "4|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "// BlackHole Space 6",
   " +____1____2____3____4____5____+",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "1|.............................|",
   " |......g...h..................|",
   " |....................P........|",
   " |.............................|",
   " |.............................|",
   "2|.............................|",
   " |......i......................|",
   " |.............................|",
   " |.............................|",
   " |..................lk.........|",
   "3|.............................|",
   " |....Q........................|",
   " |.............................|",
   " |.............................|",
   " |.................Kj..........|",
   "4|.............................|",
   " |.....................L.......|",
   " |.........,........J..........|",
   " |.............................|",
   " |.............................|",
   "5|.............................|",
   " |....HIG......................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "6|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   "7|.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " |.............................|",
   " +-----------------------------+",
   "      1    2    3    4    5",
   "///",
   0
};

