/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h

#include "CommonDefs.h"


class tWorldConditions
{
public:

	tWorldConditions();
	int32 fMissionSeed;

	/*

		HELPER NOTE:	Make certain to call this in each and every place the game could possibly end.
						You should try to limit yourself to the teams' victory states though.

	*/
	void mCheckForGameEnd( void );

/*

	HELPER NOTE:	Place your world conditions here.  A world condition is usually a flag or a count
					of some object that determines the state the world is in (e.g. should the game end?,
					should the next team come into play?, etc).

*/
//
//	World condition accessors.
//
public:

	void	mSetWasCaptured( int32 x, iTruth y );
	void	mSetTeamWon( int32 x, iTruth y );

	iTruth	mWasCaptured( int32 x );
	iTruth	mTeamWon( int32 x );
void mMyInvokeGameStatus(eTeamID team, eGameStatus stat);
iTruth mShipIsMyEnemy( eTeamID shipteam, eTeamID myteam);
	iTruth mAppendToFile(std::string filename, std::string textline);
	iTruth mStartMissionLog(std::string missionname);
	iTruth mLogTeamResults(eTeamID team, eRace race, int32 prestige, eGameStatus result, iTruth human);
	iTruth fResultsIn;
	bool fHostLeft;

	// keeping track of number of humans on each side
	int32 fDraftingHumans;
	int32 fDraftedHumans;
	int32 fDraftedBPV;
	int32 fDraftingBPV;
	iTruth fExternalShips;
	int32 fCampaignYear, fYear, fDay;

	// added fields and methods to read settings from my mission config file
	void mGetSettingsFromConfig();
	iTruth mGetSetting(char *line, char *settingname, float &value, int32 len);
	iTruth mGetSetting(char *line, char *settingname, int32 &value, int32 len);

	int32 fMapPicked;
	void mSetSpecialMapFeatures();

	float fLegendaryAICaptain;
	float fLegendaryAIWeapon;
	float fLegendaryAIEngineer;
	float fLegendaryAIScience;
	float fLegendaryAIMarine;
	float fLegendaryAIDoctor;
	float fLegendaryAIComm;
	float fLegendaryAIHelm;
	float fAIDroneModifier;
	float fAIPartsModifier;
	float fAIMarinesModifier;
	int32 fFreighterSpareLimit;
	int32 fFrigateSpareLimit;
	int32 fDestroyerSpareLimit;
	int32 fWarDestroyerSpareLimit;
	int32 fLightCruiserSpareLimit;
	int32 fHeavyCruiserSpareLimit;
	int32 fNewHeavyCruiserSpareLimit;
	int32 fHeavyBattlecruiserSpareLimit;
	int32 fCarrierSpareLimit;
	int32 fDreadnoughtSpareLimit;
	int32 fBattleshipSpareLimit;
	int32 fBaseSpareLimit;
	int32 fBatsSpareLimit;
	int32 fStarbaseSpareLimit;
	int32 fPlanetSpareLimit;
	int32 fSpecialSpareLimit;
	int32 fOtherSpareLimit;
	int32 fAIBPVModifier;
	int32 fAllowCallForHelp;
	int32 fBPVPenaltyForCall;
	int32 fBPVBonusForNotCalling;
	int32 fDisableAIDuringPvP;
	int32 fAstoundingVictoryPvPBonus;
	int32 fVictoryPvPBonus;
	int32 fDrawPvPBonus;
	int32 fDefeatPvPBonus;
	int32 fDevastatingDefeatPvPBonus;
	int32 fFederation;
	int32 fKlingon;
	int32 fRomulan;
	int32 fLyran;
	int32 fMirak;
	int32 fGorn;
	int32 fHydran;
	int32 fISC;
	int32 fMonster;
	int32 fNeutral;
	int32 fOrion;
	int32 fOther;
	int32 fOrionOrion;
	int32 fPrime;
	int32 fWyldefire;
	int32 fTigerHeart;
	int32 fBeastRaiders;
	int32 fKorgath;
	int32 fSyndicate;
	int32 fCamboro;
	float fAIBombsModifier;
	float fBaseDestructProb;
	float fBatsDestructProb;
	float fSBDestructProb;
	iTruth mCheckCRC();
	iTruth fBadCRC;
	int32 fNWCustID;


//
//	World condition flags.
//
private:

	iTruth	fWasCaptured[kMaxMissionTeams];
	iTruth	fTeamWon[kMaxMissionTeams];

};

extern tWorldConditions gWC;

#endif
