/********************************************************************************************************\

	File Name:	CommonEnemyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonEnemyShipBaseState.h"
#include "WorldConditions.h"
#include "ScriptInterface.h"
#include "Met_5FleetAction.h"
#include "ShipList_API.h"
#include "CommonDefs.h"
#include "ShipList_API.h"

/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonEnemyShipBaseState::mBeginState()
{	
	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = fChildActor->mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = fChildActor->mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = fChildActor->mGetTeam(); if (Team < 1) Team = 1;
	int32 id = fChildActor->mGetShipID(); if (id < 1) id = 1;
	fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;

	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ));
	if (team && (team->mGetRace() == kRomulan) && (!team->mIsTeamHumanControlled())) {
		fChildActor->mCloak( kFalse );
		fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
	}

#ifndef NOMODIFIEDOFFICERS
	tTeamInfo* drafter = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kPlayerTeam1 ));
	if (drafter && ((drafter->mGetRace() == kLyran) || (drafter->mGetRace() == kGorn)
		|| (drafter->mGetRace() == kISC) || (drafter->mGetRace() == kRomulan))) {
		if ((gWC.fDraftingHumans == 1) && (!team->mIsTeamHumanControlled()) && (gWC.fDraftedHumans == 0)) {
			if ((rand() % 3) > 0) {
				fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse); 
			} else {
				fChildActor->mChangeAIOfficerState( kRepairOfficer, kFalse ); 
				fChildActor->mSetOfficerRank( kEngineeringOfficer, kRookie ); 
				fChildActor->mSetOfficerRank( kWeaponsOfficer, kRookie ); 
				fChildActor->mChangeAIOfficerState( kECCMOfficer, kFalse ); 
				fChildActor->mChangeAIOfficerState( kShuttleOfficer, kFalse); 
			}
		}
	}
#endif
}

void tCommonEnemyShipBaseState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{

}

void tCommonEnemyShipBaseState::mEndState()
{
}

void tCommonEnemyShipBaseState::mOnDeath( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mOnCapture( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mOnDisengaged( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonEnemyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonEnemyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonEnemyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonEnemyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyShipBaseState::mOnFlashingButtonPressed()
{}
void tCommonEnemyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonEnemyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonEnemyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonEnemyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonEnemyShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonEnemyShipBaseState::mOnHostChanged()
{}
void tCommonEnemyShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tCommonEnemyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonEnemyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

