/********************************************************************************************************\

	File Name:	CommonPlayerShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonPlayerShipBaseState.h"
#include "WorldConditions.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonPlayerShipBaseState::mBeginState()
{	fRestoreSpares = 0;
	// may have to use gGetMapPicked() for some missions
	int32 map = 1;
	int32 cust = fChildActor->mGetCustomID(); if (cust < 1) cust = 1;
	int32 seed = gWC.fMissionSeed; if (seed < 1) seed = 1;
	int32 bpv = fChildActor->mGetShipBPV(); if (bpv < 1) bpv = 1;
	int32 Team = fChildActor->mGetTeam(); if (Team < 1) Team = 1;
	int32 id = fChildActor->mGetShipID(); if (id < 1) id = 1;
	fShipRandValue = map * cust * seed * bpv * Team * id;
	if (fShipRandValue < 0) fShipRandValue *= -1;
	tTeamInfo* team = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ));
	if (team && (team->mGetRace() == kRomulan) && (!team->mIsTeamHumanControlled())) {
		fChildActor->mCloak( kFalse );
		fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
	}
}

void tCommonPlayerShipBaseState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{

}

void tCommonPlayerShipBaseState::mEndState()
{
}

void tCommonPlayerShipBaseState::mOnDeath( tShipInfo* ship )
{
}
void tCommonPlayerShipBaseState::mOnCapture( tShipInfo* ship )
{
}
void tCommonPlayerShipBaseState::mOnDisengaged( tShipInfo* ship )
{
}
void tCommonPlayerShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonPlayerShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonPlayerShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonPlayerShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonPlayerShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonPlayerShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonPlayerShipBaseState::mOnFlashingButtonPressed()
{}
void tCommonPlayerShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonPlayerShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonPlayerShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonPlayerShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonPlayerShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonPlayerShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonPlayerShipBaseState::mOnHostChanged()
{}
void tCommonPlayerShipBaseState::mOnTimedInterval( int32 timerID )
{}
void tCommonPlayerShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonPlayerShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

