/********************************************************************************************************\

	File Name:	CommonPlayerTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonPlayerTeamBaseState.h"
#include "MissionText.h"
#include "WorldConditions.h"
#include "ScriptInterface.h"
#include "Met_5FleetAction.h"
#include "ShipList_API.h"
#include "CommonDefs.h"


/*

	HELPER NOTE:	There are so many things that can be done here depending upon which mission you are
					coding.  So rather than list out possible bodies for each of the events below, the
					signatures have been given to save time cutting and pasting.  However, if you do need
					examples of the bodies of these functions, please feel free to refer back to ISC_5Accuse,
					which is the latest mission and the mission that contains files that most closely reflect
					this file and others in this script.

*/
void tCommonPlayerTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
//	gWC.mSetSpecialMapFeatures();
}
void tCommonPlayerTeamBaseState::mEndState()
{}

void tCommonPlayerTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonPlayerTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonPlayerTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonPlayerTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonPlayerTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonPlayerTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonPlayerTeamBaseState::mOnFlashingButtonPressed()
{}
void tCommonPlayerTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonPlayerTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCommonPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonPlayerTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonPlayerTeamBaseState::mOnHostChanged()
{}
void tCommonPlayerTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if ( timerID == kStartingID )
	{
		eRaceName  playerRace = kNoRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		if ( playerTeam )
			playerRace = playerTeam->mGetRace();
		else return;

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStart_msg, kNonCommScriptMessage );
			break;
			default:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kStart_msg, kNonCommScriptMessage );
			break;
		}

		/*
		switch (gWC.fMapPicked) {
			case 0: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Space 1 map picked" ); break;
			case 1: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Asteroids 1 map picked" ); break;
			case 2: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Asteroids 2 map picked" ); break;
			case 3: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Asteroids 3 map picked" ); break;
			case 4: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Asteroids 4 map picked" ); break;
			case 5: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Asteroids 5 map picked" ); break;
			case 6: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Asteroids 6 map picked" ); break;
			case 7: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Nebula 1 map picked" ); break;
			case 8: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Nebula 2 map picked" ); break;
			case 9: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Nebula 3 map picked" ); break;
			case 10: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Nebula 4 map picked" ); break;
			case 11: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Nebula 5 map picked" ); break;
			case 12: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Nebula 6 map picked" ); break;
			case 13: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "BlackHole 1 map picked" ); break;
			case 14: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "BlackHole 2 map picked" ); break;
			case 15: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "BlackHole 3 map picked" ); break;
			case 16: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "BlackHole 4 map picked" ); break;
			case 17: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "BlackHole 5 map picked" ); break;
			case 18: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "BlackHole 6 map picked" ); break;
			case 19: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Shipping lane map picked" ); break;
			case 20: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Dustclouds map picked" ); break;
			case 21: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "Space 2 map picked" ); break;
			default: fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   "No map picked (space 1 used)" ); break;
				break;
		}
		*/
	}

	if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        if (
            (fChildActor->mGetTeam() != kPlayerTeam1) &&
            (fChildActor->mGetTeam() != kPlayerTeam2) &&
            (fChildActor->mGetTeam() != kPlayerTeam3)
        ) return;
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        tTeamInfo* enemyTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( fChildActor->mGetTeam() ) );
        if (enemyTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tCommonPlayerTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(enemyTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tCommonPlayerTeamBaseState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }

}
void tCommonPlayerTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonPlayerTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

