/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 26;
const char* MapTypes[] = {	"Open Space", 
							"Asteroid Space 1", 
							"Asteroid Space 2", 
							"Asteroid Space 3", 
							"Asteroid Space 4", 
							"Asteroid Space 5", 
							"Asteroid Space 6", 
							"Nebula Space 1", 
							"Nebula Space 2", 
							"Nebula Space 3", 
							"Nebula Space 4", 
							"Nebula Space 5", 
							"Nebula Space 6", 
							"BlackHole Space 1", 
							"BlackHole Space 2", 
							"BlackHole Space 3", 
							"BlackHole Space 4", 
							"BlackHole Space 5", 
							"BlackHole Space 6",  
							"Shipping Lane",  
							"Dustclouds",  
							"Space 2",  
							"Space 3",  
							"Space 4",  
							"Space 5",  
							"Space 6",  
						};
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_5FleetAction",
   "// Open Space",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|.........HI........................|",
   " |..........hG.......Q...............|",
   " |............g......................|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |...........i.......................|",
   " |.................k.................|",
   " |......P...........J...L............|",
   " |.................jl.K..............|",
   "3|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Asteroid Space 1",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |........*..........................|",
   " |..................*................|",
   "1|.........H............*............|",
   " |......I...h....*..P................|",
   " |..............*....................|",
   " |.....*..G..]....>..................|",
   " |......].....>......................|",
   "2|.......]<>....[...<................|",
   " |......i....*<...]..................|",
   " |...[..>..>.*....[..................|",
   " |.....*...[............*............|",
   " |...*..*...<..*..>.l..*.............|",
   "3|..].>..[...>.g.....................|",
   " |......[.<...<..*...................|",
   " |.....]....[.JKLj<.]................|",
   " |......*............................|",
   " |..........]..k.....................|",
   "4|..*................................|",
   " |..........*........................|",
   " |....Q..............................|",
   " |......*............................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Asteroid Space 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |..*....................*...........|",
   " |........*..........................|",
   " |...................................|",
   "1|......................*............|",
   " |..........h....*..P................|",
   " |...................................|",
   " |.....*.....]....>..................|",
   " |......].....>......................|",
   "2|........<>....[...<................|",
   " |......i.....<...]..................|",
   " |...[..>..>......[..................|",
   " |.....*...*IHG.........*.K..........|",
   " |...*..*...<..*..>.l..*.JL..........|",
   "3|..].>..[...>.g.....................|",
   " |........<...<..*...................|",
   " |.....].........j..*................|",
   " |......*....*.......................|",
   " |..........]..k...*.................|",
   "4|..*................................|",
   " |.............**....................|",
   " |....Q..............................|",
   " |......*............*...............|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Asteroid Space 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |............*....................*.|",
   " |..................*................|",
   " |............................*......|",
   "1|................................*..|",
   " |....................h....*..P......|",
   " |........................*..........|",
   " |...............*.....].............|",
   " |................]..................|",
   "2|.................]......[..........|",
   " |................i....*....]........|",
   " |.............[.......*....[........|",
   " |...............*...[...........L*..|",
   " |.............*..*......*..>.l..*.K.|",
   "3|............]....[.....g......J....|",
   " |................[........*.........|",
   " |...............]....[....j..]......|",
   " |................*..................|",
   " |....................]..k...........|",
   "4|............*......................|",
   " |....................*....G.........|",
   " |..............Q.........H..........|",
   " |................*......I.....*.....|",
   " |........................*..........|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Asteroid Space 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |..*....................*...........|",
   " |........*..........................|",
   " |..................*................|",
   "1|.........H............*............|",
   " |..........h....*..P................|",
   " |...........I..*....................|",
   " |.....*..G.......>..................|",
   " |............>......................|",
   "2|........<>........<................|",
   " |......i....*<......................|",
   " |......>..>.*.jkl...................|",
   " |.....*................*............|",
   " |...*..*...<..*..>....*.............|",
   "3|....>......>.g.....................|",
   " |........<...<..*...................|",
   " |...........J....<..................|",
   " |......*....K.......................|",
   " |...........L.......................|",
   "4|..*................................|",
   " |..........*........................|",
   " |....Q..............................|",
   " |......*............*...............|",
   " |..............*....................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Asteroid Space 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................H...............|",
   " |....................h.......P......|",
   " |.....................I.............|",
   " |.....................]..G.>........|",
   " |................].....>............|",
   "2|.................]<>....[...<......|",
   " |................i.....<...]........|",
   " |.............[..>..>......[........|",
   " |...................[...............|",
   " |....................<....k>.l......|",
   "3|............].>..[...>.g...........|",
   " |................[.<...<............|",
   " |...............]...J[....j<.]......|",
   " |..................L..K.............|",
   " |....................]..............|",
   "4|...................................|",
   " |...................................|",
   " |..............Q....................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Asteroid Space 6",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |..................*................|",
   " |...................................|",
   "1|...........................*.......|",
   " |....................h....*..P......|",
   " |........................*..........|",
   " |...............*.....]....>........|",
   " |................].....>............|",
   "2|.................]<>....[...<......|",
   " |................i....*<...]........|",
   " |.............[..>..>.*..[..........|",
   " |...............*...[.........*.K...|",
   " |.............*..*I..<..*..>.l*.JL..|",
   "3|............].>..[G..>.g...........|",
   " |................[H<...<..*.........|",
   " |...............]....[....j<.]......|",
   " |................*..................|",
   " |..................]..k.............|",
   "4|............*......................|",
   " |.................*.................|",
   " |..............Q....................|",
   " |................*..................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Nebula Space 1",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |.....................j.............|",
   " |...................................|",
   "1|...................................|",
   " |....................h...........P..|",
   " |...................................|",
   " |..................g................|",
   " |...................................|",
   "2|.......................i...........|",
   " |...................................|",
   " |.......................l...........|",
   " |...................................|",
   " |............H..G..............Q.K..|",
   "3|............I........k........J.L..|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Nebula Space 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |.....................j.............|",
   " |...................................|",
   "1|...................................|",
   " |....................h...........P..|",
   " |...................................|",
   " |..................g................|",
   " |.....................H.I...........|",
   "2|......................Gi...........|",
   " |...................................|",
   " |.......................l...........|",
   " |...................................|",
   " |................................Q..|",
   "3|...................k...............|",
   " |...................................|",
   " |...................................|",
   " |......................J............|",
   " |.....................K.............|",
   "4|......................L............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Nebula Space 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |...........j.......................|",
   " |........................I..........|",
   "1|........................H..........|",
   " |..........h...........P............|",
   " |....................G..............|",
   " |........g..........................|",
   " |...................................|",
   "2|.............i.....................|",
   " |...................................|",
   " |.............l.....................|",
   " |...................................|",
   " |......................Q............|",
   "3|.........k...........J..L..........|",
   " |...................................|",
   " |........................K..........|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Nebula Space 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |.....................j.............|",
   " |...................................|",
   "1|...................................|",
   " |....................h...........P..|",
   " |...................................|",
   " |..................g................|",
   " |...................................|",
   "2|.......................i...........|",
   " |...................................|",
   " |.......................l...........|",
   " |...................................|",
   " |................................Q..|",
   "3|...................k...............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |..............H.............K......|",
   "4|.............I..G.........J..L.....|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Nebula Space 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |...........j.......................|",
   " |...................................|",
   "1|...................................|",
   " |..........h...........P............|",
   " |...................................|",
   " |........g..........................|",
   " |...................................|",
   "2|.............i.....................|",
   " |...................................|",
   " |.............l.....................|",
   " |...................................|",
   " |HG....................Q............|",
   "3|I........k.........................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |.........JKL.......................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Nebula Space 6",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |.?.................................|",
   " |...........j.......................|",
   " |...................................|",
   "1|...................................|",
   " |..........h...........P............|",
   " |...................................|",
   " |........g..........................|",
   " |...................................|",
   "2|.............i.....................|",
   " |...................................|",
   " |.............l.....................|",
   " |........................L..........|",
   " |......................Q.K..........|",
   "3|.........k..............J..........|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "4|...................................|",
   " |...................................|",
   " |...........IHG.....................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// BlackHole Space 1",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |.............I......P..............|",
   " |............H......................|",
   " |...........G.......................|",
   "2|...................................|",
   " |......i............................|",
   " |............,......................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |................jJ.................|",
   "4|...................K...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// BlackHole Space 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |....................HI.............|",
   "1|...................................|",
   " |......g...h........G...............|",
   " |....................P..............|",
   " |..........,.....,..................|",
   " |...K...............................|",
   "2|...................................|",
   " |.....Li.J..........................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |..................j................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// BlackHole Space 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |....HI.............................|",
   "1|.....G.............................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |........,..........................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...........J.......................|",
   " |...........K......j................|",
   "4|...........L.......................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// BlackHole Space 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...............I...................|",
   "1|...............H...................|",
   " |......g...h....G...................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |.................,.................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Jj................|",
   "4|...................K...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// BlackHole Space 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |....HG..........JKL................|",
   "1|....I..............................|",
   " |......g...h,.......................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |..................j................|",
   "4|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// BlackHole Space 6",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Kj................|",
   "4|...................................|",
   " |.................J...L.............|",
   " |.........,.........................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |...HIG.............................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Shipping Lane",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................8...............|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Kj................|",
   "4|...................J...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |....HIG............................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Dustclouds",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i.....>......................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...........>.......................|",
   " |....Q..............................|",
   " |.........>.........................|",
   " |...................................|",
   " |.............<...Kj................|",
   "4|........<..........J...............|",
   " |....>.......>........L.............|",
   " |...................................|",
   " |....<.............<................|",
   " |........>.....<....................|",
   "5|...................................|",
   " |...HIG....<........................|",
   " |...............<...................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Space 2",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i.....>......................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...........>.......................|",
   " |....Q..............................|",
   " |.........>.........................|",
   " |...................................|",
   " |.............<...Kj................|",
   "4|........<..........................|",
   " |....>.......>.....J..L.............|",
   " |...................................|",
   " |....<.............<................|",
   " |........>.....<....................|",
   "5|.....G.............................|",
   " |....HI....<........................|",
   " |...............<...................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Space 3",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................8...............|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Kj................|",
   "4|...................J...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |....HIG............................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Space 4",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................8...............|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Kj................|",
   "4|...................J...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |....HIG............................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Space 5",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................8...............|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Kj................|",
   "4|...................J...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |....HIG............................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "// Space 6",
   " +____1____2____3____4____5____6____7+",
   " |...................................|",
   " |...................................|",
   " |...................8...............|",
   " |...................................|",
   "1|...................................|",
   " |......g...h........................|",
   " |....................P..............|",
   " |...................................|",
   " |...................................|",
   "2|...................................|",
   " |......i............................|",
   " |...................................|",
   " |...................................|",
   " |..................lk...............|",
   "3|...................................|",
   " |....Q..............................|",
   " |...................................|",
   " |...................................|",
   " |.................Kj................|",
   "4|...................J...............|",
   " |.....................L.............|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "5|...................................|",
   " |....HIG............................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "6|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   "7|...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " |...................................|",
   " +-----------------------------------+",
   "      1    2    3    4    5    6    7",
   "///",
   0
};

