/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();

	/*

		HELPER NOTE:	Make certain to call this in each and every place the game could possibly end.
						You should try to limit yourself to the teams' victory states though.

	*/
	void mCheckForGameEnd( void );
void mAddPFs(tTeamInfo *team, int32 numPFs, iMapPosition position);

/*

	HELPER NOTE:	Place your world conditions here.  A world condition is usually a flag or a count
					of some object that determines the state the world is in (e.g. should the game end?,
					should the next team come into play?, etc).

*/
//
//	World condition accessors and modifiers.
//
public:
	
	int32   fAttackingHumans;
	int32	mTotalAttackTeams();
	int32	mTotalDefendTeams();
	int32	mTotalAttackShips();
	int32	mTotalDefendShips();
	int32	mAttackShipsDestroyed();
	int32	mDefendShipsDestroyed();
	bool	mOTDDestroyed();
	int32   fMissionSeed;
	bool	fOTDDisengaged;
	std::string fTargetTypes;
	int32   fTargetIDs[4];
	bool    fTargetScanned[4];
	tShipInfo *fTargets[4];
	int32   fNumTargets;
	bool	fGotData;


	void	mIncrementTotalAttackTeams();
	void	mIncrementTotalDefendTeams();
	void	mIncrementTotalAttackShips();
	void	mIncrementTotalDefendShips();
	void	mIncrementAttackShipsDestroyed();
	void	mIncrementDefendShipsDestroyed();
	void	mSetOTDDestroyed( bool x );
void mMyInvokeGameStatus(eTeamID team, eGameStatus stat);
	iTruth mAppendToFile(std::string filename, std::string textline);
	iTruth mStartMissionLog(std::string missionname);
	iTruth mLogTeamResults(eTeamID team, eRace race, int32 prestige, eGameStatus result, iTruth human);
	iTruth fResultsIn;

	// added fields and methods to read settings from my mission config file
	void mGetSettingsFromConfig();
	iTruth mGetSetting(char *line, char *settingname, float &value, int32 len);
	iTruth mGetSetting(char *line, char *settingname, int32 &value, int32 len);

	iTruth fStartShipsInMotion;
	float fLegendaryAICaptain;
	float fLegendaryAIWeapon;
	float fLegendaryAIEngineer;
	float fLegendaryAIScience;
	float fLegendaryAIMarine;
	float fLegendaryAIDoctor;
	float fLegendaryAIComm;
	float fLegendaryAIHelm;
	float fAIDroneModifier;
	float fAIPartsModifier;
	float fAIMarinesModifier;
	float fAIBombsModifier;
	float fBaseDestructProb;
	float fBatsDestructProb;
	float fSBDestructProb;
	iTruth mCheckCRC();
	iTruth fBadCRC;
	int32 fFreighterSpareLimit;
	int32 fFrigateSpareLimit;
	int32 fDestroyerSpareLimit;
	int32 fWarDestroyerSpareLimit;
	int32 fLightCruiserSpareLimit;
	int32 fHeavyCruiserSpareLimit;
	int32 fNewHeavyCruiserSpareLimit;
	int32 fHeavyBattlecruiserSpareLimit;
	int32 fCarrierSpareLimit;
	int32 fDreadnoughtSpareLimit;
	int32 fBattleshipSpareLimit;
	int32 fBaseSpareLimit;
	int32 fBatsSpareLimit;
	int32 fStarbaseSpareLimit;
	int32 fPlanetSpareLimit;
	int32 fSpecialSpareLimit;
	int32 fOtherSpareLimit;
	int32 fAIBPVModifier;
	int32 fAllowCallForHelp;
	int32 fBPVPenaltyForCall;
	int32 fBPVBonusForNotCalling;
	int32 fDisableAIDuringPvP;
	int32 fAstoundingVictoryPvPBonus;
	int32 fVictoryPvPBonus;
	int32 fDrawPvPBonus;
	int32 fDefeatPvPBonus;
	int32 fDevastatingDefeatPvPBonus;
	int32 fFederation;
	int32 fKlingon;
	int32 fRomulan;
	int32 fLyran;
	int32 fMirak;
	int32 fGorn;
	int32 fHydran;
	int32 fISC;
	int32 fMonster;
	int32 fNeutral;
	int32 fOrion;
	int32 fOther;
	int32 fOrionOrion;
	int32 fPrime;
	int32 fWyldefire;
	int32 fTigerHeart;
	int32 fBeastRaiders;
	int32 fKorgath;
	int32 fSyndicate;
	int32 fCamboro;
	int32 fNWCustID;


//
//	World condition flags.
//
private:

	int32	fTotalAttackTeams;
	int32	fTotalDefendTeams;
	int32	fTotalAttackShips;
	int32	fTotalDefendShips;
	int32	fAttackShipsDestroyed;
	int32	fDefendShipsDestroyed;

	bool	fOTDDestroyed;

};

extern tWorldConditions gWC;

#endif
