//	<Name>	AttackTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//
#include "Met_10Patrol.h"
#include "ShipInfo.h"
#include "AttackTeam.h"
#include "AttackTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "ScriptInterface.h"
#include "SFCAssert.h"

tAttackTeamInitialState::tAttackTeamInitialState( )
{
}

void tAttackTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tAttackTeamInitialState::mEndState()
{
}
void tAttackTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kShortBriefing_msg, kNonCommScriptMessage );
	}//startingid

    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* AttackTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kAttackTeam1 ) );
        if (AttackTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (AttackTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tAttackTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam2DeltaFighterBPV += gST.mUpgradeFightersForTeam(AttackTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam2DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tAttackTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tAttackTeamInitialState::mOnDeath( tShipInfo* ship )
{
}

