//	<Name>	DefendTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "DefendTeam.h"
#include "DefendTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "ScriptInterface.h"
#include "Met_10Patrol.h"
#include "ShipList_API.h"

tDefendTeamInitialState::tDefendTeamInitialState( )
{
}

void tDefendTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f + (0.2f * fChildActor->mGetTeam()) );
}

void tDefendTeamInitialState::mEndState()
{
}
void tDefendTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kBriefing_msg, kNonCommScriptMessage );
	}//startingid

    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* DefendTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kDefendTeam1 ) );
        if (DefendTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (DefendTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tDefendTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam1DeltaFighterBPV += gST.mUpgradeFightersForTeam(DefendTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam1DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tDefendTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }

}

void tDefendTeamInitialState::mOnDeath( tShipInfo* ship )
{
	if (
		(fChildActor->mGetTeam() == ship->mGetTeam()) &&
		(ship->mGetCustomID() == gWC.fBaseCustomID)
	) {
		gST.mDebug_fprintf("tDefendTeamInitialState::mOnDeath -- base died.\n");
		gWC.fBaseDied = true;

		for (int32 i = kTeam1; i<=kTeam7; i++) {
			tTeamInfo* ti = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( i ) );
			if (ti) {
				fMissionInfo->mDisplayMessage( ti->mGetTeam(), kBaseDestroyed, kNonCommScriptMessage );
			}
		}
	} else {
		gST.mDebug_fprintf("tDefendTeamInitialState::mOnDeath -- something died. custom id: %d\n", ship->mGetCustomID());
	}
}

void tDefendTeamInitialState::mOnDisengaged( tShipInfo* ship )
{
}
void tDefendTeamInitialState::mOnCapture( tShipInfo* ship )
{
}