/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"


int32 TotalMaps = 5;
const char* MapTypes[] = {	"Met_10Patrol Map",
							"Met_10Patrol Map -- Sun",
							"Met_10Patrol Map -- Asteroids",
							"Met_10Patrol Map -- Nebula" ,
							"Met_10Patrol Map -- BlackHole" };
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_10Patrol",
   "// Met_10Patrol Map",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..................Y...........|",
   "2|..............................|",
   " |............X.....W...........|",
   " |..............................|",
   " |........Z.....................|",
   " |..............................|",
   "3|..................z...........|",
   " |..............................|",
   " |..............................|",
   " |..............G....I..........|",
   " |...............H..............|",
   "4|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Sun",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..Z.........X.................|",
   " |..........W...................|",
   " |...............Y..............|",
   " |.......z......................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |.......G......................|",
   "4|.....H..................(.....|",
   " |..............................|",
   " |......I.......................|",
   " |..............................|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Asteroids",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |..........................,...|",
   " |..............................|",
   " |..............................|",
   "1|........*.....................|",
   " |.................h.i..........|",
   " |.......*...[.....g............|",
   " |.........>....................|",
   " |.............<.....[..........|",
   "2|..........*...................|",
   " |......[.....X..Y..W...........|",
   " |.........>............[.......|",
   " |.........<..[.*...............|",
   " |................<..*...<......|",
   "3|.......[....>.]......]........|",
   " |.............[...*>...........|",
   " |..........>.[.[...*...........|",
   " |.....]...<....].[..*.]........|",
   " |.......]........[..>....<.....|",
   "4|..........I[..............]...|",
   " |.............Gz....Z].........|",
   " |.........]....................|",
   " |......*...H.........[...<.....|",
   " |..............................|",
   "5|..................>....*......|",
   " |..........x.w.....[...........|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- Nebula",
   " +____1____2____3____4____5____6+",
   " |..............................|",
   " |.?............................|",
   " |..............................|",
   " |..............................|",
   "1|..............................|",
   " |.................h.i..........|",
   " |.................g............|",
   " |..............................|",
   " |..............................|",
   "2|....................Z.........|",
   " |............X.................|",
   " |..............................|",
   " |...............Y.....W........|",
   " |..............................|",
   "3|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |......................G.......|",
   "4|.......................z......|",
   " |..............................|",
   " |..............................|",
   " |......................I...H...|",
   " |..............................|",
   "5|..............................|",
   " |..........x.w.................|",
   " |...........y..................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "// Met_10Patrol Map -- BlackHole",
    " +____1____2____3____4____5____6+",
   " |..............................|",
   " |......I......Y................|",
   " |.w............................|",
   " |..............................|",
   "1|..............................|",
   " |..............................|",
   " |.....G........W..g............|",
   " |..............................|",
   " |..............................|",
   "2|..............................|",
   " |..............................|",
   " |..............i...............|",
   " |..............................|",
   " |..............z...............|",
   "3|...H..........................|",
   " |.........Z........X...........|",
   " |.....................y........|",
   " |..............................|",
   " |..............................|",
   "4|...............,..............|",
   " |..............................|",
   " |..............................|",
   " |.........x...........h........|",
   " |..............................|",
   "5|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   "6|..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " |..............................|",
   " +------------------------------+",
   "      1    2    3    4    5    6",
   "///",
   0
};



