//	<Name>	AttackTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "AttackTeam.h"
#include "AttackTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "Met_10Patrol.h"
#include "ScriptInterface.h"
#include "ShipList_API.h"


tAttackTeamInitialState::tAttackTeamInitialState( )
{
}

void tAttackTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f );
}

void tAttackTeamInitialState::mEndState()
{
}
void tAttackTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if( timerID == kStartingID )
	{
		eRaceName  playerRace;
		tTeamInfo* playerTeam = fMissionInfo->mGetTeamHandle( fChildActor->mGetTeam() );
		playerRace = playerTeam->mGetRace();

		// return the index to the Starting message we want to use
		switch( playerRace )
		{
			case kFederation:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),  kFedStart_msg, kNonCommScriptMessage );
			break;
			case kKlingon:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kKliStart_msg, kNonCommScriptMessage );
			break;
			case kRomulan:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kRomStart_msg, kNonCommScriptMessage );
			break;
			case kLyran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kLyrStart_msg, kNonCommScriptMessage );
			break;
			case kGorn:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kGorStart_msg, kNonCommScriptMessage );
			break;
			case kMirak:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kMirStart_msg, kNonCommScriptMessage );
			break;
			case kHydran:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kHydStart_msg, kNonCommScriptMessage );
			break;
			case kISC:
				fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kISCStart_msg, kNonCommScriptMessage );
			break;
		}
	}//startingid

    if (timerID == kUpgradeFightersID)
    {
#ifdef FIGHTERS
        tTeamInfo* AttackTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kAttackTeam1 ) );
        if (AttackTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
        if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
        if (AttackTeam->mIsTeamHumanControlled()) return;               // only for AI teams
        if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC.

        gST.mDebug_fprintf("--- Entering tAttackTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

        gST.fTeam2DeltaFighterBPV += gST.mUpgradeFightersForTeam(AttackTeam);

        gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam2DeltaFighterBPV);
        gST.mDebug_fprintf("--- Finished: tAttackTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
    }
}
void tAttackTeamInitialState::mOnDeath( tShipInfo* ship )
{
}

