//	<Name>	OrionTeamInitialState.cpp
//
//
//	<Info>	DESCRIPTION
//

#include "ShipInfo.h"
#include "OrionTeam.h"
#include "OrionTeamInitialState.h"
#include "WorldConditions.h"
#include "MissionText.h"
#include "SFCAssert.h"
#include "ScriptInterface.h"
#include "Met_10Patrol.h"
#include "ShipList_API.h"

tOrionTeamInitialState::tOrionTeamInitialState( )
{
}

void tOrionTeamInitialState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kUpgradeFightersID, 1.0f );
}

void tOrionTeamInitialState::mEndState()
{
}
void tOrionTeamInitialState::mOnTimedInterval( int32 timerID )
{
	if (timerID == kUpgradeFightersID)
	{
#ifdef FIGHTERS
		tTeamInfo* OrionTeam = fMissionInfo->mGetTeamHandle( static_cast< eTeamID>( kOrionTeam ) );
		if (OrionTeam->mGetTeam() != fChildActor->mGetTeam()) return;  // only do for current team.
		if (fMissionInfo->mGetDifficultyLevel() < 2) return;            // only for admiral difficulty.
		if (OrionTeam->mIsTeamHumanControlled()) return;               // only for AI teams
		if (! gScriptInterface.mIsHost()) return;                       // only applied by the host PC. 

		gST.mDebug_fprintf("--- Entering tOrionTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID triggered\n");

		gST.fTeam3DeltaFighterBPV += gST.mUpgradeFightersForTeam(OrionTeam);

		gST.mDebug_fprintf("Team BPV increased by: %d BPV\n", gST.fTeam3DeltaFighterBPV);
		gST.mDebug_fprintf("--- Finished: tOrionTeamInitialState::mOnTimedInterval -- timer kUpgradeFightersID\n");
#endif
	}
}
void tOrionTeamInitialState::mOnDeath( tShipInfo* ship )
{
}

