/********************************************************************************************************\

	File Name:	CommonEnemyShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonEnemyShip.h"
#include "CommonEnemyShipBaseState.h"
#include "WorldConditions.h"
#include "ScriptInterface.h"
#include "MissionInfo.h"
#include "MissionText.h"

tClassAllocator<tCommonEnemyShip> gCommonEnemyShipAllocator;

void tCommonEnemyShip::mSetupState()
{
   tTeamInfo* ti = gWC.fTeamList[ mGetTeam() ];
   if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tCommonEnemyShipBaseState() );
	mGotoState( typeid( tCommonEnemyShipBaseState ) );
   }
}

 
void tCommonEnemyShip::mSetupCommState()
{
}

int32 tCommonEnemyShip::mPickValue(int32 max)
{
	int32 smaller, middle, larger;
	if (max <= 12) {
		smaller = max;
		middle = 0;
		larger = 0;
	} else if (max <= 24) {
		smaller = 12;
		middle = max - 12;
		larger = 0;
	} else {
		smaller = 12;
		middle = 12;
		larger = max - 24;
	}
	smaller = ((67 + (rand() % 34)) * smaller) / 100;
	middle = ((50 + (rand() % 26)) * middle) / 100;
	larger = ((34 + (rand() % 34)) * larger) / 100;
	return smaller + middle + larger;
}


void tCommonEnemyShip::mSetupShip()
{
   tTeamInfo* ti = gWC.fTeamList[ mGetTeam() ];
   if (ti && !ti->mIsTeamHumanControlled()) {
	   gWC.mLogCall(mGetClassName(), gWC.mGetBPV(mGetClassName()));
   }
}

tCommonEnemyShip::tCommonEnemyShip()
{
	fDataptr = NULL;
}

bool tCommonEnemyShip::mCloakOn(  )
{
	return (fDataptr && fDataptr->cloak);
}

bool tCommonEnemyShip::mStealthy(  )
{
	return (fDataptr && fDataptr->stealthy);
}


