/********************************************************************************************************\

	File Name:	CommonEnemyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonEnemyShipBaseState.h"
#include "WorldConditions.h"
#include "MissionText.h"

void tCommonEnemyShipBaseState::mBeginState()
{	
	// may have to use gGetMapPicked() for some missions
	gWC.fEnemyTargetable = false;
	fCurrAlert = kAlertRed;
	tTeamInfo* team = gWC.fTeamList[ fChildActor->mGetTeam() ];
	fDataptr = NULL;
	fDataptr = gWC.mSearch(fChildActor->mGetClassName(), fChildActor->mGetRace());
	fChildActor->fDataptr = fDataptr;
	fChildActor->mSetShipCallbackEvents( kNotifyDamage);
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	if (!team || !team->mIsTeamHumanControlled()) {
		if (mCloakOn()) {
			fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
		}
		switch (rand() % 7) {
			case 0: fChildActor->mSetOfficerRank( kWeaponsOfficer, kRookie );
				break;
			case 1: fChildActor->mSetOfficerRank( kEngineeringOfficer, kRookie );
				break;
			case 2: fChildActor->mSetOfficerRank( kScienceOfficer, kRookie );
				break;
			case 3: fChildActor->mSetOfficerRank( kCommOfficer, kRookie );
				break;
			case 4: fChildActor->mSetOfficerRank( kHelmOfficer, kRookie );
				break;
			case 5: fChildActor->mSetOfficerRank( kSecurityOfficer, kRookie );
				break;
			case 6: fChildActor->mSetOfficerRank( kCaptainOfficer, kRookie );
				break;
			default:
				break;
		}
		switch (rand() % 13) {
			case 0: fChildActor->mChangeAIOfficerState( kECMOfficer, kFalse );
				break;
			case 1: fChildActor->mChangeAIOfficerState( kECCMOfficer, kFalse );
				break;
			case 2: fChildActor->mChangeAIOfficerState( kTractorOfficer, kFalse );
				break;
			case 3: fChildActor->mChangeAIOfficerState( kRepairOfficer, kFalse );
				break;
			case 4: fChildActor->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse );
				break;
			case 5: fChildActor->mChangeAIOfficerState( kHitAndRunOfficer, kFalse );
				break;
			case 6: fChildActor->mChangeAIOfficerState( kTBombOfficer, kFalse );
				break;
			case 7: fChildActor->mChangeAIOfficerState( kHETOfficer, kFalse );
				break;
			case 8: fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
				break;
			case 9: fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
				break;
			case 10: fChildActor->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse );
				break;
			case 11: fChildActor->mChangeAIOfficerState( kShuttleOfficer, kFalse );
				break;
			default:
				break;
		}
	}
	fDetectionRange = 100.0f;
	fCurrentlyScanning = false;
}

void tCommonEnemyShipBaseState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{
}

void tCommonEnemyShipBaseState::mEndState()
{
}

void tCommonEnemyShipBaseState::mOnDeath( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mOnCapture( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mOnDisengaged( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
}
void tCommonEnemyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
void tCommonEnemyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}
void tCommonEnemyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{
}

void tCommonEnemyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyShipBaseState::mOnFlashingButtonPressed()
{}
void tCommonEnemyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonEnemyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonEnemyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonEnemyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonEnemyShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonEnemyShipBaseState::mOnHostChanged()
{}
void tCommonEnemyShipBaseState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo *team = gWC.fTeamList[ fChildActor->mGetTeam() ];
		int32 speed = 0;
	switch (timerID) {
		case kStartingID:
			if (fChildActor && gWC.fEnemyTargetShip == NULL) {
				gWC.fEnemyTargetShip = fChildActor;
			}
			if (!fDataptr) {
				fDataptr = gWC.mSearch(fChildActor->mGetClassName(), fChildActor->mGetRace());
			}
			if (fDataptr) {
				fDetectionRange += fDataptr->jamming;
				if (fDataptr->isscout) fDetectionRange *= 2;
				gWC.fEnemyJammingPotential += fDataptr->jamming;
			}
			fChildActor->fDataptr = fDataptr;
			if (team && team->mIsTeamHumanControlled()) return;
			if (gWC.fMissionType == tWorldConditions::kShootOnSight) return;
			speed = 0;
			fChildActor->mSetFinalDestination();
			fChildActor->mSetShipMaxSpeed(speed);
			if (!team || !team->mIsTeamHumanControlled()) {
				if (mCloakOn()) {
					fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
				}
			}
		default:
			break;
	}
}
void tCommonEnemyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonEnemyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

bool tCommonEnemyShipBaseState::mCloakOn(  )
{
	return (fDataptr && fDataptr->cloak);
}
bool tCommonEnemyShipBaseState::mStealthy(  )
{
	return (fDataptr && fDataptr->stealthy);
}
