/********************************************************************************************************\

	File Name:	CommonPlayerTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonPlayerTeamBaseState.h"
#include "MissionText.h"
#include "WorldConditions.h"


void tCommonPlayerTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 10.0f );
}
void tCommonPlayerTeamBaseState::mEndState()
{}

void tCommonPlayerTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonPlayerTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonPlayerTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}
void tCommonPlayerTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonPlayerTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonPlayerTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonPlayerTeamBaseState::mOnFlashingButtonPressed()
{}
void tCommonPlayerTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonPlayerTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonPlayerTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCommonPlayerTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonPlayerTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonPlayerTeamBaseState::mOnHostChanged()
{}
void tCommonPlayerTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if ( timerID == kStartingID )
	{
		if (fChildActor->mIsTeamHumanControlled()) return;
		if (fChildActor->mGetTeam() != kPlayerTeam3) return;
		if (fChildActor->mShipsCurrentlyControlled() > 3) return;
		if (gWC.fDraftedBPV < (gWC.fDraftingBPV + 50)) return;
		if (gWC.fDraftedBPV < (gWC.fDraftingBPV * 1.2f)) return;
		int bpv = gWC.fDraftedBPV - gWC.fDraftingBPV;
		bpv = ((60 + (rand() % 37))) * bpv / 100;
		std::string shiptype = "";
		bpv = gWC.mPickShip(bpv, fChildActor->mGetRace(), shiptype);
		if (shiptype != "") {
			gWC.fDraftingBPV += bpv;
			fMissionInfo->mDisplayMessage( kTeam1,  "   The last of our allies are just warping in, Sir", kMissionScriptMessage );
			fChildActor->mCreateShip(	typeid( tCommonPlayerShip ), 
				shiptype.c_str(), 
				kStartPosition_G,
				-1,
				-1, 0, 0, -1, -1,
				"",
				kDefaultShipOptions );
		}
	}
	else if ((timerID == kCallForHelp) && (!gWC.fEnemyJamming)) {
	}
}
void tCommonPlayerTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonPlayerTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

