#if !defined( ShipList_API_h )
#define ShipList_API_h

#include <BaseTypes.h>
#include "ShipList.h"
#include "ScriptInterface.h"

#define DEBUGOUT 1

class shiplist_tools
{
public:
	setup();

// accessors
public:
	int32 fEarliestYear;
	int32 fLatestYear;
	int32 ZeroTimeCount;

	typedef enum
	{
		kEmpiresAtWar,
		kOrionPirates
	} eGame;

	bool fDraftedShipsSetUp;
	bool fNarrowedListFullySetUp;

	ShipList global_sl;
	ShipList narrowed_sl;
	ShipList selected_drafted_sl;
#ifdef FIGHTERS
	ShipList fighter_sl;
	ShipList narrowed_fighter_sl;
#endif


	virtual void shiplist_tools::listShiplistContent( ShipList this_sl );
	virtual ShipList shiplist_tools::stripOutSPECIAL( ShipList this_sl );
	virtual ShipList shiplist_tools::stripOutRestricted( ShipList this_sl );

	virtual void mInitializeSL();
	virtual void shiplist_tools::mDraftedShipCensus( const char* shipCode );
	virtual void shiplist_tools::mCompleteNarrowedList( void );
	virtual ShipList shiplist_tools::selectWarShips( ShipList this_sl );
	virtual void shiplist_tools::mPickShip(int32 BPV, eRace race, Ship &s1, ShipList provided_sl );
	virtual int32 shiplist_tools::mPickFleet(int32 bpv, int32 numships, eRace race, std::string chosenShips[]);

	virtual void mOpenDebugFile();
	virtual void mDebug_fprintf ( const char* format, ...);

	virtual int32 mGetModelSize( std::string  geometry );
	virtual bool FindModelsDirectory(eGame game, std::string &location);
	bool FileExists( std::string strFilename );
};

extern shiplist_tools gST;

enum
{
	kEBegin=-999,
	kEEnd=0, // Z-DDV (YFA=0) is in early
	kMBegin=1, // fighter Z-Mastiff.II (YFA=1) is in mid
	kMEnd=7, // F-NCL (YFA=7) is in mid for start
	kLBegin=8, // F-NCD (YFA=8) is in late for start.
	kX1Begin=27, // To help find X1 ships.
	kLEnd=36,  // NOTE!!! It was discovered that OP's advanced era was starting at 2290 BEFORE 2.5.5.0. Now it's back to 2300.
	kX1End=36,
	kABegin=37, // (F-XFF YFA=37)
	kAEnd=999,
};


enum
{
	kEarly = 0,
	kMiddle = 1,
	kLate = 2,
	kAdvanced = 3,
};





#endif
