/********************************************************************************************************\

	File Name:	CommonDefs.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( CommonDefs_h )
#define CommonDefs_h

#include "Met_5FleetAction.h"

struct sShipData {
		std::string shiptype, shiprace;
		int32 listbpv, adjbpv, nebbpv;
		float topspeed;
		sShipData *lbpv, *rbpv;
		sShipData *ltype, *rtype;
		bool oktodraft, isscout, stealthy, cloak;
		bool specialty, cheapftrs;
		int32 jamming, storage, dorms, trans, hullsize;
		std::string ftrtype;
		int32 marines, mines, parts, shuttles, fighters, ftrbays;
};
//
//	Labels given for more convenient team identification.
//
enum eTeamTypes
{
	kPlayerTeam1 = kTeam1,		//	kTeam1 is always 0
	kPlayerTeam2,
	kPlayerTeam3,

	kEnemyTeam1,
	kEnemyTeam2,
	kEnemyTeam3,

	kPlayerTeam4,
	kEnemyTeam4,
	kPlayerTeam5,
	kEnemyTeam5,
	kPlayerTeam6,
	kEnemyTeam6,

	kMaxMissionTeams,
};


//
//	Labels for more convenient ship identification.
//
enum eCustomIDs
{
	kPT1Ship1 = 0, kPT1Ship2, kPT1Ship3, kPT1Ship4, kPT1Ship5, kPT1Ship6, 
	kPT2Ship1, kPT2Ship2, kPT2Ship3, kPT2Ship4, kPT2Ship5, kPT2Ship6, 
	kPT3Ship1, kPT3Ship2, kPT3Ship3, kPT3Ship4, kPT3Ship5, kPT3Ship6, 
	kET1Ship1, kET1Ship2, kET1Ship3, kET1Ship4, kET1Ship5, kET1Ship6, 
	kET2Ship1, kET2Ship2, kET2Ship3, kET2Ship4, kET2Ship5, kET2Ship6, 
	kET3Ship1, kET3Ship2, kET3Ship3, kET3Ship4, kET3Ship5, kET3Ship6, 
	kPT4Ship1, kPT4Ship2, kPT4Ship3, kPT4Ship4, kPT4Ship5, kPT4Ship6, 
	kET4Ship1, kET4Ship2, kET4Ship3, kET4Ship4, kET4Ship5, kET4Ship6, 
	kPT5Ship1, kPT5Ship2, kPT5Ship3, kPT5Ship4, kPT5Ship5, kPT5Ship6, 
	kET5Ship1, kET5Ship2, kET5Ship3, kET5Ship4, kET5Ship5, kET5Ship6, 
	kPT6Ship1, kPT6Ship2, kPT6Ship3, kPT6Ship4, kPT6Ship5, kPT6Ship6, 
	kET6Ship1, kET6Ship2, kET6Ship3, kET6Ship4, kET6Ship5, kET6Ship6, 
	kMaxShips,
};

//
//	Labels for teams tags.
//
enum eTeamLabels
{
	kPlayerSide = kTagA,
	kEnemySide = kTagB,
	kOtherSide = kTagC,
};

//
//	Bonus prestige values.
//
enum eBonusPrestigeValues
{
	kDeathPrestige = 100,
	kCapturePrestige = 150,
	kDisengagePrestige = 50,

	k25PctDmgBonus = 25,
	k50PctDmgBonus = 50,
};


#endif
