/********************************************************************************************************\

	File Name:	CommonEnemyShipBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonEnemyShipBaseState.h"
#include "WorldConditions.h"
#include "MissionText.h"

void tCommonEnemyShipBaseState::mBeginState()
{	
	// may have to use gGetMapPicked() for some missions
	gWC.fEnemyTargetable = false;
	fCurrAlert = kAlertRed;
	tTeamInfo* team = gWC.fTeamList[ fChildActor->mGetTeam() ];
	fDataptr = NULL;
	fDataptr = gWC.mSearch(fChildActor->mGetClassName(), fChildActor->mGetRace());
	if (fDataptr) gWC.fSuckerRace = fChildActor->mGetRace();
	fChildActor->fDataptr = fDataptr;
	fChildActor->mSetShipCallbackEvents( kNotifyDamage);
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	if (!team || !team->mIsTeamHumanControlled()) {
		if (mCloakOn()) {
			fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
		}
		switch (rand() % 7) {
			case 0: fChildActor->mSetOfficerRank( kWeaponsOfficer, kRookie );
				break;
			case 1: fChildActor->mSetOfficerRank( kEngineeringOfficer, kRookie );
				break;
			case 2: fChildActor->mSetOfficerRank( kScienceOfficer, kRookie );
				break;
			case 3: fChildActor->mSetOfficerRank( kCommOfficer, kRookie );
				break;
			case 4: fChildActor->mSetOfficerRank( kHelmOfficer, kRookie );
				break;
			case 5: fChildActor->mSetOfficerRank( kSecurityOfficer, kRookie );
				break;
			case 6: fChildActor->mSetOfficerRank( kCaptainOfficer, kRookie );
				break;
			default:
				break;
		}
		switch (rand() % 13) {
			case 0: fChildActor->mChangeAIOfficerState( kECMOfficer, kFalse );
				break;
			case 1: fChildActor->mChangeAIOfficerState( kECCMOfficer, kFalse );
				break;
			case 2: fChildActor->mChangeAIOfficerState( kTractorOfficer, kFalse );
				break;
			case 3: fChildActor->mChangeAIOfficerState( kRepairOfficer, kFalse );
				break;
			case 4: fChildActor->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse );
				break;
			case 5: fChildActor->mChangeAIOfficerState( kHitAndRunOfficer, kFalse );
				break;
			case 6: fChildActor->mChangeAIOfficerState( kTBombOfficer, kFalse );
				break;
			case 7: fChildActor->mChangeAIOfficerState( kHETOfficer, kFalse );
				break;
			case 8: fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
				break;
			case 9: fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
				break;
			case 10: fChildActor->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse );
				break;
			case 11: fChildActor->mChangeAIOfficerState( kShuttleOfficer, kFalse );
				break;
			default:
				break;
		}
	}
	fDetectionRange = 100.0f;
	fCurrentlyScanning = false;
}

void tCommonEnemyShipBaseState::mOnShipStoresUpdate( tShipInfo* Ship, eShipUpdateType Type, eAccessShipStores_ItemTypes Item, eAccessShipStores_SubTypes SubItem, int32 Value )
{
}

void tCommonEnemyShipBaseState::mEndState()
{
}

void tCommonEnemyShipBaseState::mOnDeath( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mOnCapture( tShipInfo* ship )
{
}
void tCommonEnemyShipBaseState::mOnDisengaged( tShipInfo* ship )
{
	if (ship && fChildActor && (ship->mGetShipID() == fChildActor->mGetShipID()) && (ship->mGetCustomID() == fChildActor->mGetCustomID())) {
		fChildActor->mSetSystemHealthFromOrig( kTractorHardPoint, 1.0f, kTrue );
	}
}
void tCommonEnemyShipBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{
}
void tCommonEnemyShipBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{
}
void tCommonEnemyShipBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{
}
void tCommonEnemyShipBaseState::mDisableTargetting()
{
	fChildActor->mRemoveTargets();
	tShipSystemsInfo info;
	info.fAction = kShipTargetingStatus;
	info.fInt32[0] = kMakeShipAbleToTarget;
	info.fInt32[1] = kFalse;
	info.fShipEntityID = fChildActor->mGetShipID();
	gScriptInterface.mEntityMgr( info );
}
void tCommonEnemyShipBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{
	tTeamInfo *team = gWC.fTeamList[ fChildActor->mGetTeam() ];;
	if (!team || !team->mIsTeamHumanControlled()) return;
	if (ship && fChildActor && fMissionInfo && (ship->mGetShipID() == fChildActor->mGetShipID()) && (ship->mGetCustomID() == fChildActor->mGetCustomID())) {
		fCurrAlert = alertStatus;
	}
}
void tCommonEnemyShipBaseState::mSetTargetting(bool State)
{
	tShipSystemsInfo info;
	info.fAction = kShipTargetingStatus;
	info.fInt32[0] = kMakeShipAbleToTarget;
	info.fInt32[1] = State;
	info.fShipEntityID = fChildActor->mGetShipID();
	gScriptInterface.mEntityMgr( info );
}

void tCommonEnemyShipBaseState::mSetTargetable(bool State)
{
	tShipSystemsInfo info;
	info.fAction = kShipTargetingStatus;
	info.fInt32[0] = kMakeShipTargetable;
	info.fInt32[1] = State;
	info.fShipEntityID = fChildActor->mGetShipID();
	gScriptInterface.mEntityMgr( info );
}

void tCommonEnemyShipBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyShipBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyShipBaseState::mOnFlashingButtonPressed()
{}
void tCommonEnemyShipBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonEnemyShipBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonEnemyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonEnemyShipBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonEnemyShipBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonEnemyShipBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonEnemyShipBaseState::mOnHostChanged()
{}
void tCommonEnemyShipBaseState::mOnTimedInterval( int32 timerID )
{
	tTeamInfo *team = gWC.fTeamList[ fChildActor->mGetTeam() ];
		int32 speed = 0; int i;
	switch (timerID) {
		case kStartingID:
			if (fChildActor && (gWC.fEnemyTargetShip == NULL)) {
				//gWC.mLogCall("Setting enemy target ship", 0);
				gWC.fEnemyTargetShip = fChildActor;
				gWC.fSuckerRace = fChildActor->mGetRace();
			}
			if (!fDataptr) {
				fDataptr = gWC.mSearch(fChildActor->mGetClassName(), fChildActor->mGetRace());
			}
			if (fDataptr) {
				fDetectionRange += fDataptr->jamming;
				if (fDataptr->isscout) fDetectionRange *= 2;
				gWC.fEnemyJammingPotential += fDataptr->jamming;
			}
			fChildActor->fDataptr = fDataptr;
			if (team && team->mIsTeamHumanControlled()) return;
			if (gWC.fMissionType == tWorldConditions::kShootOnSight) return;
			if (gWC.fMissionType == tWorldConditions::kFleetBattle) return;
			switch (gWC.fMissionType) {
			case tWorldConditions::kEnemyCombat:
				speed = 15 + (rand() % 17);
				break;
			case tWorldConditions::kPirateInnocent:
			case tWorldConditions::kPirateWanted:
			case tWorldConditions::kPirateHostile:
			case tWorldConditions::kPirateSpy:
			case tWorldConditions::kPirateSmuggler:
				speed = 12 + (rand() % 17);
				break;
			case tWorldConditions::kOursInDistress:
				switch (rand() % 8) {
					case 0: fChildActor->mAddItemToStores( kTransporterItem, kTransMarineDude, 1); break;
					case 1: fChildActor->mAddItemToStores( kTransporterItem, kTransCaptainDude, 1); break;
					case 2: fChildActor->mAddItemToStores( kTransporterItem, kTransAwayTeamItem, 1); break;
					case 3: fChildActor->mAddItemToStores( kTransporterItem, kTransDiplomat, 1); break;
					case 4: fChildActor->mAddItemToStores( kTransporterItem, kTransInjuredDude, 1); break;
					case 5: fChildActor->mAddItemToStores( kTransporterItem, kTransScientists, 1); break;
					case 6: fChildActor->mAddItemToStores( kTransporterItem, kTransLifePodDude, 1); break;
					default: fChildActor->mAddItemToStores( kTransporterItem, kTransEngineers, 1); break;
				}
				fChildActor->mSetSystemHealthFromOrig( kFighterBayHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f, kFalse );
				fChildActor->mChangeAIOfficerState( kECMOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kECCMOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kTractorOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kRepairOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kHitAndRunOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kTBombOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kHETOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kShuttleOfficer, kFalse );
				speed = rand() % 13;
				break;
			case tWorldConditions::kConvoy:
			case tWorldConditions::kSwarm:
				speed = 4 + (rand() % 5);
				break;
			case tWorldConditions::kMonsterInnocent:
			case tWorldConditions::kMonsterHostile:
				speed = 10 + (rand() % 13);
				break;
			case tWorldConditions::kPirateBase: 
				speed = 4 + (rand() % 7);
				break;
			case tWorldConditions::kOutpostRaid:
				speed = 4 + (rand() % 11);
				break;
			case tWorldConditions::kCleanup:
			case tWorldConditions::kDerelict:
				speed = rand() % 2;
				fChildActor->mSetSystemHealthFromOrig( kShieldOneHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kShieldTwoHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kShieldThreeHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kShieldFourHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kShieldFiveHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kShieldSixHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kRightWarpHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kLeftWarpHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kCenterWarpHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kImpulsePowerHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.1f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kInternalRepairHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kImpulsePowerHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kTractorHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kMechTractorHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kShuttleBayHardPoint, 0.0f, kFalse );
				fChildActor->mSetSystemHealthFromOrig( kFighterBayHardPoint, 0.0f, kFalse );
				fChildActor->mChangeAIOfficerState( kECMOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kECCMOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kTractorOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kRepairOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kSeekingWeaponDefenseOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kHitAndRunOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kTBombOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kHETOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kFighterOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kShieldReinforcementOfficer, kFalse );
				fChildActor->mChangeAIOfficerState( kShuttleOfficer, kFalse );
				break;
			case tWorldConditions::kEvacuateTerrain:
			case tWorldConditions::kSalvageTerrain:
			default:
				speed = 4 + (rand() % 3);
				break;
			}
			switch (fChildActor->mGetClassType()) {
				case kClassListeningPost:
				case kClassBaseStation:
				case kClassBattleStation:
				case kClassStarBase:
				case kClassPlanets:
					speed = 0;
					break;
				default:
					break;
			}
			char stype[10];
			strcpy(stype, fChildActor->mGetClassName());
			for (i = 0; i < 8; i++) stype[i] = stype[i+1];
			if (strcmpi(stype, "-DEF") == 0) speed = 0;
			if (strcmpi(stype, "-FRD") == 0) speed = 0;
			if (strcmpi(stype, "-LP") == 0) speed = 0;
			fChildActor->mSetFinalDestination();
			fChildActor->mSetShipMaxSpeed(speed);
			if (!team || !team->mIsTeamHumanControlled()) {
				if (mCloakOn()) {
					fChildActor->mChangeAIOfficerState( kCloakOfficer, kFalse );
				}
			}
		default:
			break;
	}
}
void tCommonEnemyShipBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonEnemyShipBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

bool tCommonEnemyShipBaseState::mCloakOn(  )
{
	return (fDataptr && fDataptr->cloak);
}
bool tCommonEnemyShipBaseState::mStealthy(  )
{
	return (fDataptr && fDataptr->stealthy);
}
