/********************************************************************************************************\

	File Name:	CommonEnemyTeamBaseState.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonEnemyTeamBaseState.h"
#include "WorldConditions.h"
#include "MissionText.h"



void tCommonEnemyTeamBaseState::mBeginState()
{
	mSetTimedInterval( kTimerSecondsSet, kStartingID, 5.0f );
	float timer = 50 + rand() % 50;
	if ((gWC.fMapPicked == 2) && (gWC.fDraftedHumans < 1) && (gWC.fDraftingHumans < 3) && ((rand() % 4) < 1) && (fChildActor->mGetTeam() == kTeam6)) {
		switch (gWC.fMissionType) {
			case tWorldConditions::kShootOnSight:
				gWC.fAmbushed = kTrue;
				mSetTimedInterval( kTimerSecondsSet, kAmbushID, timer );
				break;
			default : break;
		}
	}
}
void tCommonEnemyTeamBaseState::mEndState()
{}

void tCommonEnemyTeamBaseState::mOnDeath( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnCapture( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnDisengaged( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mAtDistance( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mAtDestination( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnCommButtonPress( tShipInfo* ship, int32 buttonID, tShipInfo* targetShip )
{}
void tCommonEnemyTeamBaseState::mOnDamage( tShipInfo* damagedShip, tShipInfo* hostileShip, eDamageToShip damageType )
{}
void tCommonEnemyTeamBaseState::mOnDeepScan( tShipInfo* ship, iTruth deepScanOn )
{}
void tCommonEnemyTeamBaseState::mOnAlertStatusChange( tShipInfo* ship, eAlertLevels alertStatus )
{}
void tCommonEnemyTeamBaseState::mOnProbeLaunch( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnBeginOrbit( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnEndOrbit( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnBeginTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyTeamBaseState::mOnEndTractor( tShipInfo* tractorTarget, tShipInfo* tractoringShip )
{}
void tCommonEnemyTeamBaseState::mOnFlashingButtonPressed()
{}
void tCommonEnemyTeamBaseState::mOnTransportedItem( tShipInfo* shipTo, tShipInfo* shipFrom, eScriptTransportItems item )
{}
void tCommonEnemyTeamBaseState::mOnChangingShip( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnSpecialTransport( tShipInfo* ship )
{}
void tCommonEnemyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, int32 value )
{}
void tCommonEnemyTeamBaseState::mOnShipSystemUpdate( tShipInfo* ship, eShipUpdateType type, eSystemHardPoint system, float percent )
{}
void tCommonEnemyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eAccessShipStores_SubTypes subItem, int32 value )
{}
void tCommonEnemyTeamBaseState::mOnShipStoresUpdate(	tShipInfo* ship, eShipUpdateType type,
											eAccessShipStores_ItemTypes item, eScriptTransportItems subItem, int32 value )
{}

void tCommonEnemyTeamBaseState::mOnPlayerLeaving( int playerNumber )
{}
void tCommonEnemyTeamBaseState::mOnHostChanged()
{}
void tCommonEnemyTeamBaseState::mOnTimedInterval( int32 timerID )
{
	if ( timerID == kStartingID )
	{
		fMissionInfo->mDisplayMessage( fChildActor->mGetTeam(),   kStart_msg, kNonCommScriptMessage );
	}
	else if ((timerID = kAmbushID) && (fChildActor->mGetTeam() == kTeam6)) {
		std::string shiptype;
		int32 bpv = 90 + (rand() % 30) + (rand() % 30);
		if (gWC.fDraftingBPV > 80) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 100) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 120) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 140) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 160) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 180) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 200) bpv += (rand() % 30);
		if (gWC.fDraftingBPV > 220) bpv += (rand() % 30);
		bpv = gWC.mPickShip(bpv, fChildActor->mGetRace(), shiptype);
		fMissionInfo->mDisplayMessage( kTeam1,  "Enemy ships detected - ambush Sir!", kMissionScriptMessage );
		fChildActor->mCreateShip(	typeid( tCommonEnemyShip ), 
			shiptype.c_str(), 
			kStartPosition_W,
			-1,
			-1, 0, 0, -1, -1,
			"",
			kDefaultShipOptions );
		int32 smaller = 5 + (rand() % 4);
		bpv = (smaller * bpv) / 10;
		bpv = gWC.mPickShip(bpv, fChildActor->mGetRace(), shiptype);
		fChildActor->mCreateShip(	typeid( tCommonEnemyShip ), 
			shiptype.c_str(), 
			kStartPosition_V,
			-1,
			-1, 0, 0, -1, -1,
			"",
			kDefaultShipOptions );
	}
}
void tCommonEnemyTeamBaseState::mOnStateChange( tActor* actor, tState* stateID, eStateEvent eventType )
{}
void tCommonEnemyTeamBaseState::mOnCommStateChange( tActor* actor, int32 state, eStateEvent eventType )
{}

