/********************************************************************************************************\

	File Name:	MissionMaps.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "tclient.h"
#include "MissionMaps.h"

/*

	HELPER NOTE:	Add or delete from this list.  It is not necessary to have these exact maps in each
					multiplayer mission; however, each map should have valid starting positions for each
					of the 6 teams.

*/
int32 TotalMaps = 10;
const char* MapTypes[] = { "Open Space", "Nebula", "Asteroids", "Black holes", "Base Station", "Battle Station", "Starbase", "Colony", "Core World", "Homeworld",
						};
const char* MapLines[]=
{
	// Asteroids: a,A,*
	// Black Holes: b,B
	// Nebula: c,C
	// Dust clouds: d,D
	// Start positions: G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z
	// End positions:   g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z
	// Planets: 1-6
	// Suns: 7-9
	//
   "Met_5FleetAction",
   "// Open Space",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Nebula",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |.?..............................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Asteroids",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Black holes",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Base Station",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Battle Station",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Starbase",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Colony",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Core World",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "// Homeworld",
   " +____1____2____3____4____5____6____7____8____9___10___11___12___13___14___15___16+",
   " |...npr......................................................................wxyz|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |........................................ghi.....................................|",
   " |.........................................o......................................|",
   " |........................................jkl.....................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |................................................................................|",
   " |stuv.........................................................................m.q|",
   " +--------------------------------------------------------------------------------+",
   "      1    2    3    4    5    6    7    8    9   10   11   12   13   14   15   16 ",
   "///",
   0
};

