/********************************************************************************************************\

	File Name:	CommonPlayerShip.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "CommonPlayerShip.h"
#include "CommonPlayerShipBaseState.h"
#include "WorldConditions.h"
#include "ScriptInterface.h"
#include "MissionText.h"

tClassAllocator<tCommonPlayerShip> gCommonPlayerShipAllocator;

void tCommonPlayerShip::mSetupState()
{
   tTeamInfo* ti = gWC.fTeamList[ mGetTeam() ];
    if ((ti) && (! ( (!ti->mIsTeamHumanControlled()) && (!gScriptInterface.mIsHost()) ) ))
      {	
	mRegisterState( new tCommonPlayerShipBaseState() );
	mGotoState( typeid( tCommonPlayerShipBaseState ) );
   }
}
 

void tCommonPlayerShip::mSetupCommState()
{
}


void tCommonPlayerShip::mSetupShip()
{
   tTeamInfo* team = gWC.fTeamList[ mGetTeam() ];
   if (!team->mIsTeamHumanControlled()) {
	   gWC.mLogCall(mGetClassName(), gWC.mGetBPV(mGetClassName()));
	if ((mGetCustomID() == kMaxShips) || (mGetShipID() == kMaxShips)) {
		mSetSystemHealthFromOrig( kShieldOneHardPoint, 0.0f, kTrue );
		mSetSystemHealthFromOrig( kShieldTwoHardPoint, 0.0f, kTrue );
		mSetSystemHealthFromOrig( kShieldThreeHardPoint, 0.5f, kTrue );
		mSetSystemHealthFromOrig( kShieldFourHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kShieldFiveHardPoint, 0.0f, kTrue );
		mSetSystemHealthFromOrig( kShieldSixHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kAllShieldsHardPoint, 0.1f, kTrue );
		mSetSystemHealthFromOrig( kRightWarpHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kLeftWarpHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kCenterWarpHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.5f, kTrue );
		mSetSystemHealthFromOrig( kImpulsePowerHardPoint, 0.3f, kTrue );
		mSetSystemHealthFromOrig( kRandomInternalsHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kAllEnginesHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kAllWeaponsHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kInternalRepairHardPoint, 0.5f, kTrue );
		mSetSystemHealthFromOrig( kImpulsePowerHardPoint, 0.25f, kTrue );
		mSetSystemHealthFromOrig( kAPRPowerHardPoint, 0.5f, kTrue );
		mSetSystemHealthFromOrig( kTractorHardPoint, 0.0f, kTrue );
		mSetSystemHealthFromOrig( kMechTractorHardPoint, 0.0f, kTrue );
		mSetSystemHealthFromOrig( kShuttleBayHardPoint, 0.0f, kTrue );
		mSetSystemHealthFromOrig( kFighterBayHardPoint, 0.0f, kTrue );
	}
   }
}

tCommonPlayerShip::tCommonPlayerShip()
{
}
